Welcome to EMS SQL Backup!

EMS SQL Backup is an easy-to-use and powerful tool to perform backup and restore SQL Server databases that includes hot deployment mechanism and monitoring tasks progress.

Visit our web-site for details: http://www.sqlmanager.net/

Features

  • Compressing backup files (on any SQL Server version)
  • Reducing backup time up to 4 times (on any SQL Server version)
  • Backup encryption (on any SQL Server version)
  • Support of Cloud Storages: FTP (SSL), SFTP (SSH), Windows network folders (CIFS), Dropbox
  • Easy-to use wizard organizing the log shipping process
  • Backup of files and filegroups
  • Bulk Restore: emergency restore of multiple databases
  • Ability to perform 11 types of maintenance tasks including backup, re-indexing, updating statistics, etc.
  • Policy engine to quickly deploy maintenance tasks to multiple servers and to monitor their execution results
  • Centralized monitoring of policies on multiple servers using the user-friendly GUI console
  • Multi-threaded execution of backup operation to achieve maximum performance
  • Support of SQL Server Failover Cluster
  • Working with Enterprise and BI versions of SQL Server (PRO version only)


What's new

Version | Release date
EMS SQL Backup 3.1 | January 12, 2022

What's new in EMS SQL Backup?

1. Added support for short-lived access tokens for Dropbox.

2. Support for converting MSSQL Server 2019 maintenance plans added.

3. Support for Windows 11 implemented.

4. The error of retrieving authorization token for Google Drive fixed.

5. The error occurred on creating a policy without DB selection. Fixed now.

6. Windows XP and Windows 7 support discontinued. Minimum requirements - Windows 7 SP1 with .NET Framework 4.8.

See also:

Version history


System requirements

EMS SQL Backup Service

  • Microsoft® Windows 7 SP1, Microsoft® Windows 8, Microsoft® Windows 2012 Server, Microsoft® Windows 10, Microsoft® Windows 2016 Server;
  • SQL Server 2000, SQL Server 2005, SQL Server 2008, SQL Server 2012, SQL Server 2014, SQL Server 2016, SQL Server 2017, SQL Server 2019, Windows 11;
  • .Net Framework 4.8;
  • 1024 MB RAM or more;
  • 70MB of available HD space for program installation.

EMS SQL Backup Administration Console

  • Microsoft® Windows 7 SP1, Microsoft® Windows 8, Microsoft® Windows 2012 Server, Microsoft® Windows 10, Microsoft® Windows 2016 Server; Microsoft® Windows 2017 Server, SQL Server 2019, Windows 11.
  • .Net Framework 4.8;
  • 512 MB RAM or more;
  • 120MB of available HD space for program installation;


Feature Matrix

The set of features included in the different versions of the EMS SQL Backup are listed in the feature matrix given below.

 | SQL Backup PRO | SQL Backup | SQL Backup Free
Compressing backup files (on any SQL Server version) | + | + | +
Support of SQL Server native backup encryption | + | + | +
Reducing backup time up to 4 times (on any SQL Server version) | + | + | +
Multi-threaded execution of backup operation to achieve maximum performance | + | + | +
Backing up multiple databases to a single file | + | + | +
Prevention of the service task failure due to network problems | + | + | +
Support of Cloud Storages: FTP (SSL), SFTP (SSH), Windows network folders (CIFS), Dropbox | + | + | +
"One the fly" uploading of backups to several cloud storages simultaniously | + | + | +
Restore of broken connection on uploading to cloud storages | + | + | +
Ability to perform 11 types of maintenance tasks including backup, log shipping, re-indexing, updating statistics, etc. | + | + | +
The possibility to download backup files from servers and cloud storages | + | + | +
Utility for converting backup files from SQL Backup to SQL Server formats | + | + | +
Unlimited number of remote and local storages for each backup | + | + | +
Intelligent Restore. Automatic history restore on a chosen date picking the files sequence based on server LSN numbers | + | + | +
Building the backup files sequence with the possibility to find and download the necessary files from cloud storages | + | + | +
Policy engine to quickly deploy maintenance tasks to multiple servers and to monitor their execution results | + | + | +
A set of standard templates for sample maintenance policies of server systems | + | + | +
Centralized monitoring of policies on multiple servers using the user-friendly GUI console | + | + | +
Ability to remotely install server components | + | + | +
E-mail notification mechanism informing of the task execution results | + | + | +
Generating reports on maintenance task results | + | + | +
Exporting maintenance tasks history to an external file | + | + | +
Backup of files and filegroups | + | + | +
Bulk Restore: emergency restore of multiple databases | + | + | +
Number of maintainable databases per SQL Server instance | Unlimited | Unlimited | 2 db
Ability to ship databases between SQL Servers by schedule | + | + | – *
Support of Cloud Storages: Google Drive | + | + | – *
Multiple compression levels to achieve optimal balance between backup size and execution time | + | – | –
Backup encryption (on any SQL Server version) | + | – | –
Support of Cloud Storages: Amazon S3, Microsoft Azure | + | – | –
Support of SQL Server Failover Cluster | + | – | –
Easy-to use wizard organizing of the log shipping process | + | – | –
Working with Enterprise and BI versions of SQL Server | + | – | –

* - SQL Server instance with the Free license can be set as a source server but cannot be set as a target one.


Installation

If you are installing EMS SQL Backup for the first time on your PC:

  • download the EMS SQL Backup installation package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run SQLBackupSetup-1.x.x.xxxx.msi from the local directory and follow the instructions of the installation wizard.

There are two modes of the EMS SQL Backup Console installation: Typical и Custom. If you choose the Custom mode then you will be able to define the destination program folder and specify if the help-file should be copied there or not.

After the installation process is completed, find the EMS SQL Backup shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of EMS SQL Backup to the latest version:

  • download the full installation package of EMS SQL Backup from the download page available at our site;
  • close EMS SQL Backup application if it is running;
  • repeat the steps you have made for the first-time installation;
  • run EMS SQL Backup using its shortcut in the corresponding group of Windows Start menu.

Note

There is an installation mode that allows installing server components on local servers without installing EMS SQL Backup Console.

This mode should be used when a remote installation of server components from EMS SQL Backup Console is impossible due to some reasons but at the same time the installation package can be copied to a server and run there.

To run the server-side components installation using the Stand-alone remote components Installer choose the Server-side only on the third step of the installation wizard.

See also:

EMS SQL Backup FAQ


Purchasing

To make it easier for you to purchase our products, we have contracted with Digital River registration service. The Digital River order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe. The following information about share-it! is provided for your convenience.

Digital River is a global e-commerce provider for software and shareware sales via the Internet. Share-it! accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you have ordered EMS software online and would like to review your order information, or if you have questions about ordering, payments, or shipping procedures, please visit our Customer Care Center, provided by Digital River.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords and download links for archives of full versions. Also you will receive a copy of registration keys or passwords by e-mail. Please make sure to enter a valid e-mail address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Note: You need to purchase license for every SQL server instance and not for the EMS SQL Backup Console.

Product distribution | Share It!
EMS SQL Backup (Business Regular license) + 1-Year Maintenance* | Register Now!
EMS SQL Backup (Business Regular license) + 2-Year Maintenance*
EMS SQL Backup (Business Regular license) + 3-Year Maintenance*
EMS SQL Backup (Business Pro license) + 1-Year Maintenance*
EMS SQL Backup (Business Pro license) + 2-Year Maintenance*
EMS SQL Backup (Business Pro license) + 3-Year Maintenance*
EMS SQL Backup (Non-commercial Regular license) + 1-Year Maintenance*
EMS SQL Backup (Non-commercial Regular license) + 2-Year Maintenance*
EMS SQL Backup (Non-commercial Regular license) + 3-Year Maintenance*
EMS SQL Backup (Non-commercial Pro license) + 1-Year Maintenance*
EMS SQL Backup (Non-commercial Pro license) + 2-Year Maintenance*
EMS SQL Backup (Non-commercial Pro license) + 3-Year Maintenance*
EMS SQL Backup (Trial/Free version) | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register


How to register SQL Backup

The EMS SQL Backup registration is not equal to immediate registration of the EMS SQL Backup Console. Registering EMS SQL Backup means purchasing and further activation of a received License Key for every instance you want to work with.

Note that for working with Enterprise and BI versions of SQL Server you need to activate the EMS SQL Backup PRO license.

Having installed the client- and server–side parts of EMS SQL Backup, you need to activate the server-side part of EMS SQL Backup.

To get an activation code, please do the following:

  1. Run EMS SQL Backup.
  2. Connect to SQL Server.
  3. Right-click this server in the server list and select "Activate license".
  4. Follow the steps in the Wizard.

To remove a license from an instance use the Deactivate License Wizard. After that you will be able to activate this license key on another SQL Server instance.

License activation

License deactivation

See also:

Purchasing


License activation

To start working with your servers you need to activate EMS SQL Backup License for each instance.

It is assumed that you have already purchased a product license and that you have the license information available. If you cannot find license information, please visit your Member Account https://secure.sqlmanager.net/member/subscribe.

The activation operation is performed by means of the License Activation Wizard.

To activate your newly purchased license, perform the following steps:

  1. select the Activate license item of the server popup menu to run the License Activation Wizard;
  2. select the preferable license activation method and complete the set of wizard steps;
  3. make sure that the activation process has been completed successfully – check the license information in the overall status window and license must become Active in the Members Area.

Steps

Selecting license activation method

Entering license key

Performing online activation

Web-site activation

Entering license activation code

Completing operation

See also:

Purchasing

License deactivation


Selecting license activation method

Use this step to set license activation method.

License activation_Select activation type

RadioButton Activate EMS SQL Backup License online

Use this option if you have Internet connection. Product license will be activated automatically within a few seconds.

Note: If you already have a license activated on your instance it will be deactivated on entering the new license key.

RadioButton Activate EMS SQL Backup License through our website

This option allows you to activate product license using license information from your Member Account on our web-site.

Note that this option is disabled when you already have a license activated on your instance.

RadioButton Renew maintenance manually

Using this option you can prolong maintenance period if you already have a valid activation code.

Note: The Free license can be activated using the online activation only.

Next step in case of online activation.

Next step in case of website activation.

Next step in case of manual activation.


Entering license key

This step appears if you have chosen online activation on the first step.

License activation_Enter the key_online_email

SQL Server Instance ID

In this field you can see the registrable instance ID that was generated automatically.

RadioButton Activate license key

Enter manually or paste your license key here.

The license key can be copied from the Members Area or from the e-mail that is received after license purchasing.

RadioButton Activate Free license

Select this option to activate the SQL Backup Free license.

You can view the list of all functional differences between EMS SQL Backup versions in the Feature Matrix.

Next step in case of online activation.


Web-site activation

This step appears only in case the RadioButton Activate EMS SQL Backup License through our website option was selected on the first step.

License activation_Enter the key_website

To perform license activation via web-site follow these steps:

  1. Register in the Members Area at https://secure.sqlmanager.net/login.
  2. Open My Registered Products section.
  3. Expand key list for desired product.
  4. Choose Activate License action.
  5. Enter automatically generated SQL Server instance ID into a web form and generate the activation code.
  6. Copy the generated activation code to Clipboard.
  7. Click the Next button at this Wizard step and paste the activation code into the License Activation Code field at the next step.
  8. Click the Finish button to complete EMS SQL Backup license process.

Next step


Entering license activation code

Here you are to enter the license activation code that you have or that you have copied from the website.

License activation - Enter the license key

Next step


Performing online activation

This step appears only in case the RadioButton Activate EMS SQL Backup License online option was selected on the first step.

License activation - License activation process

On this step the deactivation of the previous license and the activation of the new license is performed.

To configure connection parameters for performing activation see the Proxy tab of the Options dialog.

After the operation is complete you will be automatically redirected to the final step.

If problems occurred on deactivating the previous license key on the EMS activation server you will be redirected to the Web-site deactivation step.


Completing operation

This step is intended to inform you about the product activation status.

License activation - Performing operation

Click the Finish button to complete the operation.


License deactivation

Suppose, you have decided to move a license from one instance to another. In this case, at first, you need to deactivate this license key and after that activate it on another instance.

The deactivation operation is performed by means of the License Deactivation Wizard.

Your license key will be deactivated and EMS SQL Backup Service will not work with this SQL Server instance. After deactivation this Wizard informs EMS that this license key is deactivated and you will be able to activate it on another SQL Server instance.

To deactivate your license, perform the following steps:

  1. select the Deactivate license item of the server popup menu to run the License Deactivation Wizard;
  2. select the preferable license deactivation method and complete the set of wizard steps;
  3. make sure that the deactivation process has been completed successfully – the license information in the overall status window must disappear and license must become inactive in the Members Area.

Steps

Selecting deactivation method

Web-site deactivation

Performing online deactivation

Completing operation

See also:

Purchasing

License activation


Licence deactivation

Use this step to set license deactivation method.

License deactivation - Select the deactivation method

RadioButton Deactivate EMS SQL Backup License online

Use this option if you have Internet connection. Product license will be deactivated automatically within a few seconds.

RadioButton Deactivate EMS SQL Backup License through our website

This option allows you to deactivate product license using license information from your Member Account on our web-site.

To proceed to the next step of the Wizard check the CheckBox I understand that License Key will be deactivated now. On clicking the Next button the license will be deactivated locally. This means that the license for an SQL Server instance will be deactivated in the EMS SQL Backup program but you won't be able to activate this license key on another instance.

Note: To complete the deactivation process you need to finish this Wizard.

Next step in case of online deactivation.

Next step in case of website deactivation.


Web-site deactivation

This step appears only in case the RadioButton Deactivate EMS SQL Backup License through our website option was selected on the first step.

License deactivation - Website deactivation

To perform license deactivation via web-site follow these steps:

  1. Register in the Members Area at https://secure.sqlmanager.net/login.
  2. Open My Registered Products section.
  3. Expand key list for desired product.
  4. Choose Deactivate License action.
  5. Enter into a web form the deactivation code from the box below. To copy this code to Clipboard click the Copy button.
  6. Click Deactivate button on web form.
  7. Click Finish button on the final step of the Wizard to complete EMS SQL Backup license deactivation process.


Performing online deactivation

This step appears only in case the RadioButton Deactivate EMS SQL Backup License online option was selected on the first step.

License deactivation - Deactivation process

To configure connection parameters for performing deactivation see the Proxy tab of the Options dialog.

After the process of online deactivation you will automatically proceed to the next step of the wizard.


Completing operation

This step is intended to inform you about the product deactivation status.

License deactivation - Summary

Click the Finish button to complete the operation.


License Manager

License Manager allows you to view license information of all servers in EMS SQL Backup which have EMS SQL Backup server components installed. Using this tool you can quickly reactivate license keys on all instances.

To launch License Manager select the License Manager item of the Gears menu. The list contains all currently connected servers. To view license information of all servers registered in the Administration Console, click the Show All button.

License Manager includes the following registration information for every server:

  • Instance name
  • License key (License type)
  • Customer name
  • Maintenance end date

Before reactivating license information in the EMS SQL Backup Console you need to proceed to the Members Area and renew maintenance for this license key.

To reactivate automatically all licenses on all instances click the Reactivate All button. License reactivation is performed online. To set connection parameters proceed to the Proxy tab of the Options dialog.

To reactivate license key on a single instance click the Reactivate button located on the right side of the section with a corresponding server information.

If the license key was successfully reactivated you will see a message informing you about time it was reactivated. Otherwise, you will see an error message describing the occurred problem.

You can launch License activation wizard or License deactivation wizard for the particular server directly from the License Manager dialog by clicking the Activate/Deactivate button correspondingly.


Version history

Product name | Version | Release date
EMS SQL Backup | Version 3.0 | May 16, 2018
EMS SQL Backup | Version 2.2.1 | May 08, 2017
EMS SQL Backup | Version 2.2 | April 3, 2017
EMS SQL Backup | Version 2.1.1 | January 30, 2017
EMS SQL Backup | Version 2.1 | August 29, 2016
EMS SQL Backup | Version 2.0.1 | April 13, 2016
EMS SQL Backup | Version 2.0 | February 11, 2016
EMS SQL Backup | Version 1.8 | July 16, 2015
EMS SQL Backup | Version 1.7 | February 27, 2015
EMS SQL Backup | Version 1.6 | November 28, 2014
EMS SQL Backup | Version 1.5 | July 7, 2014
EMS SQL Backup | Version 1.4 | February 25, 2014
SQL Angel 1.3 | Version 1.3 | November 12, 2013
SQL Angel 1.2 | Version 1.2 | June 10 , 2013
SQL Angel 1.1 | Version 1.1 | April 1, 2013
SQL Angel 1.0 | Version 1.0 | December 12, 2012

Version 3.0

  1. The conditions in maintenance tasks have been implemented.
  2. Improved maintenance tasks editor.
  3. Support for converting maintenance plans SSIS 2012-2017.
  4. The error on selecting databases and objects has been fixed.
  5. Some errors in the installer have been fixed.
  6. Improved displaying of active tasks.
  7. Many other minor fixes and improvements.

Version 2.2.1

  1. In case of simultaneous task execution the status was sometimes displayed incorrectly. Fixed now.
  2. Maintenance Cleanup. Removing of backup files from Google Drive was incorrect when folder contained more than 100 files. Fixed now.
  3. Restore. Not all files were displayed when browsing on Google Drive. Fixed now.
  4. Sometimes the 'The conversion could not be completed because the supplied DateTime did not have the Kind property set correctly' error occurred on getting logs from the server. Fixed now.

Version 2.2

  1. Added support of files/filegroups backup.
  2. Possibility to restore separate files and filegroups from backup (partial restore).
  3. Bulk Restore: restoring several databases from specified backup folder with optional scheduling.
  4. Added support of native backups split into multiple files.
  5. Now it is possible to reduce policy e-mail notification text to execution status only.
  6. Added the option to delete backup history on dropping the database.
  7. Now it is possible to automatically delete backup files downloaded from remote storages/clouds after restoring.
  8. Extended logging added on testing connection to SMTP-server.
  9. Lots of other improvements and bugfixes.

Version 2.1.1

1. Maintenance cleanup operation has been significantly optimized.

2. The error of upgrading to version 2.1 using a standalone installer fixed.

3. Backup file names were cut off. Fixed now.

4. An error occurred on uploading backup files to the folders with high depth of FTP. Fixed now.

5. The program was unable to get server status when hardware configuration had been changed. Fixed now.

6. The 'There is already an open DataReader associated with this Command which must be closed first' error occurred when differential backups were performed with splitting by databases. Fixed now.

7. The 'Specified argument was out of the range of valid values' error occurred when backups were uploaded to cloud storages. Fixed now.

8. Lots of other improvements and bugfixes.

Version 2.1

1. The backup speed has been significantly increased on uploading to cloud storages with "on the fly" approach.

2. Support of SQL Server Failover Cluster.

3. Proxy support for Azure cloud storage.

4. The possibility to search for several backup files on cloud storages has been added.

5. Added possibility to set authorization parameters on a shared folder in Log/Database Shipping tasks.

6. Added detection of possible restore sequence breaks to reveal unwanted third-party software backups which may affect restore process.

7. Lots of other improvements and bug-fixes.

Version 2.0.1

1. 'The time zone ID '' was not found on the local computer' error occurred on updating from 1.7 version to 2.0 version. Fixed now.

2. If two machines were in the same workgroup, the privileges were applied incorrectly on CIFS/NetBIOS connection. Fixed now.

3. The permission issue on installation of local server-side components has been fixed.

4. System bit depth was detected incorrectly in some cases on local server-side components installation. Fixed now.

5. The 'The supplied DateTime represents an invalid time' error occurred on DST clock shift. Fixed now.

6. Lots of other improvements and bug-fixes.

Version 2.0

1. Backup encryption has been added in SQL Server backup for the editions, supporting this option.

2. Added TLS/SSL encryption options in SMTP-server connection options to support popular email services.

3. Support for Dropbox and Google Drive storages has been added.

4. T-SQL statement is now executed on the database which it has been run for from Quick Maintenance Actions.

5. Uploading files from cloud storages has been implemented in Get backup files from server wizard.

6. The {database_name} tag has been added for backup folders in Backup database wizard to automatically sort backup files to different folders.

7. Backup chains are now built using server LSN in Restore database wizard, which allows guaranteed restoring to any point of a database backup.

8. When using shared configuration, the console is now set to read-only mode, if the same configuration is already opened in another console instance.

9. The Cloud connection wizard has been implemented to manage connections to cloud storages.

10. Other improvements and bug-fixes.

Version 1.8

1. Ability to restore databases from network/cloud storages.

2. Now it is possible not to store backup files locally and use only network/cloud storages for this purpose.

3. Ability to delete old backup files from network/cloud storages.

4. Ability to create tail-log backup before restoring a database.

5. The 'Cut', 'Copy', 'Paste' features are added to the Policy Editor.

6. Some other improvements and bugfixes.

Version 1.7

  1. Free version of SQL Backup is available now. The number of maintainable databases per SQL Server instance is restricted to two databases.
  2. Added the possibility to copy backup files from SQL Server to the machine where SQL Backup Administration Console is running ('Get Backup To Console' wizard).
  3. Added the possibility to upload backups to Microsoft Azure storage.
  4. The ability to overwrite existing backup files in network folders (SMB/CIFS) is implemented.
  5. Now it is possible to move/rename folder for backups specifying new path in service settings. Moved backups are handled automatically.
  6. There was a restriction which prevented adding some databases in the 'Database Shipping' wizard. Fixed now.
  7. Lots of other improvements and fixes.

Version 1.6

  1. Added the possibility to change the time zone in the EMS SQL Backup Administration Console.
  2. Daylight saving time using is improved in planning policies time execution.
  3. Added the possibility to set HTTP proxy for uploading backup files using FTP.
  4. License Activation and License Deactivaion wizards are improved.
  5. Other improvements and bug-fixes.

Version 1.5

  1. The Built-In Scheduler is implemented to execute policies on servers without SQL Server Agent, for example, SQL Server Express. The ability to use SQL Server Agent remains.
  2. The remote and local installation of Server-side components is improved and simplified:
  • Possibility to save the settings used for remote setup.
  • Numerous hints, messages and validations when setting parameters.
  • Remote install through custom network share in case of absence of ADMIN$.
  • Possibility to specify the port for server instance.
  3. Database Shipping: the possibility to ship full database backup from one SQL Server instance to another on schedule.
  4. More detailed log for Tasks and Steps. Now the log contains the source data.
  5. Improved support of SQL Server 2014.
  6. Trial period counter worked incorrectly in some cases. Fixed now.
  7. The decompression file errors for some configurations were fixed.
  8. At times the shrinking of log files of EMS SQL Backup failed. Fixed now.
  9. Lots of other improvements and bug-fixes.

Version 1.4

  1. The product is renamed into EMS SQL Backup.
  2. License Manager is a very useful license key management.
  3. Server-side components updater: multiple update of server-side components.
  4. To start Administration Console you do not need Administrator privileges.
  5. Task scheduler errors are fixed.
  6. Dates localization errors are fixed.
  7. Memory leaks are fixed.
  8. Other small improvements and bug-fixes.

Version 1.3

  1. Support of remote storages to upload and store backups.
  • Network folders, network-attached storages (NAS).
  • Upload using FTP (ImplicitSSL / ExplicitSSL), SFTP (SSH) protocols.
  • Support of cloud storage Amazon S3.
  2. Possibility to add unlimited number of remote and local storages for each backup.
  3. Support of 'Check orphaned users' option to restore backups.
  4. New macros for backup folders: {backup_root_folder}, {server}.
  5. Log efficiency and representation are improved.
  6. Improved design.

Version 1.2

  • Added the possibility to verify the integrity of the resulted files after the backup process (RESTORE VERIFYONLY & CHECKSUM).
  • Displaying progress for long-running processes.
  • Monitoring the log size increase (log size limit by date and size).
  • Displaying the database size.
  • Improved the main form design.
  • Other improvements and bugfixes.

Version 1.1

  • Added support of simultaneous backups on the same server.
  • Added support of copy-only backups which do not affect the normal sequence of backups.
  • Software update notifications.
  • Improved the process of converting a policy to a template.
  • Added new features for managing templates.
  • Many interface improvements.
  • Now server-side components have no memory leaks.
  • More stable connections to the server-side and Console.
  • The log management in the server side is improved.
  • The server connection failure caused a configuration record error. Fixed now.
  • Other improvements and bugfixes.

Version 1.0 (First public release)

Basic features:

  • Compressing backup files up to 5 times (on any server version).
  • Reducing backup time up to 4 times (on any server version).
  • Backup encryption (on any server version).
  • Easy-to use wizard organizing the log shipping process.
  • Ability to perform 8 types of service tasks including backup, log shipping, re-indexing, update statistics, etc.
  • Policy engine to quickly deploy maintenance tasks to multiple servers and to monitor their execution results.
  • Centralized monitoring of policies on multiple servers using the user-friendly GUI console.
  • A high-performance multi-threaded backup.
  • Working with Enterprise and BI versions of SQL Server.

and more...

Scroll to top

See also:

What's new


EMS SQL Backup FAQ

Please read this page attentively if you have questions about EMS SQL Backup.

Table of contents

  • What versions of SQL Server does EMS SQL Backup support?
  • Must EMS SQL Backup be installed on each server which I want to work with?
  • I have 5 SQL Servers, 2 of which have two SQL Server instances running, how many licenses for EMS SQL Backup do I need to purchase?
  • How to transfer a license from one SQL Server instance to another?
  • How does EMS SQL Backup reduce backup size?
  • Does the backup compression depend on SQL Server version or edition?
  • How much is a backup file size reduced and what does it depend on?
  • Can I restore a backup file of EMS SQL Backup on SQL Server with no EMS SQL Backup components installed?
  • What are the reasons for reduction of time required for backup and recovery?
  • Does EMS SQL Backup use undocumented features of SQL Server?
  • Can EMS SQL Backup perform a standard backup, suitable for recovery on SQL Server, without using EMS SQL Backup?
  • Does EMS SQL Backup support log shipping?
  • I have servers in different time-zones. At what time-zone will tasks be launched?
  • What is the advantage of using the Policy Engine of EMS SQL Backup compared to standard maintenance plans of SQL Server?
  • Can different types of maintenance tasks go in the same policy?
  • Can policy tasks have their own execution schedules?
  • Can EMS SQL Backup perform a single maintenance task without creating policies?
  • Can I execute multiple policies simultaneously on one server?
  • I have setup SQL Server maintenance plans. Can I use them in EMS SQL Backup?
  • How does EMS SQL Backup notify about a policy execution failure?
  • Can I monitor/manage my set of servers using two (three) different (installed on different computers) consoles?
  • Whether the servers, EMS SQL Backup works with, must be located within one local network?
  • Do I need to open any additional ports or to enable protocols for working with EMS SQL Backup?
  • Can I install EMS SQL Backup server components remotely?
  • I failed to install server components remotely from EMS SQL Backup Console due to insufficient privileges or errors on installation. Can I run the installation wizard on the server machine to install server components?
  • What kind of account should be used for running EMS SQL Backup service?
  • Policy execution failed with the error: "The task cannot be completed. The owner (NT AUTHORITY\SYSTEM) of SqlBackup_XXXXXXXX_Task does not have access to server". Why does it happen?
  • What are the differences between different versions of EMS SQL Backup?
  • May I not pay the program maintenance?
  • I get the "Access is denied" error on trying to install EMS SQL Backup server-side components via NetBIOS. How can I fix the problem?

Question/answer list

Q: What versions of SQL Server does EMS SQL Backup support?

A: EMS SQL Backup works with all SQL Server versions (except Compact Edition) from SQL Server 2000 up to SQL Server 2019.

Q: Must EMS SQL Backup be installed on each server which I want to work with?

A: Yes, EMS SQL Backup server components must be installed on each instance of SQL Server.

Q: I have 5 SQL Servers, 2 of which have two SQL Server instances running, how many licenses for EMS SQL Backup do I need to purchase?

A: Totally you have 7 instances of SQL Server, it means that you need to purchase 7 licenses for EMS SQL Backup.

Q: How to transfer a license from one SQL Server instance to another?

In order to transfer a license from one server to another perfrom the following steps.

  1. In the EMS SQL Backup Administration Console select the server which you wish to move the license from.
  2. In the context menu of the server select the "Deactivate license on ..." item.
  3. Follow the steps of the License Deactivation Wizard.
  4. Select the server on which you want to activate the deactivated license key.
  5. In the context menu of this server select the "Activate license on ..." item.
  6. Follow the steps of the License Activation Wizard.

Q: How does EMS SQL Backup reduce backup size?

A: This is achieved by compressing data received from the server during the backup process.

Q: Does the backup compression depend on SQL Server version or edition?

A: EMS SQL Backup uses its own data compression function, which does not depend on a version and edition of SQL Server.

Q: How much is a backup file size reduced and what does it depend on?

A: It depends on data stored in the database and on a selected in EMS SQL Backup compression level. In case of text\numeric data when using compression a backup file size can be up to 80% less in comparison when compression is disabled. If a database mostly stores difficult to compress binary data, such as raster images in JPEG, the compression function cannot significantly reduce the backup file size.

Q: Can I restore a backup file of EMS SQL Backup on SQL Server with no EMS SQL Backup components installed?

A: No, you cannot. However, you can use the ConvertUtil.exe command line utility, which does not need to be installed and registered to convert backup files of EMS SQL Backup format to a standard SQL Server format. After being converted backup can be restored using standard SQL Server tools.

Q: What are the reasons for reduction of time required for backup and recovery?

A: The compression level selection allows you to find a compromise between the backup speed and file size. At the same time the backup time execution can be reduced up to 80% compared with a native tool due to a lower load on the disk subsystem.

Q: Does EMS SQL Backup use undocumented features of SQL Server?

A: EMS SQL Backup uses only documented features of SQL Server, which guarantee its correct working on all available versions of SQL Server, as well as on future version releases.

Q: Can EMS SQL Backup perform a standard backup, suitable for recovery on SQL Server, without using EMS SQL Backup?

A: Yes, EMS SQL Backup can do it. To do this you need to select SQL Server as a backup type in the Backup Wizard.

Q: Does EMS SQL Backup support log shipping?

A: EMS SQL Backup performs log shipping using its compression and encryption features, which make this process faster and more secure.

Q: I have servers in different time-zones. At what time-zone will tasks be launched?

A: When creating a policy, you can select whether a task on servers in different time-zones is launched at servers standard time or simultaneously against the console time. This option is called "Task Scheduling in different time zones" at Step 1 of the Policy Wizard.

Q: What is the advantage of using the Policy Engine of EMS SQL Backup compared to standard maintenance plans of SQL Server?

A: EMS SQL Backup Policy Engine provides the following features:

  • Using EMS SQL Backup backup functionality
  • Ability to deploy and monitor policies on multiple servers of different versions simultaneously
  • Easy-to-use policy monitoring mechanism
  • Ability to use templates

Q: Can different types of maintenance tasks go in the same policy?

A: A policy can contain both multiple tasks of different types and multiple tasks of the same type.

Q: Can policy tasks have their own execution schedules?

A: Yes, each task can have one or more schedules.

Q: Can EMS SQL Backup perform a single maintenance task without creating policies?

A: Yes, you can perform a maintenance task using the "Quick Maintenance Actions" context menu item of the Server tree.

Q: Can I execute multiple policies simultaneously on one server?

A: Several policies can be deployed to a single server, their runtime can be the same and the execution time can intersect. However, 2 tasks of backup/recovery/log shipping can not be executed simultaneously on a single SQL Server instance.

Q: I have setup SQL Server maintenance plans. Can I use them in EMS SQL Backup?

A: You can convert SQL Server maintenance plans into EMS SQL Backup policies using the Maintenance Plan Conversion Wizard ("Maintenance Policies | Convert from Maintenance Plan" context menu of the Server tree).

Q: How does EMS SQL Backup notify about a policy execution failure?

A: EMS SQL Backup has the e-mail notification mechanism informing of the policy execution results. Also EMS SQL Backup Console displays statuses and results of policies while connecting to a server.

Q: Can I monitor/manage my set of servers using two (three) different (installed on different computers) consoles?

A: Yes, you can. However, your EMS SQL Backup Console configuration must be accessible to all your computers. The configuration can be stored both in a file and in a database on any SQL Server. In this case it is recommended to store the configuration on SQL Server. To change the configuration storage location, call "Options | Save Configuration", specify a new location and enable the "Switch to saved configuration" option to use a new location. In EMS SQL Backup Console, installed on other computers, you should switch to the new location using the "Options | Switch Configuration" dialogue.

Q: Whether the servers, EMS SQL Backup works with, must be located within one local network?

A: Servers can be located anywhere. If you are able to connect to your servers using SQL Server Management Studio, EMS SQL Backup is able to work with them too.

Q: Do I need to open any additional ports or to enable protocols for working with EMS SQL Backup?

A: It is neither necessary to open additional ports nor enable protocols beyond those already used by your SQL Server Management Studio.

Q: Can I install EMS SQL Backup server components remotely?

A: Yes, you can install EMS SQL Backup server components remotely from EMS SQL Backup Console. In the Server tree, select SQL Server, on which you want to install the components, and click "Install server-side EMS SQL Backup Components" in the context menu. Then follow the instructions of the wizard.

The following conditions must be met for remote installation:

  • Installing via SQL Server:

- You must have an account with SQL Server System Administrator Privileges, such as sa.

- SQL Server service must be run under an account with Windows Local Administrator Privileges, such as LocalSystem.

  • Installing via NETBIOS:

- You must have Windows System Administrator Privileges on remote computer.

- You must have an account with SQL Server System Administrator Privileges, such as sa.

Q: I failed to install server components remotely from EMS SQL Backup Console due to insufficient privileges or errors on installation. Can I run the installation wizard on the server machine to install server components?

A: Yes, you can use the special mode for EMS SQL Backup installation program:

  1. Copy the installation package (SQLBackupSetup-1.x.x.xxxx.msi) to the server machine.
  2. Run the following command as Administrator: SQLBackupSetup.exe -var:"ServerInstall=1"
  3. Follow the steps of the installation wizard. It will automatically find all local server instances for installing server components.

Q: What kind of account should be used for running EMS SQL Backup service?

A: To run EMS SQL Backup you can use any account with the following privileges:

  • Access to SQL Server with Server Administrator Privileges.
  • Write access to a directory which is used for creating backups.
  • Ability of authorization on another computer on a network for read/record access to a general directory while log shipping process.

For example, a system domain user with all the mentioned above privileges can be used. If log shipping process is not planned, Local System embedded account can be used as a system user account.

Q: Policy execution failed with the error: "The task cannot be completed. The owner (NT AUTHORITY\SYSTEM) of SqlBackup_XXXXXXXX_Task does not have access to server". Why does it happen?

A: This error occurs when SQL Server Agent receives wrong information about the user privileges set of NT AUTHORITY\SYSTEM that is the owner of the executing task. The problem can be solved in one of the following ways:

  • Change EMS SQL Backup service account to any other one that has all the task run privileges on the server. Recreate a policy.
  • Change the owner of SqlBackup_XXXXXXXX_Task to another user having the permissions to run tasks.
  • If BUILTIN\Administrators account was removed from the server, restore it using the administrator privileges.

Q: What are the differences between different versions of EMS SQL Backup?

A: You can view the list of all functional differences between EMS SQL Backup versions in the Feature Matrix.

Q: May I not pay the program maintenance?

A: The basic price of EMS SQL Backup includes 1 Year Maintenance. Once the Maintenance term expires, you will be able to continue using the software without any limitations; however, you won’t have access to any product updates released after your maintenance expiration date.

Q: I get the "Access is denied" error on trying to install EMS SQL Backup server-side components via Network Folder. How can I fix the problem?

A: First of all, make sure that the specified account has local Administrator privileges on the machine where the SQL Server service is running.

If you still have this problem then one of the solutions is to disable Remote UAC on the target system. It prevents local administrative accounts from accessing ADMIN$ shared folder and running installation process. To disable Remote UAC you need to add an entry in the registry of the target computer:

  • open the registry,
  • navigate to HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System,
  • create a DWORD value called LocalAccountTokenFilterPolicy,
  • assign this parameter a value of 1.

Scroll to top

If you still have any questions, contact us at our Support Center.


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for PostgreSQL Creates backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export for RAD Studio VCL Advanced Data Export for RAD Studio VCL allows you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import for RAD Studio VCL Advanced Data Import for RAD Studio VCL will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator for RAD Studio Advanced PDF Generator for RAD Studio gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder for RAD Studio VCL Advanced Query Builder for RAD Studio VCL is a powerful component for Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report for RAD Studio Advanced Excel Report for RAD Studio is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer for RAD Studio VCL Advanced Localizer for RAD Studio VCL is an indispensable component for Delphi for adding multilingual support to your applications.
 | Scroll to top


Getting started

EMS SQL Backup provides you with an ability to contribute to efficient SQL Server administration and development using a variety of available tools easily and quickly.

When the program is launched for the first time the Configuration dialog is prompted, where you need to set the destination for storing EMS SQL Backup settings.

To work with the program you need to register the servers first and install server-side components on each of them. Servers can be registered in Groups or Solutions folders.

Groups are used to organize servers by some specific criteria (for example, location), whereas Solutions unite servers or databases to be included into one Policy.

Enjoy your work with EMS SQL Backup!

See also:

Servers

Policies

Templates

Activities

Maintenance Steps

Options


EMS SQL Backup overview

EMS SQL Backup consists of two core units: SQL Administration Console and Server-side components. SQL Administration Console is launched at the client machine, whereas Server-side components are installed on the server where SQL Server instance is launched (locally or remotely). Server-side components include the service installed on the server machine and extended stored procedures created in 'master' database for each SQL Server instance.

EMS SQL Backup Administration Console is the basic tool for administration of SQL Server instances and maintenance polices, maintaining status of instances and logs reviewing. Task and policy execution process is initiated by the service running on SQL Server. Interaction between EMS SQL Backup Administration Console and service on the server is implemented with extended stored procedures, that manages policy execution without extra connections to the server and opening of additional ports. Policy, which is the main element of EMS SQL Backup, is implemented as jobs in SQL Server and therefore its execution requires consistent work of SQL Agent.

See also:

Policy overview

Navigating


Policy overview

Policy in EMS SQL Backup is a set of scheduled tasks to be performed on the server(s) or database(s) each containing a number of steps.

Each Policy execution generates the result status that informs you about successful or failed policy executions. After reviewing the errors you can ignore them or re-execute the task.

For quicker creating of typical maintenance policies you can use Templates.

Policy is implemented as a set of jobs in SQL Server and therefore its execution requires consistent work of SQL Agent.

See also:

EMS SQL Backup overview

Navigating


Navigating

Explorer is the basic navigation window for managing servers and databases. It has a tree-like structure and it allows you to perform operations with any object in the Explorer window. Explorer is only available at the Servers tab of EMS SQL Backup. Also from this tab you can get all information about policy status.

The following tabs are available on the top of the EMS SQL Backup window.

Appendix - Program interface - Tabs

Gears menu - for configuring EMS SQL Backup Console settings;

Servers - for managing servers, databases and policies execution;

Policies - for managing policies;

Templates - for managing templates for policies, tasks, steps and schedules;

Activities - for managing current active processes.

Toolbars

A toolbar is a horizontal row of selectable image buttons that give the user a constantly visible reminder of and an easy way to select certain application functions.

Appendix - Program interface - Toolbar

Toolbars are available on Servers and Policies tabs.

See also:

EMS SQL Backup overview

Policy overview


Servers

This chapter contains sufficient information concerning server management and policy execution. Below you can see the overall information about basic working area sections.

Servers

The Explorer area allows you to access servers and databases. Servers and databases can be included in Groups and Solutions.

Groups are used to organize servers by some specific criteria (for example, location).

Solutions unite servers to be included into one Policy. The same server can be included into several solutions. To add server to a Solution simply drag-and-drop it from the group to a solution folder.

You can change objects order dragging them within the Explorer tree.

Shortcuts

This panel is used for quick access to the groups\servers\databases. To add a object to the Shortcuts list use the corresponding menu item from the server\database popup menu (Shift+Insert) or drag the object to the Shortcuts.

Troubled servers

This panel displays servers which have problem policies. You can review the servers and resolve the problems.

Overall status

It shows the status of the selected server, information about SQL Server and EMS SQL Backup Server-side components installed on the server and policies summary:

Policies are successful - there is a connection to the server and all polices have been executed successfully.

There are no policies - there is a connection to the server but no policies are created.

Server isn't connected - there is no connection to the server.

Backup service isn't installed - service components are not installed on the server.

Policies have problems - there have been some errors on policy execution. You can resolve the problems using the Resolve the problem option.

Some of policies have unknown status - status for some of the policies is unknown. It usually occurs when launch time has passed but policy was not started or if there is connection to the server to get actual policy status.

Policies have warnings - there have been some warnings on policy execution. Warnings include out-of-range parameters for Database Parameters Logger and some minor warnings on execution that do not affect the final result.

Server status

- The server, which is not connected and has no EMS SQL Backup server-side components installed.

- The connected server without EMS SQL Backup server-side components installed.

InProcess - The server being refreshed.

ServerConnectionFailed - Connection to the server cannot be established. Check the SQL Server connection info.

OK - The server with EMS SQL Backup server-side components installed.

Disconnected - The server with EMS SQL Backup server-side components installed. Connection to the server is not established.

PoliciesHaveProblems - The server has some erroneous policies. You can fix them using Resolve the Problem dialog.

- The server has some warnings on policy execution.

- All policies on the server are successful.

- The server has policies with 'Unknown' status.

Note: Databases have states as well. To learn about them see the Database states topic.

Policies

The grid displays all information about the policies deployed on the selected object. You can get information about policy result status and next launch time.

Double-click the policy or task to execute it.

If the policy or task is erroneous double-clicking will initiate Resolve the problem dialog.

The context menu of the selected policy allows you to:

resolve the problem (for erroneous policy)

RunPolisy execute a policy

PausePolicy pause policy execution

view policy history

EditPolicy edit policy in Policy editor

Launches

Each policy consists of a set of tasks. This area displays information about task launches, launch date and time, task status and message. You can review tasks execution and execute the task manually or ignore the problems using the popup window. Set the limit of days for displaying in the dialog Environment Options at the Refresh options tab.

Launches can be filtered by status or execution date using the Filter button.

To apply or discard filter use corresponding buttons.

Use the Show details button in the Message column to view detailed information about the performed step or errors or warnings depending on the status.

You can generate launches and policy reports using the Reports Show Report button.

See also:

Getting Started

Policies

Templates

Activities

Maintenance Steps

Options


Popup menus

Popup menu of the object contains the list of actions that can be applied to the object. The following popup menus are available in the DB Explorer at Servers tab.

Group popup menu

Groups popup menu

Server popup menu

Database popup menu


Groups popup menu

The popup menu is available for the top Groups node at DB Explorer.

Servers Management - Popup menu - Groups

iconNewSubFolder Create New Group (or Ins key)

iconRefresh Refresh servers and policies (or F5 key)

Policy Maintenance Policies

CreatePolicy Create new Policy

CopyFromTemplate Create from Templates to create a policy based on the created template.

ConvertfromMaintenanceplan Convert from Maintenance Plan runs the Maintenance plan conversion wizard.

Quick Maintenance Actions - open the list of Maintenance Actions for quick launch.

Show history opens the Viewing Policy History window.

Collapse Collapse all groups

Expand Expand all groups

See also:

Group popup menu

Server popup menu

Database popup menu


Group popup menu

The popup menu is available at the Group node at DB Explorer.

Servers Management - Popup menu - Group

iconNewSubFolder Create New Group (or Ins key)

DeleteGroup Delete Group

Rename Group (or F2 key)

btnRegisterHost Register server. The Register Server Wizard is started.

iconRefresh Refresh group subobjects

Policy Maintenance Policies

CreatePolicy Create New Policy

CopyFromTemplate Copy from Templates to create a policy based on the created template.

Quick Maintenance Actions - open the list of Maintenance Actions for quick launch.

Show history opens the Viewing Policy History window.

AddToShortcuts Add to shortcuts the selected object (or Shift+Ins)

Collapse Collapse all groups

Expand Expand all groups

See also:

Groups popup menu

Server popup menu

Database popup menu


Server popup menu

This popup menu is available for the server at DB Explorer.

Servers Management - Popup menu - Server

iconNewSubFolder Create New Group (or Ins key)

btnRegisterHost Register Server launches the Register Server Wizard.

btnUnregisterHost Unregister Server

btnDBProperties view Server Properties

GetBackupToConsole get backup file from the server to the console side

iconRefresh Refresh server subobjects and policies (or F5 key)

Policy Maintenance Policies

CreatePolicy Create new Policy

CopyFromTemplate Create from Templates to create a policy based on the created template.

ConvertfromMaintenanceplan Convert from Maintenance Plan runs the Maintenance plan conversion wizard.

PausePolicy Pause All Policies on Server stops policy scheduled execution until resuming

ResumePolicies Resume All Policies on Server launches all stopped policies of the server

Quick Maintenance Actions opens the list of Maintenance Actions for quick immediate launch.

Show History opens the Viewing Policy History window.

ServerProperties view Server-side components properties

Install/Update/Remove server-side EMS SQL Backup components runs the corresponding wizard.

Activate license on server

Deactivate license on server

Send bug report to EMS

AddToShortcuts Add the selected object to shortcuts

Collapse Collapse all groups

Expand Expand all groups

See also:

Group popup menu

Groups popup menu

Database popup menu


Database popup menu

This popup menu is available for the database at DB Explorer.

Servers Management - Popup menu - Database

Backup the selected database

Restore the selected database

GetBackupToConsole Get Backup Files from Server

iconRefresh Refresh databases and policies (or F5 key)

Policy Maintenance Policies

CreatePolicy Create new Policy

CopyFromTemplate Create from Templates to create a policy based on the created template.

ConvertfromMaintenanceplan Convert from Maintenance Plan runs the Maintenance plan conversion wizard.

PausePolicy Pause All Policies on Server stops policy scheduled execution until resuming

ResumePolicies Resume All Policies on Server launches all stopped policies of the server

Quick Maintenance Actions - open the list of Maintenance Actions for quick launch.

Show History opens the Viewing Policy History window.

AddToShortcuts Add to selected object to shortcuts

See also:

Group popup menu

Groups popup menu

Server popup menu


Register Server Wizard

This wizard guides you through the server registration. To launch the wizard select the Register Server popup menu item in the navigation panel or from the main menu.

Steps:

Specifying connection parameters

Defining additional options

Performing operation

See also:

Install server-side EMS SQL Backup Components

Update/Remove server-side EMS SQL Backup components

Server-side components properties

Server properties


Specifying connection parameters

This step of the wizard provides you with major set of options needed to register a server.

Setting connection parameters

Server Name

Use this field to select server to register. You can select host from the drop-down list or type in a host name manually.

Please note that if Microsoft® SQL Server™ is installed as a named instance, you should enter the name of your machine and the instance name in the Server name field in the following format: computer_name\sqlserver_instance_name (e.g. "MYCOMPUTER\SQLEXPRESS").

Alias

Define the server alias which is displayed in the DB Explorer tree and program tools. By default, a server alias generated by the application has the following format: <server_name>.

Authentication

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: RadioButton Windows authentication or RadioButton SQL Server authentication.

SQL Server authentication requires authorization information: User name and Password.

Timeout

Use this option to restrict time for EMS SQL Backup to connect to server.

Test connection

You can test specified connection settings by pressing this button.

Next step >>


Defining additional options

At this step you can define the options for the registered servers and finish registering the server.

Setting additional options

CheckBox Connect automatically on Console startup

This option defines whether connection to the registered server should be performed on startup.

CheckBox Connect to SQL Server after registration

Enable the option to connect to the server right after it has been registered.

CheckBox Install/Update server-side EMS SQL Backup components on this SQL Server

If this option is checked then the Install Server-side Components or the Update/Remove Server-side components wizard will be launched automatically after server is registered.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the process.

Press the Finish button to register the server.

<< Previous step


Install server-side SQL Backup components

EMS SQL Backup utility consists of two parts: server-side components and GUI administration console.

To start working with EMS SQL Backup you need to install server-side components. To run the installation wizard select the Install server-side EMS SQL Backup Components item in the server popup menu at Servers tab.

Server-side components

They are installed locally or remotely on all MS SQL server instances that will be managed within the utility. They include services and stored procedures (installed into master database) for server maintaining and reviewing.

EMS SQL Backup Administration Console

It is installed locally on the Administrator machine for easy administration of the servers. On installation the program installs the console program and configures the repository.

You need Local system or Local administration permissions to work with server and services.

Steps:

Selecting installation type

Specifying service account settings

Performing operation

See also:

Register Server Wizard

Update/Remove server-side EMS SQL Backup components

Update server-side components

Stand-alone local server-side components installer

Server-side components properties

Server properties


Selecting installation type

At this step of the wizard you need to specify EMS SQL Backup server-side components installation type.

Installation Wizard - Selecting installation type

If you are installing server-side components on the local server then on the first step the server name is displayed.

For a remote server choose the way the service will be installed.

RadioButton SQL Server

Install server-side components via SQL Server connection.

It is recommended to use the SQL Server option if the SQL Server service is running under the account with Administrator privileges or LocalSystem account.

RadioButton Network Folder

Install server-side components via Network shared folder.

Remote resource

Select the shared folder that will be used for copying files that are necessary for installing EMS SQL Backup server-side components: RadioButton ADMIN$ or RadioButton Custom. Use the Custom share folder if the ADMIN$ share does not exist on the remote host.

For the Custom share you need to specify the following settings.

Share path

Specify the share folder name only without providing its full path (for example, 'Shared').

Share local path

Specify the full local path to the shared folder on the remote host (for example, 'C:\Shared').

Specify the authentication credentials to be used for connection to the shared folder RadioButton Windows authentication (use the current Windows user credentials) or RadioButton This account (provide authorization settings: User and Password).

Please make sure that the specified account has access to the shared folder and is a member of the Administrators group on the remote host.

After all settings are specified click the Check folder button to check the folder existence and access to it.

Next step >>


Specifying service account settings

At this step you should specify Windows account and SQL Server login for EMS SQL Backup Service.

Installation Wizard - Specifying account information

Windows account for EMS SQL Backup Service Log On

RadioButton Local System account (NT AUTHORITY\SYSTEM)

Select this option to use the LocalSystem Windows account as the Service Log On account.

RadioButton This account

This option allows using specified system account to run the EMS SQL Backup Service.

Note that the complete name (<domain_name\user_name>) of the User must be given.

SQL Server login for EMS SQL Backup Service

Specify the SQL Server login for EMS SQL Backup Service to connect to the server. Afterwards it can be edited using the Server-side components Properties dialog.

Note: The specified login must be a member of the system administrator role.

RadioButton Windows authentication

Select this option to connect to the SQL Server through the Windows user account that is specified in the Windows account for EMS SQL Backup Service Log On.

Note: If the Windows login for the specified Windows user account does not exist on the SQL Server it will be created and added to the sysadmin server role.

Note: If you have selected the Local System Windows account as Service Log On and Windows authentication make sure that the NT AUTHORITY\SYSTEM login exists on the SQL Server and is a member of the sysadmin role.

RadioButton SQL Server authentication

EMS SQL Backup identifies user by his server login and password. Login and password management is accomplished by Login Manager.

If RadioButton Server authentication is selected as the authentication type, you should provide authorization settings: User and Password. Analyzing them a system determines information and therefore object access permissions.

<< Previous step

Next step >>


Specifying clustered service parameters

If the target SQL Server is configured as a failover cluster the additional step is displayed. At this step you should specify the resources which can be used for EMS SQL Backup cluster service.

Installation Wizard - Setting cluster configuration

To ensure correct policies execution on SQL Server failover cluster, the EMS SQL Backup service should be configured as a clustered service. To install the clustered service an unused disk should be added to the server. This disk should have the unused partition which can be utilized by EMS SQL Backup service.

Storage settings

Choose the available unused disk in the Available storage drop-down list. This disk will be utilized by EMS SQL Backup clustered service. Choose its available partition in the Partition drop-down list.

Network settings

Set the network resources for the clustered service in this section.

Choose the cluster network name in the Network drop-down list and specify the IP address in the IP address for service field. The specified IP address will be used by EMS SQL Backup clustered service, so it should be free and should belong to the selected cluster network.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the installation process.

Installation Wizard - Performing operation

You can Verify the choices made in wizard in the corresponding area and click the Install button to complete the operation.

<< Previous step


Update/Remove server-side SQL Backup components

Use this wizard to delete or update EMS SQL Backup server-side components at the server. After uninstalling all jobs linked with policies will be deleted.

Note: In Update mode all instances of the selected server are updated.

Select Update/Remove server-side EMS SQL Backup components item from the server's popup menu at the Servers tab.

Steps:

Selecting updating/removing type

Selecting operation type

Specifying service account settings

Performing operation

See also:

Register Server Wizard

Install server-side EMS SQL Backup Components

Update server-side components

Stand-alone local server-side components installer

Server-side components properties

Server properties


Selecting updating/removing type

Select EMS SQL Backup server-side components updating/removing type.

Installation Wizard - Selecting updating type

If you are updating/uninstalling server-side components on the local server then on the first step the server name is displayed.

For a remote server choose the way the service will be updated/uninstalled.

RadioButton SQL Server

Update/uninstall server-side components via SQL Server connection.

It is recommended to use the SQL Server option if the SQL Server service is running under the account with Administrator privileges or LocalSystem account.

RadioButton Network Folder

Update/uninstall server-side components via Network shared folder.

Remote resource

Select the shared folder that will be used for copying files that are necessary for updating/removing EMS SQL Backup server-side components: RadioButton ADMIN$ or RadioButton Custom. Use the Custom share folder if the ADMIN$ share does not exist on the remote host.

For the Custom share you need to specify the following settings.

Share path

Specify the share folder name only without providing its full path (for example, 'Shared').

Share local path

Specify the full local path to the shared folder on the remote host (for example, 'C:\Shared').

Specify the authentication credentials to be used for connection to the shared folder RadioButton Windows authentication (use the current Windows user credentials) or RadioButton This account (provide authorization settings: User and Password).

Please make sure that the specified account has access to the shared folder and is a member of the Administrators group on the remote host.

After all settings are specified click the Check folder button to check the folder existence and access to it.

Next step >>


Selecting operation type

Use this step of the wizard to select the required operation.

Installation Wizard - Selecting operation

RadioButton Update

Select this option to upgrade or restore EMS SQL Backup server-side components. You can use this option to keep the service up-to-date.

RadioButton Uninstall

Select this option to remove SQL Backup server-side components. Jobs created by the EMS SQL Backup will be uninstalled from the selected server.

CheckBox Remove logs

Check this option to clear the information about server policies and task execution history.

<< Previous step

Next step >>


Spwcifying service log-on settings

At this step you should specify Windows account and SQL Server login for EMS SQL Backup Service.

Update Wizard - Specifying account information

Windows account for EMS SQL Backup Service Log On

RadioButton Local System account (NT AUTHORITY\SYSTEM)

Select this option to use the LocalSystem Windows account as the Service Log On account.

RadioButton This account

This option allows using specified system account to run the EMS SQL Backup Service.

Note that the complete name (<domain_name\user_name>) of the User must be given.

Note: EMS SQL Backup Service is common for all instances on the server. Therefore changes of Windows account on one instance will be applied on all other instances.

SQL Server login for EMS SQL Backup Service

Specify the SQL Server login for EMS SQL Backup Service to connect to the server. Afterwards it can be edited using the Server-side components Properties dialog.

Note: The specified login must be a member of the system administrator role.

RadioButton Windows authentication

Select this option to connect to the SQL Server through the Windows user account that is specified in the Windows account for EMS SQL Backup Service Log On.

Note: If the Windows login for the specified Windows user account does not exist on the SQL Server it will be created and added to the sysadmin server role.

Note: If you have selected the Local System Windows account as Service Log On and Windows authentication make sure that the NT AUTHORITY\SYSTEM login exists on the SQL Server and is a member of the sysadmin role.

RadioButton SQL Server authentication

EMS SQL Backup identifies user by his server login and password. Login and password management is accomplished by Login Manager.

If RadioButton Server authentication is selected as the authentication type, you should provide authorization settings: User and Password. Analyzing them a system determines information and therefore object access permissions.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the installation process.

Update Wizard - Performing operation

You can Verify the choices made in wizard in the corresponding area and click the Update\Remove button to complete the operation.

<< Previous step


Update server-side components

The Update server-side components tool allows you to update server-side components on multiple instances at once.

To launch this tool select the Update Server-side Components item of the Gears menu. The list contains all currently connected servers with server-side components version lower than EMS SQL Backup Console version.

Multiple server-side components updater

Check the servers in the list which server-side components should be updated. Check the CheckBox All checkbox to select all servers in the list.

Under the server name you can see parameters that will be used for updating: Access method, Service Windows log on, Service SQL Server login and Network Folder authentication. After selecting necessary instances and specifying all parameters click the Update button to start the process.

Click the Change settings button to configure authentication type and service account settings used for update server-side components operation in the Service account settings dialog.


Service account settings

In the Service account settings dialog you need to specify Windows account and SQL Server login for EMS SQL Backup Service.

In case of remote update you also need to specify the type of update.

Multiple server-side components updater - Settings

For a remote server choose the way the service will be updated: RadioButton SQL Server or RadioButton Network Folder. It is recommended to use the SQL Server option if the SQL Server service is running under the account with Administrator privileges or LocalSystem account.

Network Folder settings

This section appears if you have selected the Network folder as a type of remote update.

Remote resource

Select the shared folder that will be used for copying files that are necessary for updating EMS SQL Backup server-side components: RadioButton ADMIN$ or RadioButton Custom. Use the Custom share folder if the ADMIN$ share does not exist on the remote host.

For the Custom share you need to specify the following settings.

Share path

Specify the share folder name only without providing its full path (for example, 'Shared').

Share local path

Specify the full local path to the shared folder on the remote host (for example, 'C:\Shared').

Specify the authentication credentials to be used for connection to the shared folder RadioButton Windows authentication (use the current Windows user credentials) or RadioButton This account (provide authorization settings: User and Password).

Please make sure that the specified account has access to the shared folder and is a member of the Administrators group on the remote host.

After all settings are specified click the Check folder button to check the folder existence and access to it.

Windows account for EMS SQL Backup Service Log On

RadioButton Local System account (NT AUTHORITY\SYSTEM)

Select this option to use the LocalSystem Windows account as the Service Log On account.

RadioButton This account

This option allows using specified system account to run the EMS SQL Backup Service.

Note that the complete name (<domain_name\user_name>) of the User must be given.

Note: EMS SQL Backup Service is common for all instances on the server. Therefore in Stand-alone local server-side components installer changes of Windows account on one instance will be applied on all other instances.

SQL Server login for EMS SQL Backup Service

Specify the SQL Server login for EMS SQL Backup Service to connect to the server. Afterwards it can be edited using the Server-side components Properties dialog.

Note: The specified login must be a member of the system administrator role.

RadioButton Windows authentication

Select this option to connect to the SQL Server through the Windows user account that is specified in the Windows account for EMS SQL Backup Service Log On.

Note: If the Windows login for the specified Windows user account does not exist on the SQL Server it will be created and added to the sysadmin server role.

RadioButton SQL Server authentication

EMS SQL Backup identifies user by his server login and password. Login and password management is accomplished by Login Manager.

If RadioButton Server authentication is selected as the authentication type, you should provide authorization settings: User and Password. Analyzing them a system determines information and therefore object access permissions.


Standalone local server-side components installer

Stand-alone local server-side components installer is a tool for local installation of server-side components on every SQL Server instance.

This installer is distributed with EMS SQL Backup for local installation on the server.

If you cannot install, modify or delete EMS SQL Backup components from the EMS SQL Backup Administration Console (using the Install server-side EMS SQL Backup components or Update/Remove server-side EMS SQL Backup components wizards) due to some reasons you can launch the installer directly on the server machine.

In order to do this copy the EMS SQL Backup setup file to the server machine and then launch it. On the third step of this wizard choose the Server-side only mode. After the EMS SQL Backup Setup wizard is finished the Installation Wizard for installing server-side components is launched.

This wizard allows you to install, modify, or delete components of the EMS SQL Backup service.

Steps:

Choosing action

Configuring installation settings

Installer connection properties

Service account properties

Specifying clustered service parameters

Performing operation


Choosing action

Choose the action at this wizard step to install/update/unistall EMS SQL Backup server-side components.

Stand-alone installer - Choosing operation type

Next step >>


Configuring settings for

On this step you need to configure all settings necessary for server-side components install/update/uninstall process.

Stand-alone installer - Configuring service settings

Check instances on which you want to install/update/delete server-side components. All instances available for the selected operation are listed on the left.

Click the Connection button to configure Installer connection properties.

Click the Service account button to configure EMS SQL Backup Service account settings.

Configured parameters are displayed under the SQL Server instance name.

<< Previous step

Next step >>


Installer connection properties

In the Connection for [instance_name] dialog you need to configure SQL Server login that will be used by Installer and SQL Server port.

Stand-alone installer - Configuring service settings - Connection dialog

Connection settings

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: RadioButton Windows authentication or RadioButton SQL Server authentication.

RadioButton Windows Authentication

EMS SQL Backup identifies the current user by his domain name and password which are defined automatically according to his Windows domain user account.

RadioButton SQL Server authentication

EMS SQL Backup identifies user by his server login and password. Login and password management is accomplished by Login Manager.

If RadioButton Server authentication is selected as the authentication type, you should provide authorization settings: User and Password. Analyzing them a system determines information and therefore object access permissions.

Note: The specified login must be a member of the system administrator role.

SQL Server port

Identify the TCP/IP port used by the SQL Server Instance.

After connection settings are specified, click the Check connection button to check is the specified login is valid for running the Installer, i.e. the specified login exists , the password is correct and the login is a member of the sysadmin role.


Specifying clustered service parameters

If the target SQL Server is configured as a failover cluster the additional step is displayed. At this step you should specify the resources which can be used for EMS SQL Backup cluster service.

Stand-alone installer - Cluster settings

To ensure correct policies execution on SQL Server failover cluster, the EMS SQL Backup service should be configured as a clustered service. To install the clustered service an unused disk should be added to the server. This disk should have the unused partition which can be used by EMS SQL Backup service.

Storage settings

Choose the available unused disk in the Available storage drop-down list. This disk will be used by EMS SQL Backup clustered service. Choose its available partition in the Partition drop-down list.

Network settings

Set the network resources for the clustered service in this section.

Choose the cluster network name in the Network drop-down list and specify the IP address in the IP address for service field. The specified IP address will be used by EMS SQL Backup clustered service, so it should be free and should belong to the selected cluster network.

<< Previous step

Next step >>


Performing operation

On this step of the wizard you can view the operation log.

Stand-alone installer - Performing operation

After the operation is completed you can Copy the operation log using the context menu.

<< Previous step


Server properties

Server properties window displays settings that have been defined on server registration. To open it use btnDBProperties Server properties context menu item in Server Explorer. Use this dialog to view and edit the registration properties of the server.

Server connection info

Server options

See also:

Register Server Wizard

Install server-side EMS SQL Backup Components

Update/Remove server-side EMS SQL Backup components

Server-side components properties


Server connection info

This dialog allows you to view and edit connection properties in the corresponding boxes.

Server properties - Server connection info

Server Name

Displays SQL Server instance name.

Alias

Stores the server alias which is displayed in the DB Explorer tree and program tools. It is set on server registration in the program.

Authentication

Specify the type of authentication to be used for the connection: RadioButton Windows authentication or RadioButton SQL Server authentication.

SQL Server authentication requires authorization information: User Name and Password.

Timeout

Use this option to restrict time (in seconds) for EMS SQL Backup to connect to server.

Test connection

You can test specified connection settings by pressing this button.

Server options


Server options

The Server options section allows you to set additional options for the database.

Server properties - Server options

Description field is used for comment on the server.

CheckBox Connect automatically on Console startup

This option defines whether connection to the registered server should be performed on startup.

Server connection info


Server-side components properties

Server-side components properties window displays settings that have been defined on server-side components installation and email settings for correct sending of policy notifications. To open it use server's ServerProperties Server-side components properties context menu item.

Server options

Email settings

Log storage settings

Backup settings

See also:

Register Server Wizard

Install server-side EMS SQL Backup Components

Update/Remove server-side EMS SQL Backup components

Server properties


Server options

At the SQL Server connection info tab you can view\change authentication to be used for user authorization on the server. The settings you provide will be used by the service installed on the server.

Unlike the Server Properties dialog this one is used to set SQL Server authentication parameters for an account that will be used for connection by a service installed on a server.

Specify the type of Microsoft® SQL Server™ authentication to be used for the connection: RadioButton Windows authentication or RadioButton SQL Server authentication.

SQL Server authentication requires authorization information: Login and Password.

Connection Timeout

Use this option to restrict time (in seconds) for EMS SQL Backup to connect to server.

RadioButton SQL Backup built-in

Select this option to launch policies according to the EMS SQL Backup built-in scheduler.

RadioButton SQL Server Agent

On selecting this option all policies are transformed to SQL Server Agent jobs. The current state of SQL Server Agent is displayed on the right.

CheckBox Show Debug Info

Check this option to display debug information in server logs.

Email settings


Email settings

At this tab you can set email setting that are used for sending policies notifications by email. If the following settings are not set email notifications cannot be sent.

CheckBox Send notifications by Email

Check this option to enable email sending for the service.

Email service settings

SMTP server

Type the name of SMTP server to be used for sending emails.

Port

Specify SMTP port for the mail agent.

CheckBox Use SSL/TLS

Use this option to enable SSL/TLS encryption to connect to mail server.

Login

Input the login for access to the mail agent.

Password

Input the password for access to the mail agent.

Send from

Specify the email address that will be displayed as a Sender address in the notification email.

Test address

Click the button to send a test email to the recipient to ensure your settings have been correct correctly.


Log storage settings

At this tab you need to configure settings of EMS SQL Backup log storage for the server. Log file stores information about user tasks and policies launches.

Capacity of task log storage

Set the maximum task log records count. When the task log records count reaches the maximum set value the program will truncate old records automatically.

Capacity of backups log storage

Set the maximum backup history records count. When the history records count reaches the maximum the program will truncate old backup history records automatically.

CheckBox Delete backup history for dropped databases

Check this option to ensure that all backup history is removed from SQL Backup storage on deleting a database. History cleanup is provided by firing the DDL trigger, so it does not matter how the database is actually dropped.

Depending on the configured values you may receive warning notification message that 'Log size is exceeded' appearing on server refresh, notifying that you need to decrease the capacity values. Also this message will be displayed in the server overview information until you perform history cleanup operation or the file is truncated automatically.

Note, that log file truncation is not performed immediately on reaching the specified boundary values.


Backup settings

At the Backup settings tab you need to set folder which will be used as a default folder for storing backup files.

Backup folder

Define the folder for storing backups created by Backup Database wizard. Click the EllipsisButton button to open the Server folder dialog to pick up the needed server folder.

Note: This folder is tagged as a {backup_root_folder} in a backup step.


Get backup files from server

The Get Backup Files from Server wizard guides you through the process of transferring backup files from the selected server to the local disk of the machine where EMS SQL Backup Administration Console is running. Getting backup files requires server connection only.

To run this wizard select the GetBackupToConsole Get Backup Files from Server item in the server popup menu at Servers tab.

Steps:

Specifying backup source

Selecting backup files

Viewing summary information

See also:

Backup Database Wizard

Restore Database Wizard


Specifying backup source

On the first step of the wizard you need to specify the backup source and the destination folder on the local machine.

Get backup to console - Specifying source

Destination Folder

Specify the destination server folder where backups will be transferred to. This folder is set relatively to the local machine.

Backup provider

You need to select the provider that had been used for creating the backup.

Backup source

History - shows the list of the available database backups for the specified server and database. Only backups of corresponding provider types are displayed.

Select Files - allows selecting individual backup files from the server.

Server

Select the server to get database backup from.

Database

Select the database to get backups for. If History backup source is selected, the list of 20 latest backups is displayed. Use Get more... button to access older backups. If Select Files source is selected, you need to add the files manually.

Get backup to console - Specifying backup files

Add Local File

Click this button to search for the backup files on the selected server. If backup consists of multiple files (this option is only available for EMS SQL Backup type) you need to specify the first file from the chain. For other file options use the down-arrow button.

Add Network File

Use this option to select the file from the network.

Add Cloud File

The Select cloud dialog is opened. You need to select the cloud to get a backup file from.

Restore Database Wizard - Files - Add cloud

You can create a new connection using Create new connection link. To add the existing connection set in Cloud Connections dialog at Options use Add existing connection item.

If you create a new connection, you can save it after all options have been set. If you need to edit an added connection click its name to open the corresponding dialog.

After all options have been set, click the OK button to get the files from the cloud. If the connections is set successfully and the user has appropriate permissions, the Select file dialog opens with the list of available files.

Restore Database Wizard - Files - Files on cloud

Select the backup file and set the local folder for upload at Local path for download. Click the OK button to upload the selected file to the server. If the file has been uploaded successfully, you can proceed to the next step.

Cross1 Remove

Use it to remove the selected file from the list.

ClearList Clear

Use it to remove all files from the list.

If you have selected the files from History, proceed to the Selecting backup files step.

If you have used Select files option, proceed to the Viewing summary information step.

Next step >>


Selecting backup files

This step allows you to select files to transfer to the local disk. This step is not available if Files has been selected as backup source at the previous step. The order is generated automatically.

Get backup to console - Selecting files

If the file is not found on the server, the corresponding NotFoundBackup icon appears. You can use the FindInCloud Find in cloud button to choose clouds for file search. If the file is found on any cloud, the status is set to FoundInCloud, and the file(s) upload starts on clicking the Next button.

After you have selected the necessary files click the Next button to proceed to the Viewing summary information step.

<< Previous step

Next step >>


Viewing summary information

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the operation.

Get backup to console - Summary

After verifying the choices made in the wizard click the Run button to complete the operation.

<< Previous step


Reports

Using reports you can view and save information to any available format about task execution that is displayed in the grid of a Launches area.

To open a report on a policy/task execution the Preview window use the Reports Show Report button on the Launches area toolbar or select the Reports Show Report popup menu item.

There are three types of reports:

  • Single-server report

This report can be viewed when a single server is selected in the explorer and a policy deployed on this server is selected in the Policies area. If a policy deployed on several servers is selected in Policies area a report will include information on launches of this policy only on the selected server. The report displays brief information on tasks of the selected policy including task name, planned start, time started, time finished and task status.

  • Multi-server report

Multi-server report is available when a policy deployed on multiple servers is selected in the Policies area. Besides, a group or a solution must be selected in the Servers area. The report displays brief information on tasks of the selected policy including task name, server name, planned start, time started, time finished and task status.

  • Detailed task report

Task report is available when a particular task is selected in the Policies area. This report displays a detailed information on a task and its steps of the selected policy including task name, planned start, time started, time finished, task/step status and execution message (information, warning or error).

The Preview window allows you to change the report appearance, i.e. change a document background and add watermarks.

The man menu of the Preview window allows you to:

  • open page setup dialog;
  • start printing the report;
  • export the content to any of the available formats: PDF file, HTML file, MHT file, RTF file, Excel file, CSV file, Text file, Image file and then send it via E-mail;
  • close the Preview window;
  • change page layout: Facing or Continuous;
  • enable/disable toolbar;
  • enable/disable status bar;
  • customize toolbar;
  • set report background and watermark.

The toolbar of the Preview window allows you to:

  • search for text within the document;
  • open a previously saved report;
  • save the current report to an external *.prnx file;
  • start printing the report;
  • open page setup dialog;
  • set scaling options;
  • enable/disable hand tool;
  • adjust zoom options;
  • navigate within the printing report pages;
  • set the number of pages displayed in the window;
  • set report background and watermark;
  • export the content to any of the available formats: PDF file, HTML file, MHT file, RTF file, Excel file, CSV file, Text file, Image file and then send it via E-mail;
  • close the Preview window.


Policies

This chapter provides you with necessary information concerning SQL Server maintenance policies.

Policy in EMS SQL Backup is a set of scheduled tasks to be performed on the servers or databases each containing a number of steps. Policy is implemented as a set of jobs in SQL Server and therefore its execution requires consistent work of SQL Agent. You can schedule one or more tasks to be executed according to the preset schedules. The policy can perform operations on a set of databases on different servers. It can be created for a server as well as for a Group of servers or Solution. To assign it automatically on policy creation you should run Policy wizard using the context menu of the corresponding elements (server, group or solution).

Each Policy execution generates the result status that informs you about successful or failed policy executions. After reviewing the errors you can ignore them or re-execute the task.

To manage policy status and process of execution go to Servers and Activities tabs.

To start working with policy you need to create it at first.

Policies page provides all necessary tools to manage policies. Move to the page and use the CreatePolicy Create New Policy or CopyFromTemplate Create Policy from Template popup menu item.

You can easily create a template from the existing policy using CreateTemplateFromPolicy Create Template from Policy menu item. The template based on the selected policy will be automatically added to the Policy Templates list.

Note: The databases selected in the policy can be saved in template as well.

Policies at this tab can be viewed in two modes: Policy Tasks and Policy Servers. Select the Policy on the left and switch between two corresponding modes to see policy's tasks or servers on the top-level. For each object of the tree you can see more Detailed info at the bottom panel.

See also:

Getting Started

Servers

Templates

Activities

Maintenance Steps

Options


Popup menus

Popup menu of the object contains the list of actions that can be applied to the object. The following popup menu is available in the policy list at the Policies tab.

Policy popup menu

Task popup menu

Step context menu

Schedule context menu

Server context menu


Policy popup menu

The following actions can be applied to the policy

CreatePolicy Create New Policy;

CopyFromTemplate Create Policy from Template - create a policy based on the existing policy template;

EditPolicy Edit policy;

DeletePolicy Delete policy;

CreateTemplateFromPolicy Create Template from Policy - create a template with the same tasks and settings as the selected one;

Show History - open Policy history viewer.


Task popup menu

The following actions can be applied to the task

Task popup menu

Add New Task to the poliy;

Add Task from Template - create a task based on the existing task template;

Edit Task using the Task editor;

Remove Task from the policy;

Expand Expand all tasks;

Collapse Collapse all tasks;

Show History - open task history in Policy history viewer;

CopyMenu Copy the selected task;

CutMenu Cut the selected task;

PasteMenu Paste the copied/cut task.


Step context menu

The following actions can be applied to the step.

Step popup menu2

Edit Step using the Step editor;

Expand Expand all tasks;

Collapse Collapse all tasks.


Schedule context menu

The following actions can be applied to the schedule.

Schedule context menu

Add New Schedule to the task;

Add Schedule from Template - create a schedule based on the existing step template;

Edit Schedule using the Step editor;

Remove Schedule from the task;

Expand Expand all tasks;

Collapse Collapse all tasks;

CopyMenu Copy the selected schedule;

CutMenu Cut the selected schedule;

PasteMenu Paste the copied/cut schedule.


Server context menu

The following actions can be applied to the server on which the policy is deployed:

Policy_server context menu

Exclude server from Task removes the selected server from task;

Expand Expand all tasks;

Collapse Collapse all tasks;

Show History - open Policy history viewer.

Note: The single server cannot be removed from the step. Instead, you can remove the whole step.


Policy creation wizard

This chapter explains how to create a new policy in EMS SQL Backup.

There is a special wizard that guides you through the policy creation process. You can launch this wizard in one of the following ways:

At the Policies tab:

Use the CreatePolicy Create New Policy or CopyFromTemplate Create Policy from Template popup menu item.

At the Servers tab:

Right-click database/server/server group and use the Policy Maintenance Policies | CreatePolicy Create new policy or CopyFromTemplate Create from templates item.

If you call the wizard from the Policies page you will be asked to pick a server, group or solution which policy will be created for. You can create a policy for all servers within Group or Solution.

Creating_from_template - Select Server

Note: Creating a Policy for a database means creating policy for the server on which database is stored. This database will be marked by default in steps that require database selection.

Note: When you create a policy from a template it will be applied to all databases of the server irrespective of the database selected.

Proceed to the starting step of Policy wizard.

Steps:

Setting policy name and description

Defining set of tasks

Defining notification options

Creating policy

See also:

Policy editor

Maintenance plan conversion

Execute Policy

Resolve problem

Viewing Policy History


Setting policy name and description

Use the first step of the wizard to set policy name, description and time preference.

Setting policy name and description

Name

Specify policy name in this field.

Description

Define brief info for the created policy.

In different time zones schedule tasks on basis of

These options specify what time zone is used for policy task launch if its servers are located in different time zones. If tasks are to start at specific server time (for example, when server is idle) we recommend to select local server time, otherwise select local console time.

RadioButton Local server time zone

Use this option to launch policy tasks according to the local time on each server.

RadioButton Home time zone

Use this option to launch policy tasks at the time corresponding to the time zone set in the General options. It allows easy control over policy status. It is recommended to use this option to synchronize the operations for the 'Transaction Log Shipping' task.

Next step >>


Defining set of tasks

At this step you need to define the tasks for the policy being created in the execution order.

Defining set of tasks

AddTask Create New Task

Use this button to create a new task. The Ins key can be used as well.

CreateTaskFromTemplate Create Task from Template

If you create a task from a pre-saved template you need to pick a template for this object in the opened dialog.

EditTask Edit Task

You can use this button or double-click the task to change its settings.

DeletePolicyTask Delete Task

Click this button to remove the task from the list. The Delete key can be used as well.

CopyToTemplates Copy to Templates

Press this button to create a template with the same options as the selected object.

Use the following buttons for quick copying and moving tasks within the policy:

Copy - copy the selected object,

Paste - paste the copied/cut object.

<< Previous step

Next step >>


Defining notification options

EMS SQL Backup administrator can receive electronic notifications on the results of EMS SQL Backup policy launch via e-mail.

At this step you can set notifications for the policy.

Defining notification options

Check the necessary servers in the Servers list to send notifications about policy launch results.

In the Notify field specify the trigger action:

When the policy succeeds - send the message when policy tasks have been successfully completed.

When the policy fails - send the message when policy has failed.

When the policy completes - send the message when policy has been launched.

Input the recipient email address in the Send E-mail To field. You can define several e-mail addresses separating them with commas.

CheckBox Include detailed log

If this option is checked the full execution log will be included in the notification e-mail. There will be only execution status in e-mail body if the option is switched off.

Note: Email agent options should be set for the service at Server-side components properties.

<< Previous step

Next step >>


Creating policy

At this step of the wizard you can see the summary of all options set at the previous steps.

You can Verify the choices made in the wizard in the corresponding area and click the Finish button to create the policy.

<< Previous step


Policy editor

The policy is the logical set of maintenance tasks that need to be performed on a database or SQL Server instances at the corresponding time schedules. Each task in turn consists of one or more discrete maintenance actions.

To edit the policy you need to double click the policy at the Policies tab or select the EditPolicy Edit Policy item on the toolbar of the Policies tab or from the popup menu.

Editor tabs:

Name and description

General

Notification

See also:

Policy wizard

Maintenance plan conversion

Execute Policy

Resolve problem

Viewing Policy History


Name and description

At this section you can view and edit policy name, description and time preference.

Policy Editor - Name and description

Name

Edit policy name in this field.

Description

Edit brief info for the created policy.

In different time zones schedule tasks on basis of

These options specify what time zone is used for policy task launch if its servers are located in different time zones. If tasks are to start at specific server time (for example, when server is idle) we recommend to select local server time, otherwise select local console time.

RadioButton Local server time zone

Use this option to launch policy tasks according to the local time on each server.

RadioButton Home time zone

Use this option to launch policy tasks at the time corresponding to the time zone set in the General options. It allows easy control over policy status. It is recommended to use this option to synchronize the operations for the 'Transaction Log Shipping' task.

The bottom panel shows errors and warnings for all sections of the policy, if any.


General

The General section allows you to view and edit the set of tasks with corresponding schedules.

Policy Editor - General

AddTask Create New Task

Use this button to create a new task. The Ins key can be used as well.

CreateTaskFromTemplate Create Task from Template

If you create a task from a pre-saved template you need to pick a template for this object in the opened dialog.

EditTask Edit Task

You can use this button or double-click the task to change its settings.

DeletePolicyTask Delete Task

Click this button to remove the task from the list. The Delete key can be used as well.

CopyToTemplates Copy to Templates

Press this button to create a template with the same options as the selected object.

Use the following buttons for quick copying and moving tasks within the policy:

Copy - copy the selected object,

Paste - paste the copied/cut object.


Notification

The Notifications section allows you to view and edit notification parameters.

Policy Editor - Notification

Check the necessary servers in the Servers list to send notifications about policy launch results.

In the Send email field specify the trigger action:

When the policy succeeds - send the message when policy has been successfully launched.

When the policy fails - send the message when policy launch has failed.

When the policy complete - send the message when policy tasks have been completed.

Input the recipient email address in the Send to field.

CheckBox Include detailed log

If this option is checked the full execution log will be included in the notification e-mail. There will be only execution status in e-mail body if the option is switched off.

Note: Email agent options should be set for the service at Server-side components properties.


Maintenance plan conversion

This wizard is intended for converting linear Maintenance Plans created in SQL Server Management Studio to Policies of EMS SQL Backup.

NB: You need to have SQL Server Integration Services installed on the server to perform this conversion.

Note: We recommend to disable Maintenance Plans in SQL Server Management Studio after conversion to avoid adverse effects.

To start conversion select the Policy Maintenance Policies | ConvertfromMaintenanceplan Convert from Maintenance plan context menu item for the server at the Servers tab.

Note: If there are no maintenance plans available on the server this context menu item is not displayed.

Steps:

Welcome

Selecting Maintenance plan to convert to policy

Performing conversion

Operation execution

See also:

Policy wizard

Policy editor

Execute policy

Resolve problem

Viewing Policy History


Welcome

This wizard helps you to convert Maintenance Plans created by Management Studio for SQL Server to policies, which EMS SQL Backup can manage. You need to have SQL Server Integration Services installed on the server to perform this conversion.

Next step >>


Selecting Maintenance plan to convert to policy

At this step you can see the list of Maintenance Plans created by SQL Server Management Studio.

You need to select one of the Maintenance Plans to be converted into Policy. The conversion will be performed at the next step.

Note that this function is only available if SQL Server Integration Services are installed on the server.

<< Previous step

Next step >>


Performing conversion

At this step the selected Maintenance Plan is being converted to Policy.

If there are any errors on conversion you can open the Policy with Edit Policy button to view and correct them.

Set the Disable Maintenance plan option ON to disable Maintenance Plan in SQL Server Management Studio.

<< Previous step

Next step >>


Operation execution

At this step you can view parameters specified on previous steps. To complete the operation execution and set the policy on the server click the Finish button.

<< Previous step


Execute policy

The policies are executed automatically in accordance with the schedule(s) specified for it. If needed you can launch the policy manually at the Servers tab.

At the Servers tab select the policy to be executed in the Policies section and use the RunPolisy Execute Policy item from the popup menu or double-click the policy.

If the policy is deployed on several servers you will be prompted to select the servers for policy execution.

The information about current execution is available at Activities page and about all launches at the Policy History viewer.

See also:

Policy wizard

Policy editor

Maintenance plan conversion

Resolve problem

Viewing Policy History


Policy status

Waiting - the task has not been performed yet and it is waiting for its launch time.

Success – the task has been successfully completed.

Warning - the task has been completed with some minor errors. Warnings include out-of-range parameters for Database Parameters Logger and some warnings on execution that do not affect the final result.

Fail – the task execution has failed.

Executing – the task is being executed at the moment.

Aborted – the execution of the task has been cancelled and it is in process of stopping it.

Missed – the expected time of task execution has passed but no launch of the task was detected

Unknown – information about task execution cannot be retrieved unless connection the server is set.

Ignored (task status) – the task was marked as ignored as a result of Problem resolving.

The overall server status is formed on the basis of policies statuses deployed there.

If all policies on a server have Success status then the server status is Policies are successful.

If at least one policy on a server has Warning status then the server status is Policies have warnings.

If at least one policy on a server has Failed status then the server status is Policies have problems.

The overall group or solution status is formed on the basis of all policies statuses of servers included into group or solution.

If all policies of all servers in a group/solution have Success status then the group/solution status is Policies are successful.

If at least one policy on at least one server has Warning status then the group/solution status is Policies have warnings.

If at least one policy on at least one server has Failed status then the group/solution status is Policies have problems.


Policy synchronization

When you are connecting to a server policies configurations stored on a server and in EMS SQL Backup Console are compared. If they do not match notifications that describe problems appear.

Update Policy - if a policy was changed when a server was not connected.

If a policy was deployed on this single server you are offered to update server working copy of this policy on the basis of EMS SQL Backup Console configuration.

If a policy was deployed on several servers you are offered to update this policy on a server or make it independent that is to create a new policy on the basis of EMS SQL Backup Console configuration on this server.

Update policy from service

Install Policy - if a policy was created when a server was not connected. You are offered to install a server working copy of this policy.


Launches

All policy tasks launches are listed in the Launches area on the Servers tab.

The following information about launches is provided: policy/task/step name, planned start time, actual start time, finish time, execution status and message.

You can view a detailed information on every step execution by clicking the Show details button in the Message column for the selected step.

Launches - Show details

The dialog appeared displays information about step execution start and finish time, result execution status and detailed information about maintenance actions results. If a step has a failed status the reason of failed execution will be displayed in the Message field.


Resolve problem

The policy can result in Warning, Error or Missed status. You can manage policy status overview at the Servers page. After detecting that some of your policies tasks have failed you can resolve the problem tasks by marking the problem as ignored and, if needed, execute the task once again.

To run the Resolve task dialog double-click the erroneous policy at the Policies list at Servers page or use the corresponding menu item for task or policy.

There are two options that can be applied to the policy to correct the errors:

Mark problem task launches as ignored - ignore status of erroneous task(s)

Run problem task(s) - execute the erroneous task(s) immediately

See also:

Policy wizard

Policy editor

Maintenance plan conversion

Execute Policy

Viewing Policy History


Viewing Policy History

This chapter describes the way you can view history of policy launches.

To view the history use the [image] Show history... item from the object popup menu. You can call this viewer for the group of servers, server, specific launch or policy.

The main frame of this dialog contains a table with complete information about policy launches: launch date, status, task name, policy server, policy status, result message.

This table is customizable: you can change columns set, swap columns, set filtering and grouping.

Policy History Viewer

The Refresh Refresh function (F5) updates the list of launches.

The Auto refresh mode sets automatic refreshing on. The window is refreshed when the new event is added to the log.

Filter output

RadioButton One day

Information concerning policy launches performed not later than one day ago from the current date and time will be displayed.

RadioButton One week

Information concerned policy launches performed not later than one week ago from the current date and time will be displayed.

RadioButton Custom

Enables setting date and time criteria. Information concerning policy launches performed from the specified date to the specified date will be displayed.

Click the Apply button to set the filter.

Export

ExportToHTML Export to HTML. Use this option to export history data to HTML file. By default the report is saved in the program's folder.

ExportToTXT Export to Text. Use this option to export history data to TXT file. By default the report is saved in the program's folder.

See also:

Policy wizard

Policy editor

Maintenance plan conversion

Execute Policy

Resolve problem


Sorting

You can perform data sorting in any table of EMS SQL Backup.

To perform sorting

  • click the column header to perform ascending or descending sorting of this column values. When sorting is applied for a column, an arrow icon appears to the right of its title;
  • use the column header popup menu items for this purpose: btnSortAscending Sort Ascending or btnSortDescending Sort Descending.

To cancel sorting use the Clear Sorting item of the column header popup menu.


Grouping

When grouping by a column is applied, all records are displayed as subnodes to the grouping row value as displayed on the screenshot below. If necessary, you can group data by two or more columns. In this case column headers are displayed hierarchically.

To apply grouping

  • enable the btnGroupByBox Group By Box area in the column header popup menu;
  • drag the column header to the gray area at the top or use the btnGroupByThisColumn Group by this column popup menu item of the column header.

Grouping by two columns

To reverse grouping

  • drag the column header back;
  • use the Ungroup Ungroup item of the grouped column to clear a specific grouping;
  • use the ClearGrouping Clear grouping item of the Group by area popup menu to remove all grouping.

If necessary, you can group data by two or more columns. In this case column headers are displayed hierarchically, and data are grouped by these columns in the order the column headers appear in the Group by area.

The Group by area popup menu allows you to perform: FullExpand Full Expand, FullCollapse Full Collapse and ClearGrouping Clear Grouping.

You can disable or enable any column. Open the Column Chooser and drag any column header to disable this column from table. To add any disabled column drag the header back from the Column Chooser panel to the table.


Filtering

It is possible to make quick filtering by a specific value, or by blank/non blank field criteria.

To activate quick filter press the button in the upper-right corner of the column header like at the screenshot below.

To apply manually defined conditions use the Custom item of the drop-down list.

Custom Auto Filter

Pick the logical expression from the lists on the left and define values in the fields on the right. Use the '_' character to represent any single symbol, and use the '%' character to represent any series of symbols in the condition string. Relation between these conditions is defined with RadioButton And/ RadioButton Or options.

For more complex filtering use the Filter Builder. In this dialog you can set as much conditions as you need.

To launch the builder use the btnFilterEditor Filter Editor item of the column header popup menu.

Condition consists of Column, Logical operator and Value. Press any of this elements to change its value.

Two or more conditions form Condition group. Its popup menu allows you to change relations between child conditions ( [image] And, Or Or, NotAnd Not And, NotOr Not Or), to AddCondition Add Condition or AddGroup Condition Group or to RemoveGroup Remove Group. For root condition group the ClearAll Clear All operation is also available.

Note: You can use the Insert keyboard button to add a condition to the selected group and the Delete button to clear filter.

When any filter is applied the grey panel appears in the bottom of the grid.

Flag control enables/disables filtering. The arrow-down button opens the list containing recently applied filters.

To open current filter expression in the Filter Builder press the Edit Filter button.

The btnClose Close button disables panel and cancels filtering.


Templates

This chapter describes the way you can manage policy, service task and schedule templates.

EMS SQL Backup has a set of standard preset templates for easy creation of policies and their elements. You can create your own policy templates or widen the template library on the basis of already created objects.

To activate the template management section switch to the Templates tab:

Policy templates

Task templates

Step templates

Schedule template

Template - Explore

How to create a new template:

Proceed to the Templates tab and add new template in the appropriate section.

How to create a template from the existing policy:

Proceed to the Policies tab and select Create template from policy from policy's popup menu.

The program provides a set of standard templates.

To ImportTemplate Import and ExportTemplate Export templates to an external *.xml file, use the ImportTemplate Import Template and ExportTemplate Export Template context items correspondingly.

To create a template copy select it in the list of templates and use the CopyTemplate Clone Template context menu item.

See also:

Getting Started

Servers

Policies

Activities

Maintenance Steps

Options


Policy templates

The Policy Templates page allows you to manage policy templates.

Policy template is a preset policy that can be used for creating new policies on its basis. You can add or edit its settings in the process of policy creation afterwards.

Template - Explore

You can manage policy templates using the buttons on the Toolbars or popup menu.

AddTemplate Add New Template (Ctrl+Insert) - launches the wizard for creating a new policy template

EditTemplate Edit Template - opens the policy template editor

DeleteTemplate Delete Template (Ctrl+Delete) - removes the template

ExportTemplate Export Template.

ImportTemplate Import Template

CopyTemplate Clone Template - create a copy of the selected template

How to create a policy based on the template:

Use the Policy Maintenance Policies | CopyFromTemplate Create Policy from Template item form the popup menu at the Policy Policies page.

or

use the CopyFromTemplate Create from templates item from the popup menu at the iconDBExplorer Servers page.

How to create a template from the existing policy:

Proceed to the Policy Policies page and select Create template from policy from policy's popup menu.

See also:

Task templates

Step templates

Schedule template


Creating template from policy

If you already have a configured policy you can create a template on its basis which can be later used for creating a new policy. It will contain all tasks, steps and schedules of this policy with their defined parameters.

In order to create a template based on a policy select the necessary policy in the list on the Policies tab and then choose the CreateTemplateFromPolicy Create Template from Policy context menu item.

In the dialog appeared enter a Template name and define whether databases selected in the policy should be saved in the template being created.

Creating template from policy

This template will be automatically added to the Policy templates list.


Task templates

The Task Templates page allows you to manage task templates.

Task template is a preset template, containing steps and schedules, that can be used for creating new tasks on its basis. You can add or edit its settings in the process of task creation.

Template - Task

You can manage task templates using the buttons on the Toolbars or popup menu.

Add Add New Template (Ctrl+Insert) - launches the wizard for creating a new task template

Edit Edit Template - opens the task template editor

Delete Delete Template (Ctrl+Delete) - removes the template

ExportTemplate Export Template

ImportTemplate Import Template

CopyTemplate Clone Template - create a copy of the selected template

How to create a task based on the template:

When you are prompted to create a task on policy creation click the CreatePolicyTaskFromTemplate Create New from Template button and select the template or several templates at once from the list.

See also:

Policy templates

Step templates

Step templates


Create task wizard

This wizard will guide you through creating a task template that EMS SQL Backup can run on a regular basis.

Task in EMS SQL Backup is a set of scheduled steps to be performed on the server(s) or database(s).

You can schedule routine database administration steps.

Backup Database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Reorganize Indices

Shrink Database

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Wizard steps:

Set service task name and description

Select servers

Define a set of steps for service task

Define a schedule for service task

Task creating


Set service task name and description

At this step you need to specify Name and Description for the task being created.

Task templates - Service task wizard - Set service task name

Next step >>


Select servers

At this step select the servers to apply the task for.

<< Previous step

Next step >>


Define a set of steps for service task

Use this step of the wizard to build a list of steps in the execution order. Note that you need to set the sequence of steps with constraints schema that sets conditions for proceeding to each next step.

Task templates - Service task wizard - Define a set of steps for service task2

CreatePolicyTask Create New Step

Select the step which you create the dependent step on and use this button to add the new task. The Ins key or the popup menu item can be used as well.

CreatePolicyTaskFromTemplate Create Step from Template

If you create a task from a pre-saved template you need to pick a template for this object in the opened dialog.

Maintenance Policies - SelectingTemplate

EditPolicyTask Edit Step

You can use this button or double-click the step to change the settings.

If the step has two in-constraints, switch between [image] ConstraintAND buttons to set the rule for the step execution.

CheckBox Fail task on failure

If this option is checked then the execution of a whole task is aborted as a result of this step fail.

DeleteStep Delete Step

Click this button to remove the step from the list. The Delete key can be used as well.

CopyToTemplates Copy to Templates

Press this button to create a template with the same options as the selected object.

Managing constraints for creating execution conditions

Crerate constraint Create New Constraint

Select the step you need to create the constraint from, click the button and select the dependent step. You can use drag-and-drop as well.

Edit constraint Edit Constraint

Select the constraint link and click the button to set the value for proceeding to the next step.

Remove constraint Delete Constraint

Select the link and click the button to remove the constraint.

<< Previous step

Next step >>


Constraint editor

Use this editor to set conditions for steps proceeding.

Depending on the constraint value the next step will be executed if:

Failure - the step failed (Red link),

Success - the step was executed successfully (Green link),

Completion - the step completed (Blue link).

Constraints Editor - Schema


Define schedule for service task

At this step you need to set schedule(s) to be used for task launch.

Task templates - Service task wizard - Define a schedule for service task

AddSchedule Create new schedule

Clicking this button opens the Schedule Editor allowing you to create a schedule.

CreateScheduleFromTemplate Create New Schedule from Template

Use this button to create schedule from template. On pressing this button the Item selection dialog is opened allowing you to select any of the available templates and create a schedule based on its settings. If you select several schedule templates the corresponding number of schedules will be created.

EditSchedule Edit Schedule

Click the button or double-click the step to open the selected schedule for editing.

DeleteSchedule Delete Schedule

Click this button to remove selected schedule from the list.

CopyScheduleToTemplates Copy step to templates

Use this button to create a template based on the selected schedule.

<< Previous step

Next step >>


Creating task

At this step of the wizard you can see the summary of all options set at the previous steps.

Task templates - Service task wizard - Executing

You can Verify the choices made in the wizard in the corresponding area and click the Finish button to create the task.

<< Previous step


Select servers for the task

At this step select the servers to apply the task to.

<< Previous step

Next step >>


Task editor

The Task editor allows you to view and edit task parameters. It provides the same set of options as Service task wizard.

Task editor tabs:

Name and description

Selection

Steps

Schedules


Name and description

At this section you can view\edit task Name and Description.


Selection

At this tab you can manage the servers list for the task.


Steps

The Steps section allows you to view and edit the set of steps in the execution order.

Create New Step

Select the step which you create the dependent step on and use this button to add the new task. The Ins key or the popup menu item can be used as well.

CreatePolicyTaskFromTemplate Create Step from Template

If you create a task from a pre-saved template you need to pick a template for this object in the opened dialog.

Maintenance Policies - SelectingTemplate

EditPolicyTask Edit Step

You can use this button or double-click the step to change the settings.

If the step has two in-constraints, switch between [image] ConstraintAND buttons to set the rule for the step execution.

CheckBox Fail task on failure

If this option is checked then the execution of a whole task is aborted as a result of this step fail.

DeleteStep Delete Step

Click this button to remove the step from the list. The Delete key can be used as well.

CopyToTemplates Copy to Templates

Press this button to create a template with the same options as the selected object.

Managing constraints for creating execution conditions

Crerate constraint Create New Constraint

Select the step you need to create the constraint from, click the button and select the dependent step. You can use drag-and-drop as well.

Edit constraint Edit Constraint

Select the constraint link and click the button to set the value for proceeding to the next step.

Remove constraint Delete Constraint

Select the link and click the button to remove the constraint.


Schedules

The Schedules section allows you to view and edit schedule(s) for task execution.

AddSchedule Create new schedule

Clicking this button opens the Schedule Editor allowing you to create a schedule.

CreateScheduleFromTemplate Create New Schedule from Template

Use this button to create schedule from template. On pressing this button the Item selection dialog is opened allowing you to select any of the available templates and create a schedule based on its settings. If you select several schedule templates the corresponding number of schedules will be created.

EditSchedule Edit Schedule

Click the button or double-click the step to open the selected schedule for editing.

DeleteSchedule Delete Schedule

Click this button to remove selected schedule from the list.

CopyScheduleToTemplates Copy schedule to templates

Use this button to create a template based on the selected schedule.


Selection

Enter topic text here.


Creating template from task

If you already have a service task with defined configuration you can create a template on its basis which can be later used for creating a new service task. It will contain all steps and schedules of this task with their defined parameters.

In order to create a template based on a service task open the policy it is included in and select the CopyToTemplate Copy to Templates task context menu item or use the corresponding button.

In the dialog appeared enter a Template name and define whether databases selected in the task should be saved in the template being created.

Create template from task

This template will be automatically added to the Task templates list.


Step templates

The Step Templates section allows you to manage Step Templates.

Template - Step

You can manage step templates using the buttons on the Toolbars or popup menu.

Add Add New Template (Ctrl+Insert) - launches the wizard for creating a new step template

Edit Edit Template - opens the step template editor

Delete Delete Template (Ctrl+Delete) - removes the template

ExportTemplate Export Template

ImportTemplate Import Template

CopyTemplate Clone Template - create a copy of the selected template

How to create a step based on the template:

When you are prompted to create a step on policy creation or task creation click the CreatePolicyTaskFromTemplate Create Step from Template button and select the template or several templates at once from the list.

See also:

Policy templates

Task templates

Schedule template


Creating template from step

If you already have a configured maintenance action included in a policy you can create a template on its basis which can be later used for creating a new step. All parameters that have been defined during the step creation will be saved in this template.

In order to create a template based on a step open the policy it is included in and select the CopyToTemplate Copy to Templates step context menu item or use the corresponding button.

In the dialog appeared enter a Template name and define whether databases selected in the step should be saved in the template being created.

Create template from step

This template will be automatically added to the Step templates list.


Schedule template

The Schedule Templates section allows you to manage Schedule Templates.

To launch policy you can use the local time on each server or the local console time.

Template - Schedule

You can manage step templates using the buttons on the Toolbars or popup menu.

Add Add New Template (Ctrl+Insert) - opens the dialog for schedule creation

Edit Edit Template - opens the schedule editor

Delete Delete Template (Ctrl+Delete) - removes the template

ExportTemplate Export Template

ImportTemplate Import Template

CopyTemplate Clone Template - create a copy of the selected template

How to create a step based on the template:

When you are prompted to create a schedule on policy creation or task creation click the CreatePolicyTaskFromTemplate Create Schedule from Template button and select the template or several templates at once from the list.

See also:

Policy templates

Task templates

Step templates


Schedule editor

This dialog allows you to create/edit schedule(s).

At the Name and Description tab set the name of the schedule and its description.

Schedule template - Schedule editor - NameDescription

At the General tab of the editor set parameters for the schedule.

CheckBox Enabled

This option indicates whether schedule is active or not.

Schedule type

This section allows you to define schedule type.

RadioButton Start automatically when SQL Server Agent starts

This option indicates that tasks associated with this schedule will be launched when SQL Server Agent is started. Select this option to launch tasks associated with this schedule when SQL Server Agent is started.

RadioButton Start whenever the CPUs become idle

Use this option to start tasks associated with this schedule whenever CPUs become idle. This option indicates that tasks associated with the schedule will be launched whenever CPUs become idle.

RadioButton Start once

This option can be used when a single task performance should be scheduled.

RadioButton Recurring from date

Select this option if recurring task performance needed.

Frequency

Restrict task execution start and finish date in Occurs (Daily, Weekly, Monthly) from date to date fields and set its interval of recurrence at Recurs every N days.

Daily frequency

Set exact time at Occurs once or interval at Recurs every ... from ... to ... for the schedule.

NB: When creating the policy you can specify whether local Console or server time will be used for execution.


Creating schedule from template

If you already have a configured schedule included in a policy you can create a template on its basis which can be later used for creating a new schedule. All parameters that have been defined during the schedule creation will be saved in this template.

In order to create a template based on a schedule open the policy this schedule is included in and select the CopyToTemplate Copy to Templates schedule context menu item or use the corresponding button.

In the dialog appeared enter a Template name for the template being created.

Create template from schedule

This template will be automatically added to the Schedule templates list.


Activities

At this tab you can view all processes initiated by EMS SQL Backup: Policies and [image] Quick Maintenance Actions.

The result status of the task execution is displayed in the Status column.

The same information concerning tasks execution can be retrieved from the Server History viewer.

To see more detailed log refer to the Task Details section below. You can create a detailed bugreport by using the Copy As Bugreport context menu item. After the bugreport is generated you can paste it to any text editor.

The launch of policies created from other instances of the program is also displayed at this tab; such policies are displayed as Unregistered in Policy Name column.

Activity - Explore

iconRefresh Refresh

Refreshes the Activities tab. You can also use F5 key for this action.

StopTask Stop task

Interrupts task execution.

Show task history

Opens the Server History viewer for the selected instance.

Show all tasks \ Show only active tasks

Toggles between displaying all tasks performed within 24 hours and tasks that are being executed at the moment.

See also:

Getting Started

Servers

Policies

Templates

Maintenance Steps

Options


Maintenance steps

Step in EMS SQL Backup is a basic component of server maintenance. It sets the maintenance action to be performed over the database(s) and is used in Tasks and Policies.

Steps can be run separately for a single database\server for performing immediate maintenance operation. Steps can be included into Polices for scheduled performing.

Creating Steps

Editing Existing Steps

Note: To run the immediate maintenance action use the [image] Quick Maintenance Action item from the database\server popup menu.

Backup Database

Restore Database

Execute SQL Server Agent job

Executing T-SQL statement

History Cleanup

Database Integrity Check

Reorganize Indices

Shrink Database

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Bulk Restore

See also:

Getting Started

Servers

Policies

Templates

Activities

Options


Creating Steps

Step in EMS SQL Backup is a basic component of server maintenance:

Backup Database

Restore Database

Execute SQL Server Agent job

Executing T-SQL statement

History Cleanup

Database Integrity Check

Reorganize Indices

Shrink Database

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore

To perform immediate Step execution use [image] Quick Maintenance Actions | <Step name> popup menu item in the Servers tab.

Step should be included into Policy for scheduled execution. To add a Step to Policy you need to specify the Step at Step 2 of the Policy creation wizard at the Policies tab.

To create a Step Template or add a Step to the Policy or Task template go to the Templates tab.

See also:

Editing Steps


Backup Database

Backup Database step allows you to make a backup copy of one or several databases and transaction log.

To launch the backup job immediately select [image] Quick Maintenance Actions | [image] Backup Database popup menu item at the Servers tab.

To perform scheduled backup on a regular basis you need to include this task into Policy:

1. At the Step 2 of the Create Policy wizard click Create new step button and select Backup Database step type.

2. Also, you can create a new Step Template for further use selecting Backup Database step type at the Templates tab.

Note: To restore a database from backup use Restore Database wizard.

Steps of the Backup Database wizard:

Naming step

Selecting database provider

Selecting database

Defining EMS SQL Backup settings

Setting backup options

Setting file options

Specifying cloud connections

Specifying backup verifying options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


New topic

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Backup Database - Naming template

This step is skipped for Quick Maintenance Actions.

Next step >>


Selecting database provider

Select the backup provider at this step.

Service tasks - Backup Database - SQL Angel backup

Use RadioButton EMS SQL Backup provider if you need to backup multiple databases with advanced options. This kind of backup is quicker and creates compressed backup files. The files created with EMS SQL Backup provider cannot be restored using standard server tools; you need either use EMS SQL Backup restore or convert the backup file to SQL Server type.

Use RadioButton SQL Server provider to perform backup of a single database using native SQL Server tools.

<< Previous step

Next step >>


Selecting database

Use this step of the wizard to select database(s) for backup operation.

Service tasks - Backup Database - SQL Angel backup - Selecting database

Backup Type

Use this parameter to define the backup type:

RadioButton Database - full (a full database backup which backs up the entire database including the transaction log)

RadioButton Database - differential (a differential backup which only records the changes made to the data in the database after the last full database backup)

RadioButton Transaction log (a sequence of log backups provided for a continuous chain of transaction information to support recovery forward from database, differential, or file backups)

Set CheckBox Remove inactive entries option on to truncate the live transaction log when you create a backup.

Set CheckBox Leave in restoring state on to leave the database in restoring state to be unavailable to users until it is completely restored.

Set CheckBox Copy-only option to create a copy-only backup which is a SQL Server backup that is independent of the sequence of conventional SQL Server backups.

Set CheckBox Skip SIMPLE model DBs option to skip the databases which use the 'SIMPLE' recovery model. If this option is switched off and the databases using the 'SIMPLE' recovery model are included in the list/filter, the error will be returned by the server and the process will be aborted. Switch on the option to avoid such errors.

Backup Component

This group allows choosing the object of backup.

RadioButton Database - database backup.

RadioButton Files and filegroups - backup of selected files and filegroups.

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Databases

If EMS SQL Backup provider is used, you can select multiple databases, in case of SQL Server backup only one database can be specified.

All

Use this option to select both: system and user databases.

All system

This option indicates that only system databases should be backed up.

All user

Select this option to back up user databases only.

By mask

This option allows defining database selection by mask. Use * for a set of any characters and ? for any single character in the database name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step in a policy template then you are able to enter databases manually.

Service tasks - Entering databases

Use the AddItem button or Ins key to define database name. After you click the Enter button the database will be added to the list.

Any database from the list can be EditItem edited or DeleteItem deleted.

If the Files and filegroups option is chosen the selection list of file and filegroups is available.

Service tasks - Backup Database - SQL Angel backup - Selecting filegroups

Objects

For each selected database at least one file or filegroup should be chosen.

  • All - all existing database filegroups with all their files.
  • By list - manually selected files and filegroups.


Defining SQL Backup settings

Use this step of the wizard to define EMS SQL Backup backup settings. This step is available only on creating back up by means of EMS SQL Backup.

Service tasks - Backup Database - SQL Angel backup - Defining backup settings

Max Thread Count

Indicates the number of threads to be used for backup operation. Increase the number of threads for faster speed. If you are using a multi-processor system, increasing this value can fasten backup speed. You are recommended to set one thread fewer than the number of processors.

CheckBox Compression

Enable the option to compress backup.

Compression Level

Defines backup file compression level. Use '1' for best speed and '4' for best compression.

CheckBox Encryption

Enable the option to encrypt backup.

Encryption Password

Set password that is used for backup encryption.

Confirm password

Confirm the password specified as an encryption password above.

Encryption Type

Select the encryption algorithm.

<< Previous step

Next step >>


Setting SQL Server backup options

At this step you can define backup options. This step is available only on creating back up by means of SQL Server. The following dialog is displayed for SQL Server 2008 and older versions.

Service tasks - Backup Database - SQL Server backup - Setting backup options

Block size

Define the size of a data block in bytes. The supported sizes are 512, 1024, 2048, 4096, 8192, 16384, 32768, and 65536 (64 KB) bytes. Possible values are: RadioButton Default, RadioButton To restore from CD (2 KB), RadioButton Other (i.e. you can specify an arbitrary value).

If necessary, you can set a Password for the backup: enter the password twice in the respective edit fields.

Write type

RadioButton Append / RadioButton Overwrite

Select whether the media should be appended or overwritten during the backup operation. By appending another backup set to existing media, the previous contents of the media remain intact, and the new backup is written after the end of the last backup on the media.

CheckBox Backup compression

This option enables backup compression overriding the server-level default (for SQL Server 2008 Enterprise and later versions).

For servers that support backup encryption the following options are available:

Editing Service task template - Backup Database - Backup Options2014short

Backup encryption

You can set SQL Server encryption options for backups.

CheckBox Encrypt backup - enables backup encryption.

Select the encryption algorithm in Algorithm and the certificate or asymmetric key in Certificate or asymmetric key field. Please note that you can only use certificates protected by master key or EKM asymmetric keys from master database.

<< Previous step

Next step >>


Setting SQL Server data transfer options

For SQL Server backups the additional step of the wizard becomes available:

Service tasks - Backup Database - SQL Server backup - Setting other options

Buffer count

Specifies the total number of I/O buffers to be used for the backup operation.

Max transfer size, KB

Specifies the largest unit of transfer in bytes to be used between SQL Server and the backup media.

Note: If specified value is 0 then the default value is used.


Setting file options

Use this step to define backup file options.

Service tasks - Backup Database - SQL Angel backup - Setting file options

Backup folder

Specify backup destination directory. For your convenience {backup_root_folder} and {server} tags are provided. The directory which the {backup_root_folder} tag stands for is configured in the Server-side components Properties dialog.

You can check availability of the defined folder by clicking the corresponding button.

Note: The Check button is available only if backup is configured on a single server.

Backup file name

Define backup file name. Type backup file name manually or form it using variables. For your convenience {server}, {database}, {backup_type}, {date} and {login} tags are provided. If you want to upload backup file to an external storage it is recommended to use the {date} tag for the backup file to have a unique name.

Note: To insert a tag in the field simply click it in the list of Available tags.

RadioButton Backup to a single file

Select this option to backup all selected databases to a single file.

RadioButton Backup to several files

This option indicates that backup should be split into several files. Splitting the backup can in some cases speed up the backup process.

RadioButton Split by size

Indicates that backup file will be split to volumes of the specified size.

RadioButton Split by database

Indicates that each database will be backed up into a separate file.

<< Previous step

Next step >>


Specifying cloud connections

Use this step to set cloud connections for storing backups. You can add unlimited number of remote and local storage engines. Copies of backup files will be uploaded to all of the specified storages.

The connections to the following storages are supported:

  • SMB/CIFS
  • FTP
  • Secure FTP
  • Amazon S3 Cloud
  • Microsoft Azure
  • Dropbox
  • Google Drive

Service tasks - Backup Database - Specifying cloud connections

You can create a new connection or add an existing one. On adding an existing connection you will be offered to choose among connections specified in Cloud Connections tab of the Options dialog.

If you create a new connection then after specifying its properties you will be offered to save it, so this connection will be available in Cloud Connections.

To change connection parameters click on its name. Depending on connection type the relevant dialog for configuring connection settings will be opened.

Note: If the backup file with the specified name already exists in the storage then it will not be replaced and the upload will be failed.

CheckBox Don't save backup files on the server side

When the backup operation is performed EMS SQL Backup uploads the backup data to cloud storages "on the fly" at the same time when receiving stream from SQL Server. If this option is switched on the data is not written to the local server disk. This allows saving free storage space, but if errors occur when uploading to all of the selected cloud locations there will be no valid backup file(s) available.

<< Previous step

Next step >>


Specifying backup verifying options

Use this step to configure backup verifying options.

Service tasks - Backup Database - Specifying backup veryfying options

CheckBox Verify backup when finished (VERIFYONLY)

Check this option to enable backup verification. Verifying a backup checks that the backup is intact physically, to ensure that all the files in the backup are readable and can be restored, and that you can restore your backup in the event you need to use it.

CheckBox Perform checksum before writing to media (CHECKSUM)

This option enables/disables checksum verification before writing to the backup media. Before writing a page to the backup media, BACKUP verifies the page, if this information is presented on the page. BACKUP generates a separate backup checksum for the backup streams. Restore operations can optionally use the backup checksum to validate that the backup is not corrupted. The backup checksum can optionally be used at restore time. Using backup checksums may affect workload and backup throughput.

CheckBox Continue on error

This option determines whether the backup operation will be stopped or forced to continue despite encountering errors such as invalid checksums or torn pages.

CheckBox Detect possible backup sequence breaks

This option is available if Differential or Transaction log backup was selected. If the option is switched on the program analyzes SQL Server backup history to check if additional backups were made by some third-party software between the backups required to restore the current backup and generates the warning if such backups are found. Use this option to reveal the cases when backups are performed explicitly using VSS interface, by maintenance plans working on the server or by another third-party software. The restoring procedure may require backup files created by different software in those cases.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the operation.

Service tasks - Backup Database - SQL Angel backup - Performing operation

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Restore

Restore Database Wizard allows you to perform the database restore operation on your SQL Server system. The wizard provides flexible customization and is easy-to-use. Using this wizard you can restore backup files stored locally on the server as long as the backups stored on the remote cloud storage.

Restore operation is used to rebuild a damaged or corrupted database that has been backed up using Backup Database Wizard. You can restore the entire database, part of a database, transaction logs.

To start the operation use the [image] Quick Maintenance Action | [image] Restore Database item of the server\database popup menu or the [image] Restore Database item of the database context menu.

This wizard will guide you through the restore database process step by step.

Note: This step cannot be included into Policies. It can be only launched manually from [image] Quick Maintenance Actions.

Steps of the Restore Database wizard:

Selecting available backup

Specifying the elements of backup

Defining target database parameters

Specifying restore options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Selecting available backup

At this step you need to select the backup for database restore.

Restore Database Wizard_Angel

Backup provider

You need to select the provider that had been used for creating the backup. Depending on the selection the restore procedure will be performed by EMS SQL Backup or SQL Server means.

Backup Source

History - shows the list of the available database backups for the specified server and database. Only backups of corresponding provider types are displayed.

Files - allows selecting individual backup files from the server.

Server

Select the server to restore database from.

Database

This option is available for History backup source and contains databases available for the selected server. Choose the database you need to restore and the list of the backups available for the selected database will be displayed below. Note that only 20 latest backups are displayed. To access older entries click the Get more... button. You need to select the backup to restore and proceed to the next step of the wizard.

In the Storage column you can view cloud storages where the backup has been uploaded. If it is not found locally you will be able to search for it in the cloud storage and then download it.

When restoring on the chosen date using the history the search of the needed for restoring full and differential backups is performed. For example, if you are restoring a transaction log then all backups will be found: starting from the full to all transaction log backups. All detected backups will be restored sequentially by LSN log numbers to ensure a full restoring.

Note: If the file hasn't been uploaded to the cloud and it's not found locally, the corresponding history point will not be displayed. You can select the required file manually.

You can add backup files manually from the local or network folder or cloud by choosing the Select files option.

Note: If you have selected the backup that is not found on the local drive it will be searched in the cloud automatically on proceeding to the next step. The search is performed in the clouds that were specified during the backup and in the similar cloud storages from the Cloud Connections list.

Press the Next button to proceed to the Specifying the elements of backup (for History backup source) or Defining the target database parameters (for Files backup source).

Next step >>


Selecting files manually

Using the Select files option you can add manually add backup file stored on the local/network drive or cloud.

Restore Database Wizard_Files

For every selected file displays additional information: Date, Database, Type, Encrypted, First LSN, Storage name, Last LSN, Check Point LSN, Differential Base LSN.

Add Local File/Add Network File

Click this button to search for the backup files on the local (server) or network machine. If backup consists of multiple files (this option is only available for EMS SQL Backup type) you need to specify the first file from the chain. If the backup file includes several databases you are only allowed to select one database at a time.

Add Cloud File

When you select the Add Cloud File option the Select cloud dialog appears. Here you need to specify the cloud which contains the necessary backup file.

Restore Database Wizard - Files - Add cloud

You can create a new connection or add an existing one. On adding an existing connection you will be offered to choose among connections specified in Cloud Connections tab of the Options dialog.

If you create a new connection then after specifying its properties you will be offered to save it, so this connection will be available in Cloud Connections.

To change connection parameters click on its name. Depending on connection type the relevant dialog for configuring connection settings will be opened.

After the cloud is added, click the Ok button to start the process of retrieving files from the cloud. If the connection to the cloud is established and the user has sufficient privileges for getting the list of files, the Select file dialog appears. It contains the list of files located on the cloud.

Restore Database Wizard - Files - Files on cloud

Select the necessary backup file and specify the Local path for download - the path on your local drive where the backup files will be saved after download.

Note: The file for restoring will be added after it is downloaded from the cloud.

ClearList Clear

Removes the selected file from the list.

ClearFiles Clear All

Removes all files from the list.

Use MoveUp and MoveDown buttons to reorder selected files.

Set Password

If the chosen backup is encrypted then click the button to input the password for the backup in the opened dialog:

Restore Database Wizard - Backup password


Specifying the elements of backup

This step allows you to select history that will be used to restore the database. This step is not available if Files has been selected as backup source at the previous step. The order is generated automatically by SQL Server based on Log Sequence Numbers. If several sequences are available, the program selects the shortest one, consisting of local files. You can select the required sequence manually using Left and Right buttons.

Backup set parts necessary for successful database restore process should be selected carefully. Please check that all backups required for full restore are selected.

To work with encrypted backups, enter the password by pressing the Set password button or double-clicking the required backup.

Restore Database Wizard - History - Specifying file settings

The first column indicates whether the file from the set is available for restoring or not:

FoundLocally - backup file is found on the local drive;

FoundInCloud - backup file is found in the cloud storage;

NotFoundBackup - backup file is not found.

In the Backup file column you can see where the file is located - the local path or the cloud storage.

If the file is not stored locally or was not found automatically in the cloud, you can select this file in the list and click the FindInCloud Find in cloud button.

In the opened Select cloud dialog you need to add clouds where the backup file will be searched.

By default, this dialog lists the clouds where the backup file can be probably situated - clouds that were specified during the backup and in the similar cloud storages from the Cloud Connections list.

Restore Database Wizard - History - Specifying file settings - Adding clouds

You can create a new connection or add an existing one. On adding an existing connection you will be offered to choose among connections specified in Cloud Connections tab of the Options dialog.

If you create a new connection then after specifying its properties you will be offered to save it, so this connection will be available in Cloud Connections.

To change connection parameters click on its name. Depending on connection type the relevant dialog for configuring connection settings will be opened.

After you have specified clouds, click the Ok button to start searching. The search is performed in the clouds one after another; when the file is found on one of the clouds you are offered to use this cloud and stop searching. You can continue searching as well.

After all backup files are found click the Next button to proceed to the Defining target database parameters step of the wizard.

Note: If you have files found in clouds you will be offered to download them before proceeding to the next step. It is necessary action for the database restoring. Files are downloaded to the folder that was specified in the backup settings.

<< Previous step

Next step >>


Choosing files and filegroups

This step is visible if the Files and filegroups backup was selected at the previous step. Use this step to select the necessary files and filegroups for restore operation which is performed with the 'WITH PARTIAL' clause.

Restore Database Wizard - Files and filegroups

Use These files and filegroups to select all tree items.

<< Previous step

Next step >>


Defining target database parameters

Use this step of the wizard to define the target database parameters.

Restore as

Select RadioButton Existing database to restore to an existing database, or RadioButton New database if you want to create a new database.

Database name

Select the database to perform restoring on from the list of all available databases on the specified host.

CheckBox Verify only (RESTORE VERIFYONLY)

Check this option to enable selected backup set verification. Verifying a backup checks that the backup is intact physically, to ensure that all the files in the backup are readable and can be restored, and that you can restore your backup in the event you need to use it.

CheckBox Delete downloaded files after restore

If this option is checked the files downloaded from remote/cloud storages will be automatically deleted after restore process ends. This option is enabled when at least one backup file has been downloaded from remote storage at previous step.

If the New database option is selected, then database name should be specified in the corresponding field. If you are restoring a database from the differential copy the New database option is unavailable.

Restore Database Wizard - History - Specifying restore type

The grid displays logical and physical names of the files. You can rename the files and groups in the grid or change file folder in the appropriate dialog, clicking the ellipsis button.

Use the EllipsisButton ellipsis button to set files for the database that is being restored.

Restore Database Wizard - History - Specifying restore type - Selecting Files

Click the Next button to proceed to the Specifying restoring options step of the wizard.

<< Previous step

Next step >>


Specifying restore options

At this step you need to set recovery options and options for transaction log restore.

Recovery options

This group of options allows you to specify the recovery options to be applied to the restore operation.

RadioButton Recovery (rollbacks all uncommitted transactions)

This option specifies that the restore operation rolls back any uncommitted transactions. After the recovery process the database is ready for use.

RadioButton No recovery (leaves the database in the restoring state)

This option specifies that the restore operation does not roll back any uncommitted transactions.

NB: When this option is selected, the database is not usable in this intermediate, non-recovered state.

When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of the following situations:

  • a restore script is being run and the log is always being applied;
  • a sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

RadioButton Standby (leaves database in read-only and standby mode)

This option allows the database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.

Undo file name

Specify the undo file name, so that the recovery effects can be undone. The same undo file can be used for consecutive restores of the same database.

NB: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

Restore Database Wizard_history_Specify other restore settings

CheckBox Backup the transaction log before proceeding with the restore is checked

Check this option to perform the tail-log backup before the restore. Note that the 'WITH NORECOVERY' option will be used in the backup operation so that the database state will be changed to Recovery. This guarantees that the database does not change after the tail-log backup.

Note: The tail-log backup process starts automatically on proceeding to the next step.

CheckBox Restore tail of log automatically

If you check this option the tail-log backup file will be added to the backup set for restoring.

CheckBox Replace (WITH REPLACE)

This option specifies that SQL Server database will be overwritten if it exists.

CheckBox Continue on error

This option determines whether the restore operation will be stopped or forced to continue if an error occurs.

Transaction log options

This section is available only if the Transaction log restore type was selected at the Specifying the elements of backup step.

RadioButton Restore all records of transaction log

Select this option to make a complete restore from transaction log backup.

RadioButton Restore all records of transaction log before

This option indicates that database restore is based on the transaction log records added before specified date. Pick date and specify time in the fields below.

RadioButton Restore all records of transaction log up to market transaction

Use this option to restore database to the state when marked transaction was committed.

Mark name

Specify the needed mark in the field.

Look for marks at or after

You need to define the start date time point to search for the marked transaction from.

CheckBox Include marked transaction

Enable this option to restore database to the state right after the transaction committing. If the option is disabled then database will be restored to the state right before the transaction committing.

CheckBox Kill connections

Set this option to kill all existing connections to the database before starting the restore process otherwise restore will fail if any connections exist.

Note: If this option is checked when the Backup the transaction log before proceeding with the restore is checked, then connections will be killed before the backup tail-log process starts.

CheckBox Check orphaned users

Check this option to detect orphaned users on restore process.

CheckBox Drop orphaned users

If this option is checked then found orphaned users will be dropped on the restore process.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the operation.

Restore Database Wizard SQL Angel restore - Performing operation

After verifying the choices made in the wizard click the Run button to complete the operation.

<< Previous step


Database Shipping

Database Shipping step allows you to create full backups on the source server, ship them to the destination server via a shared folder and restore on the destination server.

To perform database shipping step you must have at least two SQL Server instances; version of destination server cannot be lower than the source server version; both servers must have access to the shared folder.

To launch the database shipping immediately select [image] Quick Maintenance Actions | DatabaseShipping Database shipping popup menu item in the Servers tab.

To perform scheduled database shipping on a regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Database Shipping step type.

2. Also, you can create a new Step Template for further use selecting Database Shipping step at the Templates tab.

Steps of the Database Shipping wizard:

Naming step

Specify database pairs

Specify backup options

Specify folders and recovery options

Viewing summary information

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Database Shipping - Naming step

Next step >>


Specifying database pairs

At this step you need to set database pairs for database shipping.

Service tasks - Database Shipping - Specifying database pairs

Source server

Select the server where the database that you want to back up to another server is located.

Destination server

Select the server where backup files are shipped to from the drop-down list.

Set the database pairs in the grid. The full database backups are performed on the source server and restored on the destination server.

If the destination database does not exist, you can select <Create new> item in the Destination DB column and specify its name in the New database column. Creating the databases is performed by creating a full backup of the source database and its further restoring.

Data folder

Specify the path for data MDF files for the newly created database.

Log folder

Specify the path for data LDF files for the newly created database.

Note: When creating a template no databases can be selected at this step. Please proceed to the next steps to set default template options. Databases can be selected on applying the template to the policy.

<< Previous step

Next step >>


Specifying backup options

At this step you can define backup options for source database(s).

Service tasks - Database Shipping - Specifying backup options

Backup folder

Specify the directory for backup. It is set relatively the source server. You can check availability of this folder by clicking the corresponding button.

Max Thread Count

Indicates the number of threads to be used for backup operation. Increase the number of threads for faster speed. If you are using a multi-processor system, increasing this value can fasten backup speed. You are recommended to set one thread fewer than the number of processors.

CheckBox Compression

Enable the option to compress backup.

Compression Level

Defines backup file compression level. Use '1' for the best speed and '4' for the best compression.

CheckBox Encryption

Enable the option to encrypt backup.

Encryption Password

Set password that is used for backup encryption.

Confirm password

Confirm the password specified as an encryption password above.

Encryption Type

Select the encryption algorithm.

CheckBox Keep backups on the source server

Enable this option if you want to store backup files on the source server in the folder which is specified in the Backup folder field.

<< Previous step

Next step >>


Specifying folders and recovery options

At this step you need to set shared and destination folder, and recovery options for database restore.

Service tasks - Database Shipping - Specifying folders and recovery options

Network shared folder

Specify the backup shared folder for copying full database backups of the source database. Both source and destination servers should have access to this folder, otherwise database shipping cannot be performed. Specify the authorization parameters for the shared folder in the Authorization section. Click the Check button to make sure that the folder is accessible by both servers.

Destination folder

Specify the destination server folder which the backups will be shipped to. This folder must be set relatively to the destination server.

Recovery options

This group of options allows you to specify the recovery options for restore operation.

RadioButton No recovery (leaves the database in the restoring state)

This option specifies that the restore operation does not roll back any uncommitted transactions.

NB: When this option is selected, the database is not usable in this intermediate, non-recovered state.

When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of the following situations:

  • a restore script is being run and the log is always being applied;
  • a sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

RadioButton Standby (leaves database in read-only and standby mode)

This option allows the database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.

RadioButton Recovery (rollbacks all uncommitted transactions)

This option specifies that the restore operation rolls back any uncommitted transactions. After the recovery process the database is ready for use.

Undo file name

Specify the undo file name, so that the recovery effects can be undone. The same undo file can be used for consecutive restores of the same database.

NB: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

Set CheckBox Kill connections to destination database option ON for forced disconnection of all processes to the database.

<< Previous step

Next step >>


Viewing summary information

This step of the wizard is intended to inform you that all necessary options have been set, and you can perform database shipping.

Service tasks - Database Shipping - Viewing summary information

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Execute SQL Server Agent job

Execute SQL Server Agent job step allows you to execute an SQL Server Agent job on the server.

A job is a specified set of operations performed sequentially by SQL Server Agent. A job can perform a wide range of activities, including running Transact-SQL scripts, command-line applications, Microsoft ActiveX scripts, Integration Services packages, Analysis Services commands and queries, or Replication tasks. Jobs can run repetitive or scheduled tasks, and they can automatically notify operators of job status by generating alerts. Before using SQL Server jobs, make sure that the SQL Server Agent service is running.

Note: The status of this step execution shows whether a job has been launched or failed to launch, and not the result of job execution.

To launch the job immediately select [image] Quick Maintenance Actions | ExecuteJob Execute SQL Server Agent job popup menu item in the Servers tab.

To perform scheduled execution of SQL Server Agent job on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Execute SQL Server Agent job type.

2. Also, you can create a new Step Template for further use selecting Execute SQL Server Agent job step at the Templates tab.

Steps of the Execute SQL Server Agent job wizard:

Naming step

Selecting job

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Execute SQL Server Job - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting job

Use this step to set the correspondence between instances and jobs to be executed.

Service tasks - Execute EMS SQL Agent server job - Selecting job

Select the server(s) in the Servers list and add the job from the Available SQL Server Agent jobs list to Selected SQL Server Agent jobs in execution order list using AddItem button or double-clicking.

Note: Selecting servers is not available in Template mode. If the server name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

You can re-arrange jobs order for execution using arrow buttons on the right MoveUp MoveDown . Use Cross Delete button or Delete key to remove job from the list.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start job(s) execution.

Service tasks - Execute EMS SQL Agent server job - Executing job

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Execute T-SQL statement

Execute T-SQL statement step allows you to execute any T-SQL statement.

To launch the T-SQL statement immediately select [image] Quick Maintenance Actions | btnShowSQLScript Execute T-SQL statement popup menu item in the Servers tab.

To perform scheduled T-SQL statement execution on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Execute T-SQL statement step type.

2. Also, you can create a new Step Template for further use selecting Execute T-SQL statement step at the Templates tab.

Steps of the Execute T-SQL statement wizard:

Naming step

Selecting server

Defining T-SQL statement

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Execute T-SQL Statement - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting server

Use this step of the wizard to select server(s) for T-SQL statement execution.

Execute T-SQL statement - Database selection

Servers

Select the servers to execute the T-SQL statement on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Server description and version are displayed on the right panel.

<< Previous step

Next step >>


Defining T-SQL statement

Use this step to define a T-SQL statement to be executed.

Service tasks - Execute T-SQL statement - Defining T-SQL statement

Type the T-SQL statement in the Query text tab.

Use the Execute timeout field to define time restriction for checking the statement procedure.

Use the Check statement button to run the statement on the server in PARSEONLY mode to ensure that T-SQL statement is correct. The detailed log of errors is displayed at the Errors tab.

Note: The Check statement button is not available in Template mode.

Use Load\Save buttons for loading or saving the script from\to an internal file.

All errors are displayed on the Errors tab.

Service tasks - Execute T-SQL statement - Defining T-SQL statement - Error

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start T-SQL statement execution.

Service tasks - Execute T-SQL statement - Executing T-SQL statement

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


History Cleanup

History Cleanup step allows you to clean the selected instance history (backup history and SQL Agent jobs).

To launch history cleanup immediately select [image] Quick Maintenance Action | ServerHistoryCleanup History Cleanup popup menu item in the Servers tab .

To perform scheduled history cleaning on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select History Cleanup step type.

2. Also, you can create a new Step Template for further use selecting History Cleanup step at the Templates tab.

Steps of the History Cleanup wizard:

Naming step

Selecting server

Selecting historical data

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - History Cleanup - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting server

Use this step of the wizard to select servers for history cleanup.

History cleanup - Choose server

Servers

Select the Server(s) to clean history. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Server description and version are displayed on the right panel.

<< Previous step

Next step >>


Selecting historical data

At this step of the wizard you need to define the history that should be deleted.

Service tasks - History Cleanup - Selecting history

MS SQL Server

The following options are intended to delete MS SQL backup history and some log info concerning specific jobs performed by MS SQL Server means.

CheckBox Backup and restore history data older than

Enable the option to clean the history of the MS SQL Server backup and restore operations that are older than specified period of time. After cleanup the information about SQL Server type backups performed by EMS SQL Backup or by SQL Server itself will be removed from the server.

CheckBox History data of Server Agent job older than

Enable the option to clean the history of the SQL Server Agent job(s) that are older than specified period of time. After this cleanup all information about SQL Server Agent job execution will be removed from the server.

EMS SQL Backup

The following options are intended to delete some log info concerning tasks performed by EMS SQL Backup.

CheckBox Backup and restore history data older than

Enable the option to clean the history of the backup and restore operations that are older than specified period of time. After cleanup the information about EMS SQL Backup type backups will be removed from EMS SQL Backup.

CheckBox Log records of EMS SQL Backup older than

Enable the option to clean the history of the EMS SQL Backup task(s) execution that are older than specified period of time. After cleanup the information about executed tasks will be removed from History Viewer.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start cleaning the history data.

Service tasks - History Cleanup - Cleaning history

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Database Integrity Check

Database Integrity Check step allows you to perform the check database operation on the server (the DBCC CHECKDB Transact-SQL statement is issued). This operation is used to check the allocation, structural, and logical integrity of all the objects in the specified database.

To launch the database check immediately select [image] Quick Maintenance Actions | DatabaseIntegrityCheck Database Integrity Check popup menu item in the Servers tab.

To perform scheduled database integrity check on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Database Integrity Check step type.

2. Also, you can create a new Step Template for further use selecting Database Integrity Check step at the Templates tab.

Steps of the Database Integrity Check wizard:

Naming step

Selecting databases

Setting options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Database Integrity Check - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting databases

Use this step of the wizard to select databases for integrity check.

Service tasks - Datbase Integrity Check - Selecting database

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Databases

All

Use this option to select both: system and user databases.

All system

This option indicates that only system databases should be checked.

All user

Select this option to check user databases only.

By mask

This option allows defining database selection by mask. Use * for a set of any characters and ? for any single character in the database name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step in a policy template then you are able to enter databases manually.

Service tasks - Entering databases

Use the AddItem button or Ins key to define database name. After you click the Enter button the database will be added to the list.

Any database from the list can be EditItem edited or DeleteItem deleted.

<< Previous step

Next step >>


Setting options

This step of the wizard allows you to customize database integrity check.

Service tasks - Datbase Integrity Check - Setting options

CheckBox Exclude indexes checks (NOINDEX)

The option indicates that indices are excluded on database integrity check.

CheckBox Perform logical checks on indexes (EXTENDED_LOGICAL_CHECKS)

If the compatibility level is 100 (SQL Server 2008) or higher, enable this option to perform logical consistency checks on indexed views, XML indexes, and spatial indexes.

CheckBox Limit the checking to

Use this option if you need to restrict database integrity check:

Physical Only (PHYSICAL_ONLY) value limits the checking operation to the integrity of the physical structure of the page and record headers, the physical structure of B-trees and the allocation consistency of the database. Designed to provide a small overhead check of the physical consistency of the database, this check can also detect torn pages, checksum failures, and common hardware failures that can compromise a user's data.

Data Purity (DATA_PURITY) value checks the database for column values that are not valid or out-of-range.

CheckBox Apply lock during check (TABLOCK)

If this option is used, the DBCC CHECKDB statement obtains locks instead of using an internal database snapshot. This includes a short-term database exclusive lock.

CheckBox Write detailed error messages (ALL_ERRORMSGS)

This option displays an unlimited number of all errors per object.

CheckBox Suppress info messages (NO_INFOMSGS)

This option suppresses all informational messages.

Use the Operation timeout option to specify how long a remote operation can take before the program times out and the error is returned.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start checking database integrity.

Service tasks - Datbase Integrity Check - Checking Integrity

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Reorganize Indices

Reorganize Indices step allows you to perform index management operations in your databases: reorganizing, rebuilding, disabling (the ALTER INDEX REORGANIZE ... REBUILD ... DISABLE Transact-SQL statements are issued).

When indexes have pages in which the logical ordering based on the key value does not match the physical ordering inside the data file, these indexes are called fragmented. Highly fragmented indexes may considerably decrease query performance. Index fragmentation is remedied by either reorganizing or by rebuilding an index.

To launch the reorganization of indexes immediately select [image] Quick Maintenance Actions | ReorganizeIndices Reorganize Indices popup menu item in the Servers tab.

To perform scheduled backup on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Reorganize Indices step type.

2. Also, you can create a new Step Template for further use selecting Reorganize Indices step at the Templates tab.

Steps of the Reorganize Indices wizard:

Naming step

Selecting objects

Defining rules

Advanced options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Reorganize Indices - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting objects

Use this step of the wizard to select objects for index reorganization.

Service tasks - Reorganizing indices - Selecting database

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Databases and objects

Select objects to reorganize indexes.

All

Use this option to select both: system and user objects.

All system

This option indicates that only system objects should be selected.

All user

Select this option to select user objects only.

By mask

This option allows defining objects selection by mask. Use * for a set of any characters and ? for any single character in the object name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step in a policy template then you are able to enter databases, tables and views manually.

Service tasks - Entering databases and tables

Use the AddItem button or Ins key to define database/table/view name. After you click the Enter button the database/table/view will be added to the list.

Any database/table/view from the list can be EditItem edited or DeleteItem deleted.

<< Previous step

Next step >>


Defining rules

At this step of the wizard you can set index reorganization rules.

Service tasks - Reorganizing indices - Defining rules

Reorganize indices if fragmentation level is above

Define the fragmentation limits. Exceeding this limits considers the indices to be reorganized.

Rebuild indices if fragmentation level is above

Define the fragmentation limits. Exceeding this limits considers the indices to be rebuilt.

CheckBox Compact large objects

Enable this option to compact image, text, ntext, varchar(max), nvarchar(max), varbinary(max) and xml data.

<< Previous step

Next step >>


Advanced options

This step of the wizard provides a number of advanced options for index reorganizing.

Service tasks - Reorganizing indices - Advanced options

Free space

Define which pages should be reorganized: ones with the RadioButton default or RadioButton specified amount of free space per page.

CheckBox Pad index

Enable this option to leave the space open on each page in the intermediate levels of index.

CheckBox Sort results in tempdb

This option indicates that intermediate sort results used to rebuild indices will be stored in the tempdb database.

CheckBox Ignore duplicate keys

If the option is enabled then duplicate keys will be ignored.

CheckBox Keep index online while reindexing

This option determines whether concurrent user access to the underlying table or clustered index data and any associated non-clustered indexes is allowed while reindexing.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start reorganizing indices.

Service tasks - Reorganizing indices - Performing operation

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Shrink Database

Shrink Database step allows you to perform database shrinking (the DBCC SHRINKDATABASE and SHRINKFILE Transact-SQL statements are issued). This operation is used to reduce any file within the database to remove unused pages. Both data and transaction log files can be reduced, or shrunk.

To launch the shrinking operation immediately select [image] Quick Maintenance Actions | [image] Shrink Database popup menu item in the Servers tab.

To perform scheduled shrinking on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Shrink Database step type.

2. Also, you can create a new Step Template for further use selecting Shrink Database step at the Templates tab.

Steps of the Shrink Database wizard:

Naming step

Selecting database

Setting options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Shrink Database - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting database

Use this step of the wizard to select databases to shrink.

Service tasks - Shrink database - Selecting database

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Databases

All

Use this option to select both: system and user databases.

All system

This option indicates that only system databases should be shrinked.

All user

Select this option to shrink user databases only.

By mask

This option allows defining database selection by mask. Use * for a set of any characters and ? for any single character in the database name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step in a policy template then you are able to enter databases manually.

Service tasks - Entering databases

Use the AddItem button or Ins key to define database name. After you click the Enter button the database will be added to the list.

Any database from the list can be EditItem edited or DeleteItem deleted.

<< Previous step

Next step >>


Setting options

At this step you can set shrinking options.

Service tasks - Shrink database - Setting options

Shrink database when it exceeds

Set database size limit. Database will be shrunk when its size goes over this limit.

Freed space

Amount of free space to remain after shrink

Use this field to define percentage of free space that will be left in database file after it is shrunk.

You need to decide whether freed space should be RadioButton retained in database files or RadioButton returned to operating system.

CheckBox Suppress informational messages

Enable the option to disable informational messages.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the operation.

Service tasks - Shrink database - Shrinking database

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Update Statistics

Update Statistics step allows you to perform the update statistics operation in your database (the UPDATE STATISTICS statement is issued). This operation is used to updates the statistics for the specified tables and views.

To launch the updating operation immediately select [image] Quick Maintenance Action | UpdateStatistics Update Statistics step popup menu item in the Servers tab.

To perform scheduled update of statistics on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Update Statistics step type.

2. Also, you can create a new Step Template for further use selecting Update Statistics step at the Templates tab.

Steps of the Update Statistics wizard:

Naming step

Selecting objects

Setting options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Update Statistics - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting objects

Use this step of the wizard to select objects to update statistics.

Service tasks - Update Statistics - Selecting database

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Databases and objects

All

Use this option to select both: system and user objects.

All system

This option indicates that only system objects should be selected.

All user

Select this option to select user objects only.

By mask

This option allows defining objects selection by mask. Use * for a set of any characters and ? for any single character in the object name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step in a policy template then you are able to enter databases, tables and views manually.

Service tasks - Entering databases and tables

Use the AddItem button or Ins key to define database/table/view name. After you click the Enter button the database/table/view will be added to the list.

Any database/table/view from the list can be EditItem edited or DeleteItem deleted.

<< Previous step

Next step >>


Setting options

Use this step to define basic update statistics options.

Service tasks - Update Statistics - Setting options

Update

RadioButton All existing statistics

Select this option if you need to update all statistics.

RadioButton Column statistics only

Use this option to update column statistics only.

RadioButton Index statistics only

This option indicates that only index statistics will be updated.

Options

RadioButton Full scan

Specifies that all rows in table or view should be read to gather the statistics. This option provides the same behavior as Sample 100 Percent.

RadioButton Sample

Specifies the percentage of the table or indexed view, or the number of rows to sample when collecting statistics for larger tables or views.

RadioButton Resample

Option specifies that statistics will be gathered using an inherited sampling ratio for all existing statistics including indexes. If the sampling ratio results in too few rows being sampled, SQL Server automatically corrects the sampling based on the number of existing rows in the table or view.

CheckBox No recompute

Disable the option to recompute statistics that become out of date automatically.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start updating statistics.

Service tasks - Update Statistics - Updating Statistics

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Database Parameters Logger

Database Parameters Logger step allows you to check database parameters (such as information about backups, index fragmentation, transaction logs, data files, integrity check operations and more) and log warnings if parameters do not satisfy given conditions for efficient database maintenance.

To launch the database parameters logger operation immediately select [image] Quick Maintenance Actions | ServerParametersLogger Database Parameters Logger popup menu item in the Servers tab.

To perform scheduled database parameters logging on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Database Parameters Logger step type.

2. Also, you can create a new Step Template for further use selecting Database Parameters Logger step at the Templates tab.

Steps of the Database Parameters Logger wizard:

Naming step

Selecting database

Setting conditions

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Server Params Logger - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting database

Use this step of the wizard to select databases to update statistics.

Service tasks - Server Params Logger - Selecting database

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Databases and objects

All

Use this option to select both: system and user objects.

All system

This option indicates that only system objects should be selected.

All user

Select this option to select user objects only.

By mask

This option allows defining objects selection by mask. Use * for a set of any characters and ? for any single character in the object name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step in a policy template then you are able to enter databases manually.

Service tasks - Entering databases

Use the AddItem button or Ins key to define database name. After you click the Enter button the database will be added to the list.

Any database from the list can be EditItem edited or DeleteItem deleted.

<< Previous step

Next step >>


Setting conditions

This step allows you to define events to be logged.

Service tasks - Server Params Logger - Setting options

The options below allow you to define conditions which EMS SQL Backup should perform logging by.

CheckBox No backup

Enable this option to log the list of databases with no backup.

CheckBox Last full backup

The option should be used to log the list of databases with old full backups.

Last full backup older than

Defines the time point relatively to current date. The list of databases with full backup made before this point will be logged.

CheckBox Last log backup

Use this option to log the list of databases with old log backups.

Last log backup older than

Define the time point relatively to current date. The list of databases with log backup made before this point will be logged.

CheckBox Index fragmentation

Enable this option to log the list of databases with high fragmentation.

Index fragmentation more than

Define the level of index fragmentation. Databases list with index fragmentation level above specified will be added to log.

Only check indices with more than

This option indicates that only indices with page amount above specified will be checked.

CheckBox Integrity check (SQL Server 2005 or higher)

Enable this option to log the list of databases with out-of-date integrity check.

Last integrity check older than

Define the time point relatively to current date. The list of databases with integrity check made before this point will be added to log.

CheckBox Transaction log

Enable this option to log the list of databases with transaction log free space below the specified limit.

Free space is less than

This option defines transaction log free space limit. Log includes list of databases with amount of free space less than this limit.

Log file is larger than

This option adds log file size condition. List of databases which transaction log file is larger than the specified limit will be included to log.

CheckBox Data file

This option indicates that log should include databases with data file free space below the specified limit.

Free space is less than

Use this option to define the data file free space limit.

Data file is larger than

Use this option to define data file size condition. Databases which data file is above this limit will be added to log.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start logging database parameters.

Service tasks - Server Params Logger - Performing Operations

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Maintenance Cleanup

Maintenance Cleanup step allows you to cleanup EMS SQL Backup and SQL Server backups and Maintenance plan reports, created by MS SQL Server, stored locally on the server or on a remote cloud storage. Cleaning MS SQL Server backups is not available for MS SQL Server 2000.

To launch the updating operation immediately select [image] Quick Maintenance Actions | MaintenanceCleanup Maintenance Cleanup popup menu item in the Servers tab.

To perform scheduled maintenance cleanup on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Maintenance Cleanup step type.

2. Also, you can create a new Step Template for further use selecting Maintenance Cleanup step at the Templates tab.

Steps of the Maintenance Cleanup wizard:

Naming step

Selecting files/folders for cleanup

Defining cleanup criteria

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Maintenance Cleanup - Naming template

This step does not appear for Quick Maintenance Actions.

Next step >>


Selecting files/folders for cleanup

At this step you need to define server(s) and locations for cleanup.

Service tasks - Maintenance cleanup - Selecting server

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode.

Use CreatePolicyTask Add file or folder specification to add a cleanup destination and EditStepM Edit specification, DeletePolicyTask Remove selected specification for appropriate actions.

Cleanup specification

In this dialog you can define locations or files to be cleared on the server or cloud storage.

Service tasks - Maintenance cleanup - Define items to clear

Location

Select Server if you want to clear folders/files stored on your server locally.

Select Cloud storage if you want to delete files located on the cloud.

Server

Provider

Select whether the files created by EMS SQL Backup or SQL Server will be cleaned.

Folder

Set the search folder for the files. The path is set relatively to the server which you selected in the Server list.

If the MS SQL Server has been selected as a Backup provider then you can define the path and name of the specific backup File to be deleted.

Extension

Specify the custom extension for backup or report files if it differs from the default.

Enable CheckBox Include subfolders/ CheckBox Include first-level subfolders option if you need to clean up all sub-folders of the specified folder.

File type

Use this drop-down list to specify the the type of files to be deleted:

  • Backups - backup files;
  • Reports - text reports of previously run maintenance plans.

Note: This drop-down list is available if the MS SQL Server has been selected as a Provider.

Cloud storage

Service tasks - Maintenance cleanup - Define items to clear - Cloud

Here you need to specify the cloud storage where you want to delete backup files. You can create a new connection or add an existing one. On adding an existing connection you will be offered to choose among connections specified in Cloud Connections tab of the Options dialog.

If you create a new connection then after specifying its properties you will be offered to save it, so this connection will be available in Cloud Connections.

To change connection parameters click on its name. Depending on connection type the relevant dialog for configuring connection settings will be opened.

All files by mask

In this field you can specify the mask for the file names to be deleted.

CheckBox Include backup parts

If this option is ON the program searches for linked parts for the backups matching the specified extension or mask. The found files will be deleted.

Note: This option is only available for EMS SQL Backup provider type. It's not applied for clouds if *.* mask is set.

<< Previous step

Next step >>


Defining cleanup criteria

This step allows you to define cleanup criteria.

Service tasks - Maintenance cleanup - Defining cleanup criteria

SQL Backup and Clouds criteria

Set the conditions for EMS SQL Backup backup files and files on clouds to be deleted. Use All files older than for time limiting or All files except for the latest criteria to specify the number of the latest backups to keep.

SQL Server criteria

CheckBox Apply file age criteria on maintenance cleanup

Use this option to delete files above the age specified below.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can perform maintenance cleanup.

Service tasks - Maintenance cleanup - Performing operation

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Transaction Log Shipping

Transaction Log Shipping step allows you to create transaction log backups, ship them to the destination server via a shared folder and restore on the destination server.

To perform log shipping step you must have at least two SQL Server instances; version of destination server cannot be earlier than the source server version; the source database must use the full or bulk-logged recovery model, both servers have access to the shared folder. The databases restored on the destination server stay in Restoring or Standby mode.

Note: This step is not included into [image] Quick Maintenance Action list. It can be only executed within the Policy.

To perform scheduled log shipping on a regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Transaction Log Shipping step type.

2. Also, you can create a new Step Template for further use selecting Transaction Log Shipping step at the Templates tab.

Steps of the Transaction Log Shipping wizard:

Naming step

Specify database pairs

Specify backup options

Specify folders and recovery options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Next step >>


Specifying database pairs

At this step you need to set database pair for transaction log shipping.

Transaction Log_Specify database pairs

Source server

Select the server where the database that you want to back up to another server is located.

Destination server

Select the server where transaction logs are shipped to from the drop-down list.

Set the database pairs in the grid. The backups of transaction logs are performed on the source server and restored on the destination server. The destination database must be the restored copy of the source database and be in Restoring state.

If the destination database does not exist, you can select <Create new> item in the Destination DB column and specify its name in the New database column. If the destination database needs rewriting, set the corresponding flag in the Overwrite column. Creating and overwriting of the databases is performed by creating a full backup of the source database and its further restoring. Even in case of scheduled execution, creating of a database is executed once immediately on wizard finish and the <Create new> item will be replaced with the created database name afterwards.

Data folder

Specify the path for data MDF files for the newly created database.

Log folder

Specify the path for data LDF files for the newly created database.

Note: When creating a template no databases can be selected at this step. Please proceed to the next steps to set default template options. Databases can be selected on applying the template to the policy.

<< Previous step

Next step >>


Specifying backup options

At this step you can define backup options for source database(s).

Transaction Log_Specify backup options

Backup folder

Specify the directory for backup. It is set relatively the source server. You can check availability of this folder by clicking the corresponding button.

Max Thread Count

Indicates the number of threads to be used for backup operation. Increase the number of threads for faster speed. If you are using a multi-processor system, increasing this value can fasten backup speed. You are recommended to set one thread fewer than the number of processors.

CheckBox Compression

Enable the option to compress backup.

Compression Level

Defines backup file compression level. Use '1' for the best speed and '4' for the best compression.

CheckBox Encryption

Enable the option to encrypt backup.

Encryption Password

Set password that is used for backup encryption.

Confirm password

Confirm the password specified as an encryption password above.

Encryption Type

Select the encryption algorithm.

CheckBox Keep backups on the source server

Enable this option if you want to store transaction log backup files on the source server in the folder which is specified in the Backup folder field.

<< Previous step

Next step >>


Specifying folders and recovery options

At this step you need to set shared and destination folder, and recovery options for the transaction log restore.

Transaction Log_Specify folders and recovery options

Network shared folder

Specify the backup shared folder for copying transaction log backups of the source database. Both source and destination servers should have access to this folder otherwise log shipping cannot be performed. Specify the authorization parameters for the shared folder in the Authorization section. Click the Check button to make sure that the folder is accessible by both servers.

Destination folder

Specify the destination server folder where backups will be shipped to. This folder is set relatively to the destination server.

Recovery options

This group of options allows you to specify the recovery options to be applied to the restore operation. The destination database may be in either the recovering or standby state, which leaves the database available for limited read-only access.

RadioButton No recovery (leaves the database in the restoring state)

This option specifies that the restore operation does not roll back any uncommitted transactions.

NB: When this option is selected, the database is not usable in this intermediate, non-recovered state.

When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of the following situations:

  • a restore script is being run and the log is always being applied;
  • a sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

RadioButton Standby (leaves database in read-only and standby mode)

This option allows the database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.

Undo file name

Specify the undo file name, so that the recovery effects can be undone. The same undo file can be used for consecutive restores of the same database.

NB: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

Set CheckBox Kill connections to destination database option ON for forced disconnection of all processes the database. We recommend to check it, if Overwrite option has been set at Step 2.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can perform transaction log shipping.

Transaction Log_Performing operation

After verifying the choices made in the wizard click the Finish button to complete the operation.

If the New database or Overwrite option has been selected as a Destination database at Step 2 performing of the operation consists of 2 steps:

1. Transferring of the full backup. It is executed once on wizard finish.

2. Transferring of transaction log.

<< Previous step


Bulk Restore

Bulk Restore step allows you to restore several databases at once specifying only the folder to search for backup files.

To launch the restore operation immediately select [image] Quick Maintenance Actions | BulkRestore Bulk Restore popup menu item in the Servers tab.

To perform scheduled bulk restore on regular basis you need to include this task into Policy:

1. At Step 2 of the Create Policy wizard click Create new step button and select Bulk Restore step type.

2. Also, you can create a new Step Template for further use selecting Bulk Restore step at the Templates tab.

Steps of the Bulk Restore:

Naming step

Selecting servers

Restore options

Performing operation

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping


Naming step

You can name the step using the Name field. The Description field can be used to define brief info for the created step.

Service tasks - Bulk Restore - Naming template

Next step >>


Selecting servers

Use this step of the wizard to select servers and specify folders for restoring.

Service tasks - Bulk Restore - Selection

Restore Source Folder

Specify the folder to search files in. The program scans all files and fetches all database names from the backups. The latest backup is chosen for each database found. If the latest file is a differential or transaction log backup EMS SQL Backup searches for all the previous backups required for successful restoring and applies all files automatically.

Target Data Folder

Specify the folder which database data files will be moved to.

Target Log Folder

Specify the folder which database transaction log files will be moved to.

If the operation is used without policy (Quick Maintenance Action) this step looks as follows.

Service tasks - Bulk Restore - Database Selection

Click the Fill databases button to fill the list of found databases. After scanning the specified folder the database names and backup points are displayed in the corresponding columns. Use the check boxes to select databases for restoring.

<< Previous step

Next step >>


Restore options

Use this step to set options which will be applied to all restoring databases which are found at the previous step.

Service tasks - Bulk Restore - Restore Options

CheckBox Verify only

Check this option to enable selected backup set verification. It checks that the backup is intact physically to ensure that all files in the backup are readable and can be restored.

CheckBox WITH REPLACE (will be applied for all databases in the list)

This option specifies that SQL Server databases will be overwritten if they already exist.

<< Previous step

Next step >>


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start restoring the database.

Service tasks - Bulk Restore - Viewing summary information

After verifying the choices made in the wizard click the Finish button to complete the operation.

<< Previous step


Editing Steps

This chapter describes the way steps can be viewed/edited.

After the step has been already created it can be opened and edited in the editor at Policies tab (if it's already a part of a policy) or Templates tab (if it's been created as a template).To open a step editor use double-clicking, popup menu or the Edit Edit button.

Topics listed below provide sufficient information about step editing:

Backup database

Database Shipping

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Bulk Restore

See also:

Creating Steps


Backup database

Backup Database step editor provides the same set of options as Backup Database wizard.

The following pages are available in this dialog:

Name and description

General

Selection

EMS SQL Backup settings

Backup file options

Backup options

Additional options

Verify options

Clouds

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit Backup database step name and description.

Editing Service task template - Backup Database - Name_Description

Name

Use this field to name the step.

Description

This field allows you to define step description.


General

This page allows you to view a backup provider selected.

Editing Service task template - Backup Database - General

Backup provider

Backup provider set in the Backup database wizard. This option cannot be changed in editing mode.

The files created with EMS SQL Backup provider cannot be restored using standard server tools; you need either use EMS SQL Backup restore or convert the backup file to SQL Server type.


Selection

This page allows you to edit database selection for backup operation.

Editing Service task template - Backup Database - Databases

Backup type

Use this parameter to define the backup type:

RadioButton Database - full (a full database backup which backs up the entire database including the transaction log)

RadioButton Database - differential (a differential backup which records only the changes made to the data in the database after the last full database backup)

RadioButton Transaction log (a sequence of log backups provided for a continuous chain of transaction information to support recovery forward from database, differential, or file backups)

Set CheckBox Remove inactive entries option on to truncate the live transaction log when you create a backup

Set CheckBox Leave in restoring state on to leave the database in restoring state to be unavailable to users until it is completely restored.

Set CheckBox Copy-only option to create a copy-only backup which is a SQL Server backup that is independent of the sequence of conventional SQL Server backups.

Set CheckBox Skip SIMPLE model DBs option to skip the databases which use the 'SIMPLE' recovery model. If this option is switched off and the databases using the 'SIMPLE' recovery model are included in the list/filter, the error will be returned by the server and the process will be aborted. Switch on the option to avoid such errors.

Backup Component

This group allows choosing the object of backup.

RadioButton Database - database backup.

RadioButton Files and filegroups - backup of selected files and filegroups.

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Databases

If EMS SQL Backup provider is used, you can select multiple databases, in case of SQL Server backup only one database can be specified.

All

Use this option to select both: system and user databases.

All system

This option indicates that only system databases should be backed up.

All user

Select this option to back up user databases only.

By mask

This option allows defining database selection by mask. Use * for a set of any characters and ? for any single character in the database name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step template then you can add a database to the list by using the AddItem button or Ins key.

Note: The server is selected on applying the Step Template in Policy.

When you are editing a step on creating a policy from template then if the database(s) defined on the Selecting database step are missed on the selected server the list of databases will be the following.

Editing Service task - Clean mismatches

Click the Clean Mismatches button to delete the missed databases from the list for the policy cannot be executed for them.

If the Files and filegroups option is chosen the selection list of file and filegroups is available.

Service tasks - Backup Database - SQL Angel backup - Selecting filegroups

Objects

For each selected database at least one file or filegroup should be chosen.

  • All - all existing database filegroups with all their files.
  • By list - manually selected files and filegroups.


SQL Backup settings

This page contains set of specific backup options. You can make changes if needed.

Editing Service task template - Backup Database - Angel Options

Max Thread Count

Indicates the number of threads to be used for backup operation. Increase the number of threads for faster speed. If you are using a multi-processor system, increasing this value can fasten backup speed. You are recommended to set one thread fewer than the number of processors.

CheckBox Compression

Enable the option to compress backup.

Compression Level

Defines backup file compression level. Use '1' for best speed and '9' for best compression.

CheckBox Encryption

Enable the option to encrypt backup.

Encryption Password

Set and confirm password that is used for backup decryption.

Encryption Type

Select the encryption algorithm.


Backup file options

At this page you can find backup file options.

Editing Service task template - Backup Database - Angel Files

Backup folder

Specify backup destination directory. For your convenience {backup_root_folder} and {server} tags are provided. The directory which the {backup_root_folder} tag stands for is configured in the Server-side components Properties dialog.

You can check availability of the defined folder by clicking the corresponding button.

Note: The Check button is available only if backup is configured on a single server.

Backup file name

Define backup file name. Type backup file name manually or form it using variables. For your convenience {server}, {database}, {backup_type}, {date} and {login} tags are provided.

Note: To insert a tag in the field simply click it in the list of Available tags.

RadioButton Backup to a single file

Select this option to backup all selected databases to a single file.

RadioButton Backup to several files

This option indicates that backup should be split to several files. Splitting the backup can in some cases speed up the backup process.

RadioButton Split by size

Indicates that backup file will be split to volumes of the specified size.

RadioButton Split by database

Indicates that each database will be backed up into a separate file.

Note: Backup to several files option is disabled for SQL Server backup provider.


Options

At this page you can define backup options. This tab is only available for SQL Server provider selected. The following form is displayed for SQL Server 2008 and older versions.

Write type

RadioButton Append / RadioButton Overwrite

Select whether the media should be appended or overwritten during the backup operation. By appending another backup set to existing media, the previous contents of the media remain intact, and the new backup is written after the end of the last backup on the media.

Editing Service task template - Backup Database - Backup Options

Block size

Define the size of a data block. Possible values are: RadioButton Default, RadioButton To restore from CD (2 KB), RadioButton Other (i.e. you can specify an arbitrary value). The supported sizes are 512, 1024, 2048, 4096, 8192, 16384, 32768, and 65536 (64 KB) bytes. Possible values are: Default, To restore from CD (2 KB), Other (i.e. you can specify an arbitrary value).

Backup password

If necessary, you can set a Password for the backup: enter the password twice in the respective edit fields.

Backup encryption

You can set SQL Server encryption options for backups.

CheckBox Encrypt backup - enables backup encryption.

Select the encryption algorithm in Algorithm and the certificate or asymmetric key in Certificate or assymmetric key field. Please note that you can only use certificates protected by master key or EKM asymmetric keys from master database.

For servers that support backup encryption the following options are available:

Editing Service task template - Backup Database - Backup Options2014short

CheckBox Backup compression

This option enables backup compression overriding the server-level default (for SQL Server 2008 Enterprise and later versions).


Verify options

At this page you can define backup verifying options.

Editing Service task template - Backup Database - Verify Options

CheckBox Verify backup when finished (VERIFYONLY)

Check this option to enable backup verification. Verifying a backup checks that the backup is intact physically, to ensure that all the files in the backup are readable and can be restored, and that you can restore your backup in the event you need to use it.

CheckBox Perform checksum before writing to media (CHECKSUM)

This option enables/disables checksum verification before writing to the backup media. Before writing a page to the backup media, BACKUP verifies the page, if this information is presented on the page. BACKUP generates a separate backup checksum for the backup streams. Restore operations can optionally use the backup checksum to validate that the backup is not corrupted. The backup checksum can optionally be used at restore time. Using backup checksums may affect workload and backup throughput.

CheckBox Continue on error

This option determines whether the backup operation will be stopped or forced to continue despite encountering errors such as invalid checksums or torn pages.

CheckBox Detect possible backup sequence breaks

If the option is switched on the program analyzes SQL Server backup history to check if additional backups were made by third-party software between the backups required to restore the current backup. The program generates warning if such backups are found. Use this option to reveal the cases when backups are performed explicitly using VSS interface, by maintenance plans working on server or by another third-party software at same time with EMS SQL Backup. The restoring procedure may require backup files created by different software in those cases. This option is only supported in the EMS SQL Backup provider selected.


Clouds

Use this tab to set cloud connections for storing backups. Copies of backup files will be uploaded to the specified storages.

The connections to the following storages are supported:

  • SMB/CIFS
  • FTP
  • Secure FTP
  • Amazon S3 Cloud
  • Microsoft Azure
  • Dropbox
  • Google Drive

Editing Service task template - Backup Database - Clouds

You can create a new connection or add an existing one. On adding an existing connection you will be offered to choose among connections specified in Cloud Connections tab of the Options dialog.

To change connection parameters click on its name. Depending on connection type the relevant dialog for configuring connection settings will be opened.

CheckBox Don't save backup files on the server side

When the backup operation is performed EMS SQL Backup uploads the backup data to cloud storages "on the fly" at the same time when the stream is received from SQL Server. If this option is switched on the data is not written to the local server disk. This allows saving free storage space but if errors occur when uploading to all the selected cloud locations there will be no valid backup file(s) available.


Database Shipping

Database Shipping step editor provides the same set of options as Database shipping wizard.

The following pages are available in this dialog:

Name and description

Backup options

Restore options

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Database Shipping - Name

Name

Use this field to name the step.

Description

This field allows you to define step description.


General

This page is used to define backup options for database shipping step.

Editing Service task template - Database Shipping - Backup

Backup folder

Specify the directory for backup. It must be set relatively the source server. You can check availability of this folder by clicking the corresponding button.

Max Thread Count

Indicates the number of threads to be used for backup operation. Increase the number of threads for faster speed. If you are using a multi-processor system, increasing of this value can fasten backup speed. You are recommended to set one thread fewer than the number of processors.

CheckBox Compression

Enable the option to compress backup.

Compression Level

Defines backup file compression level. Use '1' for best speed and '4' for best compression.

CheckBox Encryption

Enable the option to encrypt backup.

Encryption Password

Set password that is used for backup encryption.

Confirm password

Confirm the password specified as an encryption password above.

Encryption Type

Select the encryption algorithm.

CheckBox Keep backups on the source server

Enable this option if you want to store backup files on the source server in the folder specified in the Backup folder field.


Restore options

This page is used to define restore options for database shipping operation.

Editing Service task template - Database Shipping - Restore

Network shared folder

Specify the backup shared folder for copying full backups of the source database. Both source and destination servers should have access to this folder otherwise database shipping cannot be performed. Specify the authorization parameters for the shared folder in the Authorization section. Click the Check button to make sure that the folder is accessible by both servers.

Authorization

This section is used to set authorization parameters to access network shared folder.

NB: When you set Windows Authentication please note that the credentials of the account which EMS SQL Backup Serviсе is running under will be used. Make sure that accounts from source and target servers can be authorized.

Destination folder

Specify the destination server folder which the backups will be shipped to. This folder must be set relatively to the destination server.

Recovery options

This group of options allows you to specify the recovery options to be applied to the restore operation.

RadioButton No recovery (leaves the database in the restoring state)

This option specifies that the restore operation does not roll back any uncommitted transactions.

NB: When this option is selected, the database is not usable in this intermediate, non-recovered state.

When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of the following situations:

  • a restore script is being run and the log is always being applied;
  • a sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

RadioButton Standby (leaves database in read-only and standby mode)

This option allows the database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.

Undo file name

Specify the undo file name, so that the recovery effects can be undone. The same undo file can be used for consecutive restores of the same database.

NB: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

RadioButton Recovery (rollbacks all uncommitted transactions)

This option specifies that the restore operation rolls back any uncommitted transactions. After the recovery process the database is ready for use.

Set CheckBox Kill connections to destination database option ON to forced disconnection of all processes.


Selection

This page allows you to edit database selection to ship full database backups.

Editing Service task template - Database Shipping - Selection

Source server

Select the server where the database that you want to back up to another server is located.

Destination server

Select the server where database backups are shipped to from the Destination server list.

Set the database pairs in the grid. The full database backups are performed on the source server and restored on the destination server.

If the destination database does not exist, you can select <Create new> item in the Destination DB column and specify its name in the New database column. Creating the databases is performed by creating a full backup of the source database and its further restoring.

Data folder

Specify the path for data MDF files for the newly created database.

Log folder

Specify the path for data LDF files for the newly created database.

Note: When creating a template no databases can be selected.


Execute SQL Server Agent job

Execute SQL Server Agent job step editor provides the same set of options as Execute SQL Server Agent Job wizard.

The following pages are available in this dialog:

Name and description

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Execute EMS SQL Agent server job - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

Use this page to edit job name.

Editing Service task template - Execute EMS SQL Agent server job - General

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

SQL Server Agent's job

This field indicates which SQL Server Agent job should be executed.

You can re-arrange jobs order for execution using arrow buttons on the right. Use Cross button or Delete key to remove job from the list.

Note: The server is selected on applying the Step Template in Policy.


Execute T-SQL statement

Execute T-SQL Statement step editor provides the same set of options as Execute T-SQL Statement wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Execute T-SQL statement - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can view\edit T-SQL statement.

Editing Service task template - Execute T-SQL statement - General

T-SQL statement

This area contains T-SQL statement text to be performed.

Execute timeout

This field indicates time limit for syntax check.

Use Load\Save buttons to work with text loading and saving.

Use the Check statement button to run the statement on the server in PARSEONLY mode to ensure that T-SQL statement is correct. The detailed log of errors is displayed at the Errors tab.

All errors are displayed on the Errors tab.

Editing Service task template - Execute T-SQL statement - General_error


Selection

This page allows you to edit servers selection for the operation.

Editing Service task template - Execute T-SQL statement - Selection

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.


History Cleanup

History Cleanup step editor provides the same set of options as History Cleanup wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - History Cleanup - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

This page is used to define general options of history cleanup step.

Editing Service task template - History Cleanup - General

MS SQL Server

The following options are intended to delete MS SQL backup history and some log info concerning specific jobs performed by MS SQL Server means.

CheckBox Backup and restore history data older than

Enable the option to clean the history of the MS SQL Server backup and restore operations that are older than specified period of time. After cleanup the information about SQL Server type backups performed by EMS SQL Backup or by SQL Server itself will be removed from the server.

CheckBox History data of Server Agent job older than

Enable the option to clean the history of the SQL Server Agent job(s) that are older than specified period of time. After this cleanup all information about SQL Server Agent job execution will be removed from the server.

EMS SQL Backup

The following options are intended to delete some log info concerning tasks performed by EMS SQL Backup.

CheckBox Backup and restore history data older than

Enable the option to clean the history of the backup and restore operations that are older than specified period of time. After cleanup the information about EMS SQL Backup type backups will be removed from EMS SQL Backup.

CheckBox Log records of Backup older than

Enable the option to clean the history of the EMS SQL Backup task(s) execution that are older than specified period of time. After cleanup the information about executed tasks will be removed from History Viewer.


Selection

This page allows you to edit servers selection for the operation.

Editing Service task template - History Cleanup - Selection

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.


Database Integrity Check

Database Integrity Check step editor provides the same set of options as Database Integrity Check wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Database Integrity Check - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can edit general options of the step.

Editing Service task template - Database Integrity Check - General

CheckBox Exclude indexes checks (NOINDEX)

The option indicates that indices are excluded on database integrity check.

CheckBox Perform logical checks on indexes (EXTENDED_LOGICAL_CHECKS)

If the compatibility level is 100 (SQL Server 2008) or higher, enable this option to perform logical consistency checks on indexed views, XML indexes, and spatial indexes.

CheckBox Limit the checking to

Use this option if you need to restrict database integrity check:

Physical Only (PHYSICAL_ONLY) value limits the checking operation to the integrity of the physical structure of the page and record headers, the physical structure of B-trees and the allocation consistency of the database. Designed to provide a small overhead check of the physical consistency of the database, this check can also detect torn pages, checksum failures, and common hardware failures that can compromise a user's data.

Data Purity (DATA_PURITY) value checks the database for column values that are not valid or out-of-range.

CheckBox Apply lock during check (TABLOCK)

If this option is used, the DBCC CHECKDB statement obtains locks instead of using an internal database snapshot. This includes a short-term database exclusive lock.

CheckBox Write detailed error messages (ALL_ERRORMSGS)

This option displays an unlimited number of all errors per object.

CheckBox Suppress info messages (NO_INFOMSGS)

This option suppresses all informational messages.

Use the Operation timeout option to specify how long a remote operation can take before the program times out and the error is returned.


Selection

This page allows you to edit objects selection for integrity check.

Editing Service task template - Database Integrity Check - Databases

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Databases

All

Use this option to select both: system and user databases.

All system

This option indicates that only system databases should be backed up.

All user

Select this option to back up user databases only.

By mask

This option allows defining database selection by mask. Use * for a set of any characters and ? for any single character in the database name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step template then you can add a database to the list by using the AddItem button or Ins key.

Note: The server is selected on applying the Step Template in Policy.

When you are editing a step on creating a policy from template then if the database(s) defined on the Selecting database step are missed on the selected server the list of databases will be the following.

Editing Service task - Clean mismatches

Click the Clean Mismatches button to delete the missed databases from the list for the policy cannot be executed for them.


Shrink Database

Shrink Database step editor provides the same set of options as Shrink Database wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Shrink Database - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can edit general options for Shrink Database step.

Editing Service task template - Shrink Database - General

Shrink database when it exceeds

Set database size limit. Database will be shrunk when its size goes over this limit.

Amount of free space to remain after shrink

Use this field to define percentage of free space that will be left in database file after it is shrunk.

You need to decide whether freed space should be RadioButton retained in database files or RadioButton returned to operating system.

CheckBox Suppress informational messages

Enable the option to disable informational messages.


Selection

This page allows you to edit database selection to shrink.

Editing Service task template - Shrink Database - Databases

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Databases

All

Use this option to select both: system and user databases.

All system

This option indicates that only system databases should be shrinked.

All user

Select this option to shrink user databases only.

By mask

This option allows defining database selection by mask. Use * for a set of any characters and ? for any single character in the database name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step template then you can add a database to the list by using the AddItem button or Ins key.

Note: The server is selected on applying the Step Template in Policy.

When you are editing a step on creating a policy from template then if the database(s) defined on the Selecting database step are missed on the selected server the list of databases will be the following.

Editing Service task - Clean mismatches

Click the Clean Mismatches button to delete the missed databases from the list for the policy cannot be executed for them.


Reorganize Indices

Reorganize Indices step editor provides the same set of options as Reorganize Indices wizard.

The following pages are available in this dialog:

Name and description

General

Selection

Rebuild options

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Reorganizing indices - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can edit general options of the step.

Editing Service task template - Reorganizing indices - General

Reorganize indices if fragmentation level is above

Define the fragmentation limits. Exceeding this limits considers the indices to be reorganized.

Rebuild indices if fragmentation level is above

Define the fragmentation limits. Exceeding this limits considers the indices to be rebuilt.

CheckBox Compact large objects

Enable this option to compact image, text, ntext, varchar(max), nvarchar(max), varbinary(max) and xml data.


Selection

This page allows you to edit object selection for indices reorganization.

Editing Service task template - Reorganizing indices - Databases

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Databases and objects

All

Use this option to select both: system and user objects.

All system

This option indicates that only system objects should be selected.

All user

Select this option to select user objects only.

By mask

This option allows defining objects selection by mask. Use * for a set of any characters and ? for any single character in the object name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step template then you can add a database to the list by using the AddItem button or Ins key.

Note: The server is selected on applying the Step Template in Policy.

When you are editing a step on creating a policy from template then if the database(s)/table(s)/view(s) defined on the Selecting objects step are missed on the selected server the list of database(s)/table(s)/view(s) will be the following.

Editing Service task - Clean mismatches (tables and views)

Click the Clean Mismatches button to delete the missed database(s)/table(s)/view(s) from the list for the policy cannot be executed for them.


Rebuild options

This tab provides a number of advanced options for index reorganizing.

Editing Service task template - Reorganizing indices - Rebuild options

Free space

Define which pages should be reorganized: ones with the RadioButton default or RadioButton specified amount of free space per page.

CheckBox Pad index

Enable this option to leave the space open on each page in the intermediate levels of index.

CheckBox Sort results in tempdb

This option indicates that intermediate sort results used to rebuild indices will be stored in the tempdb database.

CheckBox Ignore duplicate keys

If the option is enabled then duplicate keys will be ignored.

CheckBox Keep index online while reindexing

This option determines whether concurrent user access to the underlying table or clustered index data and any associated non-clustered indexes is allowed while reindexing.


Update Statistics

Update Statistics step editor provides the same set of options as Update Statistics wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Update Statistics - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can edit general options of Update Statistics step.

Editing Service task template - Update Statistics - General

Update

RadioButton All existing statistics

Select this option if you need to update all statistics.

RadioButton Column statistics only

Use this option to update column statistics only.

RadioButton Index statistics only

This option indicates that only index statistics will be updated.

Options

RadioButton Full scan

Specifies that all rows in table or view should be read to gather the statistics. This option provides the same behavior as Sample 100 Percent.

RadioButton Sample

Specifies the percentage of the table or indexed view, or the number of rows to sample when collecting statistics for larger tables or views.

RadioButton Resample

Option specifies that statistics will be gathered using an inherited sampling ratio for all existing statistics including indexes. If the sampling ratio results in too few rows being sampled, SQL Server automatically corrects the sampling based on the number of existing rows in the table or view.

CheckBox No recompute

Disable the option to recompute statistics that become out of date automatically.


Selection

This page allows you to edit object selection to update statistics.

Editing Service task template - Update Statistics - Databases

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Databases and objects

All

Use this option to select both: system and user objects.

All system

This option indicates that only system objects should be selected.

All user

Select this option to select user objects only.

By mask

This option allows defining objects selection by mask. Use * for a set of any characters and ? for any single character in the object name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step template then you can add a database to the list by using the AddItem button or Ins key.

Note: The server is selected on applying the Step Template in Policy.

When you are editing a step on creating a policy from template then if the database(s)/table(s)/view(s) defined on the Selecting objects step are missed on the selected server the list of database(s)/table(s)/view(s) will be the following.

Editing Service task - Clean mismatches (tables and views)

Click the Clean Mismatches button to delete the missed database(s)/table(s)/view(s) from the list for the policy cannot be executed for them.


Database Parameters Logger

Database Parameters Logger step editor provides the same set of options as Database Parameters Logger wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Server Params Logger - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can edit general options of Database Parameters Logger step.

Editing Service task template - Server Params Logger - General

The options below allow you to define conditions which EMS SQL Backup should perform logging by.

CheckBox No backup

Enable this option to log the list of databases with no backup.

CheckBox Last full backup

The option should be used to log the list of databases with old full backups.

Last full backup older than

Defines the time point relatively to current date. The list of databases with full backup made before this point will be logged.

CheckBox Last log backup

Use this option to log the list of databases with old log backups.

Last log backup older than

Define the time point relatively to current date. The list of databases with log backup made before this point will be logged.

CheckBox Index fragmentation

Enable this option to log the list of databases with high fragmentation.

Index fragmentation more than

Define the level of index fragmentation. Databases list with index fragmentation level above specified will be added to log.

Only check indices with more than

This option indicates that only indices with page amount above specified will be checked.

CheckBox Integrity check (SQL Server 2005 or higher)

Enable this option to log the list of databases with out-of-date integrity check.

Last integrity check older than

Define the time point relatively to current date. The list of databases with integrity check made before this point will be added to log.

CheckBox Transaction log

Enable this option to log the list of databases with transaction log free space below the specified limit.

Free space is less than

This option defines transaction log free space limit. Log includes list of databases with amount of free space less than this limit.

Log file is larger than

This option adds log file size condition. List of databases which transaction log file is larger than the specified limit will be included to log.

CheckBox Data file

This option indicates that log should include databases with data file free space below the specified limit.

Free space is less than

Use this option to define the data file free space limit.

Data file is larger than

Use this option to define data file size condition. Databases which data file is above this limit will be added to log.


Selection

This page allows you to edit database selection to log database parameters.

Editing Service task template - Server Params Logger - Databases

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Databases and objects

All

Use this option to select both: system and user objects.

All system

This option indicates that only system objects should be selected.

All user

Select this option to select user objects only.

By mask

This option allows defining objects selection by mask. Use * for a set of any characters and ? for any single character in the object name.

Including

This option allows manual selecting of the databases.

Excluding

Select the databases which will be excluded from the backup. All databases, not selected in the list, will be included.

Online only

Select only the databases in the online state.

If you are creating a step template then you can add a database to the list by using the AddItem button or Ins key.

Note: The server is selected on applying the Step Template in Policy.

When you are editing a step on creating a policy from template then if the database(s) defined on the Selecting database step are missed on the selected server the list of databases will be the following.

Editing Service task - Clean mismatches

Click the Clean Mismatches button to delete the missed databases from the list for the policy cannot be executed for them.


Maintenance Cleanup

Maintenance Cleanup step editor provides the same set of options as Maintenance Cleanup wizard.

The following pages are available in this dialog:

Name and description

General

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Maintenance Cleanup - Name

Task name

Use this field to name the step.

Description

This field allows you to define step description.


General

At this page you can edit general options of Maintenance Cleanup step.

Editing Service task template - Maintenance Cleanup - General

SQL Backup and Clouds criteria

Set the conditions for EMS SQL Backup backup files and files on clouds to be deleted. Use All files older than for time limiting or All files except for the latest criteria to specify the number of the latest backups to keep.

SQL Server criteria

CheckBox Apply file age criteria on maintenance cleanup

Use this option to delete files above the age specified below.


Selection

This page allows you to edit server and folder\files selection for maintenance cleanup.

Editing Service task template - Maintenance Cleanup - Selection

Servers

Select the servers to run the operation on. If the servers name icon is grayed out the Backup service is not run (installed) or there is no connection to the server.

Note: Selecting servers is not available in Template mode. It is selected on applying the Step Template in Policy.

Use AddTask Add file or folder specification to add a cleanup destination and EditTask Edit specification, RemoveSpecification Remove selected specification for appropriate actions.

Cleanup specification

In this dialog you can define locations or files to be cleared on the server or cloud storage.

Service tasks - Maintenance cleanup - Define items to clear

Location

Select Server if you want to clear folders/files stored on your server locally.

Select Cloud storage if you want to delete files located on the cloud.

Server

Provider

Select whether the files created by EMS SQL Backup or SQL Server will be cleaned.

Folder

Set the search folder for the files. The path is set relatively to the server which you selected in the Server list.

If the MS SQL Server has been selected as a Backup provider then you can define the path and name of the specific backup File to be deleted.

Extension

Specify the custom extension for backup or report files if it differs from the default.

Enable CheckBox Include subfolders/ CheckBox Include first-level subfolders option if you need to clean up all sub-folders of the specified folder.

File type

Use this drop-down list to specify the the type of files to be deleted:

  • Backups - backup files;
  • Reports - text reports of previously run maintenance plans.

Note: This drop-down list is available if the MS SQL Server has been selected as a Provider.

Cloud storage

Service tasks - Maintenance cleanup - Define items to clear - Cloud

Here you need to specify the cloud storage where you want to delete backup files. You can create a new connection or add an existing one. On adding an existing connection you will be offered to choose among connections specified in Cloud Connections tab of the Options dialog.

If you create a new connection then after specifying its properties you will be offered to save it, so this connection will be available in Cloud Connections.

To change connection parameters click on its name. Depending on connection type the relevant dialog for configuring connection settings will be opened.

All files by mask

In this field you can specify the mask for the file names to be deleted.

CheckBox Include backup parts

If this option is ON the program searches for linked parts for the backups matching the specified extension or mask. The found files will be deleted.

Note: This option is only available for EMS SQL Backup provider type. It's not applied for clouds if *.* mask is set.


Transaction Log Shipping

Transaction Log Shipping step editor provides the same set of options as Transaction Log Shipping wizard.

The following pages are available in this dialog:

Name and description

Backup options

Restore options

Selection

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping

Bulk Restore


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template-Transaction Log Shipping-Name

Name

Use this field to name the step.

Description

This field allows you to define step description.


General

This page is used to define backup options for log shipping operation.

Editing Service task template-Transaction Log Shipping-Backup

Backup folder

Specify the directory for backup. It is set relatively the source server. You can check availability of this folder by clicking the corresponding button.

Max Thread Count

Indicates the number of threads to be used for backup operation. Increase the number of threads for faster speed. If you are using a multi-processor system, increasing this value can fasten backup speed. You are recommended to set one thread fewer than the number of processors.

CheckBox Compression

Enable the option to compress backup.

Compression Level

Defines backup file compression level. Use '1' for best speed and '4' for best compression.

CheckBox Encryption

Enable the option to encrypt backup.

Encryption Password

Set password that is used for backup encryption.

Confirm password

Confirm the password specified as an encryption password above.

Encryption Type

Select the encryption algorithm.

CheckBox Keep backups on the source server

Enable this option if you want to store transaction log backup files on the source server in the folder which is specified in the Backup folder field.


Restore options

This page is used to define restore options for log shipping operation.

Editing Service task template-Transaction Log Shipping-Restore

Network shared folder

Specify the backup shared folder for copying transaction log backups of the source database. Both source and destination servers should have access to this folder otherwise log shipping cannot be performed. Specify the authorization parameters for the shared folder in the Authorization section. Click the Check button to make sure that the folder is accessible by both servers.

Authorization

This section is used to set authorization parameters which are used to access network shared folder.

NB: When you set Windows Authentication please note that the credentials of the account which EMS SQL Backup Serviсе is running under will be used. Make sure that accounts from source and target servers can be authorized.

Destination folder

Specify the destination server folder which the backups will be shipped to. This folder must be set relatively to the destination server.

Recovery options

This group of options allows you to specify the recovery options to be applied to the restore operation. The destination database may be in either the recovering or standby state, which leaves the database available for limited read-only access.

RadioButton No recovery (leaves database in the restoring state)

This option specifies that the restore operation does not roll back any uncommitted transactions.

NB: When this option is selected, the database is not usable in this intermediate, non-recovered state.

When used with a file or filegroup restore operation, this option forces the database to remain in the restoring state after the restore operation. This is useful in either of the following situations:

  • a restore script is being run and the log is always being applied;
  • a sequence of file restores is used and the database is not intended to be usable between two of the restore operations.

RadioButton Standby (leaves database in read-only and standby mode)

This option allows the database to be brought up for read-only access between transaction log restores and can be used with either warm standby server situations or special recovery situations in which it is useful to inspect the database between log restores.

Undo file name

Specify the undo file name, so that the recovery effects can be undone. The same undo file can be used for consecutive restores of the same database.

NB: If free disk space is exhausted on the drive containing the specified undo file name, the restore operation stops.

Set CheckBox Kill connections to destination database option ON to forced disconnection of all processes. We recommend to check it, if Overwrite option has been set at Step 2.


Selection

This page allows you to edit database selection to ship transaction logs.

Editing Service task template-Transaction Log Shipping-Selectioon

Source server

Select the server where the database that you want to back up to another server is located.

Destination server

Select the server where transaction logs are shipped to from the Destination server list.

Set the database pairs in the grid. The backups of transaction logs are performed on the source server and restored on the destination server. If the destination database does not exist, you can select New database item in the Destination DB column and specify its name in the New database column. If the destination database needs rewriting, set the corresponding flag in the Overwrite column. Creating and overwriting of the databases is performed by creating a full backup of the source database and its further restoring. Even in case of scheduled execution, creating of a database is executed immediately on wizard finish.

Data folder

Specify the path for data MDF files for the newly created database.

Log folder

Specify the path for data LDF files for the newly created database.

Note: When creating a template no databases can be selected.

If the Overwrite option was selected or you have chosen to create a new database then the first stage of the operation is performed immediately on applying settings (pressing the OK button). On the next step editing the Overwrite option will be reset and the <Create new> item will be replaced with the created database name.


Bulk Restore

Bulk Restore step editor provides the same set of options as Bulk restore wizard.

The following pages are available in this dialog:

Name and description

Selection

Options

See also:

Backup database

Execute SQL Server Agent job

Execute T-SQL statement

History Cleanup

Database Integrity Check

Shrink Database

Reorganize Indices

Update Statistics

Database Parameters Logger

Maintenance Cleanup

Transaction Log Shipping

Database Shipping


Name and description

This page allows you to view\edit the step name and description.

Editing Service task template - Bulk Restore - Name

Name

Use this field to name the step.

Description

This field allows you to define step description.


Selection

Use this tab to select servers and edit folders for restoring.

Editing Service task template - Bulk Restore - Selection

Restore Source Folder

Specify the folder for files search. Backups are retrieved in the following way. The program scans all files and fetches all database names from backups. The latest backup is chosen for each found database. If the latest file is a differential or transaction log backup EMS SQL Backup searches for all the previous backups required for successful restoring and applies all files automatically.

Target Data Folder

Specify the folder where database data files will be moved to.

Target Log Folder

Specify the folder where database transaction log files will be moved to.


Options

Use this tab to edit options which will be applied to all restoring databases.

Editing Service task template - Bulk Restore - Options

CheckBox Verify only

Check this option to enable selected backup set verification. It checks that the backup is intact physically to ensure that all files in the backup are readable and can be restored.

CheckBox WITH REPLACE (will be applied for all databases in the list)

This option specifies that SQL Server databases will be overwritten if they already exist.


Options

This chapter contains information concerning personalization of the application. These tools are accessible via pressing the Options Gears button located in the left-top corner of the EMS SQL Backup window.

Switch Configuration

Save Configuration

This group sets options for storing program settings.

Options

This group includes general options: data security, server refresh, log depth and cloud storages.

See also:

Getting Started

Servers

Policies

Templates

Activities

Maintenance Steps


Configuration

Program settings are stored in XML format. You can save them either in a separate XML file or in database table. The settings include info concerning server registration, policies, groups and solutions, templates, environment options.

Note: We recommend you to make backups of the table with EMS SQL Backup settings. XML file is backed up automatically on program launch (see .bak file in the current settings folder).

Switch Configuration

You can load different or backed up program configuration using Switch configuration EMS SQL Backup Console menu item. The current options, if not saved, will be lost.

Save Configuration

You can save existing configuration using Save configuration EMS SQL Backup Console menu item.

Configuration - Load

RadioButton Store in a configuration file on your local computer

Set the path to the settings file and its name in the File Name field.

RadioButton Store in an SQL Server database

Server Name

Select the host from the drop-down list to connect to. The list contains servers found automatically in the local network.

This list is formed using SQL-DMO components function - "ListAvailableSQLServers". If SQL-DMO components are not installed the "NetServerEnum" function from netapi32.dll is used. If neither SQL-DMO components, nor netapi32.dll are installed, the Server name drop-down list will be empty when the program is launched for the first time, and filled with host names already registered in the program, during further launches.

Please note that if Microsoft® SQL Server™ is installed as a named instance, you should input instance name in the 'Server name' field in the following format: computer_name\sqlserver_instance_name or ip_address\sqlserver_instance_name (e.g. "MYCOMPUTER\SQLEXPRESS", "127.0.0.1\SQLEXPRESS" ).

Note: If a server name cannot be found automatically, type in its name in the field.

Select Authentication type to be used for the connection: RadioButton Windows Authentication or RadioButton SQL Server authentication

and set user name and password correspondingly.

Connection timeout

Set timeout limit (in seconds) for establishing connection to the server.

Database Name

Select the database name for loading\saving the configuration from the drop-down menu.

Test Connection

Check whether the connection is established successfully.

Schema is a database schema for configuration table that will store logs and policy table names.

Options Table Name

EMS SQL Backup policies will be stored in this table.

Switch to Saved Configuration

Enable this option to move current configuration to another location and apply it, otherwise configuration will be saved (exported) to the specified location.


Options

This tool allows you to customize general options of EMS SQL Backup. To open the tool use Environment options EMS SQL Backup Console menu item.

General

Data refreshing

Cloud Connections

Proxy


General

General options tab allows you to set the security parameters for configuration data and select the EMS SQL Backup Console time zone.

Environment Options - Connection Settings

The Home time zone option is used for planning tasks in policies.

When you first launch the EMS SQL Backup Administration Console its Home time zone equals the time zone set on the machine it was started on. If your machine is moved to another time zone the Console time zone is not change automatically. You need to switch it using the Home time zone combobox. All time zones available in the operation system are listed here.

Under the combobox the time zone set on the machine with the running Administration Console is displayed.

Note: After changing the Home time zone value all policies scheduled on the basis of the home time zone will be redeployed according to the newly set time zone.

Encrypt configuration data

If this option is ON the configuration data is encrypted. The password is prompted on program launch when configuration information is loaded.

Password

Set password that is used for configuration encryption.

Confirm password

Confirm the password specified as an encryption password above.


Options

Data refreshing tab allows customizing some program settings.

Environment options - Refresh Options

Server refresh interval (sec)

Set the interval (in seconds) for refresh of servers at the Servers tab.

Log view depth (days)

Set the limit of days for displaying server history and Launches.

Launches records per page

Specify the number of records that is loaded at once in the Launches section.


Cloud Connection Settings

Cloud Connections tab allows you to set connections parameters to external storages for your backups. When configuring backup operation you will be offered to select storage for backup files copies among those which are defined here. The selection is performed on the Specifying cloud connections step of the Backup wizard.

Environment options - Cloud connections

To add a storage to the list click the Create new connection button. Set the required options in the Cloud Connection Settings Wizard.

For editing options of the existing connection click its name in the list to open Cloud Connection Settings Editor.

Use Delete button to remove the connection.


Cloud Connection Settings Wizard

Cloud Connection Settings Wizard allows setting parameters for connecting to cloud storage.

To launch the wizard:

  • Click Create new connection link on the Cloud connections dialog at Options.
  • Click Create new connection at the Specifying cloud connections steps in Backup Database wizard.

The steps of the Cloud Connection Wizard:

Selecting connection type

SMB/CIFS connection

FTP connection

SFTP connection

Amazon S3 connection

Microsoft Azure connection

Dropbox connection

Google Drive connection

Authorization settings

Connection creation


Selecting connection type

Select the type of the cloud storage to create connection to.

Options - Cloud connections - Wizard - Type

The next step depends on the selected connection type.

NB: There are some restrictions for the cloud connections used:

  • You can use FTP, SFTP, SMB/CIFS, Dropbox for all license types, including Free license.
  • Google Drive can be only used with EMS SQL Backup for SQL Server or EMS SQL Backup PRO for SQL Server licenses.
  • S3 and Azure can be only used with EMS SQL Backup PRO for SQL Server license type.


SMB/CIFS connection

The SMB/CIFS Connection Settings dialog is provided for configuring local or remote network folders.

Options - Cloud connections - Wizard - Cifs

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Folder

Specify the local or network folder for storing backup copies. Use the ellipsis EllipsisButton button to browse for directory. By clicking the OpenFolder button you can open the specified directory. Note that a path to a network folder must be specified in the UNC format.

Set the authentication parameters for uploading backup files to the specified directory. Note that the specified user should have sufficient rights to write to the target folder. You can choose CheckBox Windows Authentication or provide User name and Password in the corresponding fields.


FTP connection

The FTP Connection Settings dialog is provided for configuring FTP Server connection.

Options - Cloud connections - Wizard - FTP

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Host address

Define the FTP host address. Here you can enter server name or its IP address (without specifying protocol).

Remote folder

Define the directory on the FTP server where backup files will be uploaded. If the specified directory does not exist on the server it will be created on the first upload process.

Set the authentication parameters for uploading backup files to the specified FTP server. Note that the specified user should have sufficient rights to write to the target folder. You can choose CheckBox Anonymous logon or provide User name and Password in the corresponding fields.

Protocol

Select the protocol that should be used for backup files transferring. The possible values are:

  • FTP (Standard)
  • FTPS (Implicit SSL/TLS)
  • FTPS (Explicit SSL/TLS)

Port

Specify the port the FTP connection should be executed through.

Mode

Select the mode of the FTP connection. The possible values are:

  • Passive (PASV)
  • Active (PORT)

If you have checked the CheckBox Use proxy option to connect to FTP you need to configure the following proxy settings: Server, Port, User name and Password.

Timeout

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel.


SFTP connection

The Secure FTP Connection Settings dialog is provided for configuring SFTP (Secure File Transfer Protocol) server connection for uploading backup files.

Options - Cloud connections - Wizard - SFTP

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Host address

Define the SSH host address. Here you can enter server name or its IP address (without specifying protocol).

Port

Specify the port the SFTP connection should be executed through.

Remote folder

Define the directory on the SFTP server where backup files will be uploaded. If the specified directory does not exist on the server it will be created on the first upload process.

Set the authentication parameters for uploading backup files to the specified SFTP server. Note that the specified user should have sufficient rights to write to the target folder. Provide User name and Password in the corresponding fields.

Proxy

Select the proxy through which the connection to the SFTP server will be established. The possible values are:

  • Socks 4
  • Socks 5
  • HTTP

If you have selected to connect through proxy to SFTP you need to configure the following proxy settings: Server, Port, User name and Password.

Timeout

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel.


Amazon S3 connection

The Amazon S3 Connection Settings dialog is provided for configuring connection to Amazon bucket.

Options - Cloud connections - Wizard - S3

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Bucket

Define the bucket that will be used for storing backups. You can create a bucket on the Amazon website. If the specified bucket does not exist it will be created automatically in US Standard region. Note that the bucket name must be unique among all Amazon S3 buckets.

Path

If you want backup files to be stored in a folder then set the path to the folder within the specified bucket. The folder will be created automatically on file upload. Use the '/' as a directory separator. For example, 'backups/Adventure Works'.

The Access key and the Secret key are used to get access to your bucket and are found on the Security Credentials page of your Amazon Web Services account.

Set Access key and Secret key for your bucket in the corresponding fields. You can get the values on the Security Credentials page in your Amazon Web Services account.

Storage class

Select the storage class for uploaded backup files. The possible values are:

  • Standard
  • Reduced Redundancy

Protocol

Select the protocol that will be used for uploading backups to Amazon S3. The possible values are:

  • HTTP
  • HTTPS

If you have checked the CheckBox Use proxy option to connect to Amazon S3 you need to configure the following proxy settings: Server, Port, User name and Password.

Timeout

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel.


Microsoft Azure connection

Use this step to configure connection to Microsoft Azure BLOB storage container.

Options - Cloud connections - Wizard - Azure

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Account name

Enter a name of the Microsoft Azure storage account. The storage account name forms the subdomain of the BLOB object URL address.

Account key

Enter the storage access key. Either primary or secondary key can be used.

Container

Every blob in Azure storage resides in a container. Use the drop-down list to select the container among existing ones. You can enter any new valid container name as well. To view container naming rules hover the Question icon.

CheckBox Use proxy

If you do not have a direct Internet connection and you need to use proxy server enable this option and configure the following proxy settings: Server, Port, User name and Password.

Timeout, sec

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel. If the server timeout interval elapses before the service has finished processing the request, the service returns an error.


Dropbox connection

Use this step to configure connection to Dropbox account.

Options - Cloud connections - Wizard - Dropbox

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Folder

EMS SQL Backup uploads files to the 'Apps/EMS SQL Backup' folder in Dropbox by default. If you need to store backup files in its subfolder, set the relative path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator. For example, if you set 'backups/Adventure Works' in this field the files will be uploaded to 'Apps/EMS SQL Backup/backups/Adventure Works'.

If you have checked the CheckBox Use proxy option to connect to Dropbox you need to configure the following proxy settings: Server, Port, User name and Password.


Google Drive connection

Use this step to configure connection to Google Drive account.

Options - Cloud connections - Wizard - GoogleDrive

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Folder

EMS SQL Backup uploads files to the root folder in Google Drive by default. If you need to store backup files in subfolder, set the path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator (for example, 'backups/Adventure Works').

If you have checked the CheckBox Use proxy option to connect to Google Drive you need to configure the following proxy settings: Server, Port, User name and Password.


Authorization settings

Some cloud services, such as Google Drive and Dropbox require Web authorization. Use this step to set authorization parameters.

Options - Cloud connections - Wizard - Auth

Authorization type

Select the type of authorization to access the cloud account.

RadioButton Online authorization is used to get authorization information by Web. Click the Get authorization info button to log in to the cloud account and confirm the access for EMS SQL Backup application in the opened browser window. If the operation has been successful, the corresponding message will be displayed. Access code will be saved in the program and alert next to Next button will disappear. Use this type of authorization if access to the selected cloud account hasn't been set up with EMS SQL Backup before.

RadioButton Authorization from file is used when file authorization type was selected. Please set the path to the file in the field or use the EllipsisButton ellipsis button to select it.

RadioButton Manual authorization is used if you have required info for manual authorization. Copy the access code to the field.

Copy authorization info is used to copy authorization code if Online authorization type was used. You can choose either To clipboard dropdown item to save it to Clipboard, or To file item to save it to a file.


Connection creation

Use this step to verify all settings and check the connection to the cloud.

Options - Cloud connections - Wizard - Finish

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Cloud Connection Settings Editor

Cloud Connection Settings Editor allows editing parameters for connecting to cloud storage.

To open the tab:

  • Click the existing Cloud connection item at Options.
  • Click the existing Cloud connection item at the Specifying cloud connections steps in Backup Database wizard.

The tabs of the Cloud Connection editor:

SMB/CIFS connection settings

FTP connection settings

SFTP connection settings

Amazon S3 connection settings

Microsoft Azure connection settings

Dropbox connection settings

Google Drive connection settings

Authorization type settings


SMB/CIFS connection settings

Use this tab to edit SMB/CIFS connection parameters.

Options - Cloud connections - Editor - Cifs

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Folder

Specify the local or network folder for storing backup copies. Use the ellipsis EllipsisButton button to browse for directory. By clicking the OpenFolder button you can open the specified directory. Note that a path to a network folder must be specified in the UNC format.

Set the authentication parameters for uploading backup files to the specified directory. Note that the specified user should have sufficient rights to write to the target folder. You can choose CheckBox Windows Authentication or provide User name and Password in the corresponding fields.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


FTP connection settings

Use this tab to edit FTP connection parameters.

Options - Cloud connections - Editor - FTP

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Host address

Define the FTP host address. Here you can enter server name or its IP address (without specifying protocol).

Remote folder

Define the directory on the FTP server where backup files will be uploaded. If the specified directory does not exist on the server it will be created on the first upload process.

Set the authentication parameters for uploading backup files to the specified FTP server. Note that the specified user should have sufficient rights to write to the target folder. You can choose CheckBox Anonymous logon or provide User name and Password in the corresponding fields.

Protocol

Select the protocol that should be used for backup files transferring. The possible values are:

  • FTP (Standard)
  • FTPS (Implicit SSL/TLS)
  • FTPS (Explicit SSL/TLS)

Port

Specify the port the FTP connection should be executed through.

Mode

Select the mode of the FTP connection. The possible values are:

  • Passive (PASV)
  • Active (PORT)

If you have checked the CheckBox Use proxy option to connect to FTP you need to configure the following proxy settings: Server, Port, User name and Password.

Timeout

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


SFTP connection settings

Use this tab to edit FTP connection parameters.

Options - Cloud connections - Editor - SFTP

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Host address

Define the SSH host address. Here you can enter server name or its IP address (without specifying protocol).

Port

Specify the port the SFTP connection should be executed through.

Remote folder

Define the directory on the SFTP server where backup files will be uploaded. If the specified directory does not exist on the server it will be created on the first upload process.

Set the authentication parameters for uploading backup files to the specified SFTP server. Note that the specified user should have sufficient rights to write to the target folder. Provide User name and Password in the corresponding fields.

Proxy

Select the proxy through which the connection to the SFTP server will be established. The possible values are:

  • Socks 4
  • Socks 5
  • HTTP

If you have selected to connect through proxy to SFTP you need to configure the following proxy settings: Server, Port, User name and Password.

Timeout

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Amazon S3 connection settings

Use this tab to edit Amazon bucket connection parameters.

Options - Cloud connections - Editor - S3

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Bucket

Define the bucket that will be used for storing backups. You can create a bucket on the Amazon website. If the specified bucket does not exist it will be created automatically in US Standard region. Note that the bucket name must be unique among all Amazon S3 buckets.

Path

If you want backup files to be stored in a folder then set the path to the folder within the specified bucket. The folder will be created automatically on file upload. Use the '/' as a directory separator. For example, 'backups/Adventure Works'.

The Access key and the Secret key are used to get access to your bucket and are found on the Security Credentials page of your Amazon Web Services account.

Set Access key and Secret key for your bucket in the corresponding fields. You can get the values on the Security Credentials page in your Amazon Web Services account.

Storage class

Select the storage class for uploaded backup files. The possible values are:

  • Standard
  • Reduced Redundancy

Protocol

Select the protocol that will be used for uploading backups to Amazon S3. The possible values are:

  • HTTP
  • HTTPS

If you have checked the CheckBox Use proxy option to connect to Amazon S3 you need to configure the following proxy settings: Server, Port, User name and Password.

Timeout

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Microsoft Azure connection settings

Use this tab to edit connection parameters to Microsoft Azure BLOB storage container.

Options - Cloud connections - Editor - Azure

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Account name

Enter a name of the Microsoft Azure storage account. The storage account name forms the subdomain of the BLOB object URL address.

Account key

Enter the storage access key. Either primary or secondary key can be used.

Container

Every blob in Azure storage resides in a container. Use the drop-down list to select the container among existing ones. You can enter any new valid container name as well. To view container naming rules hover the Question icon.

CheckBox Use proxy

If you do not have a direct Internet connection and you need to use proxy server enable this option and configure the following proxy settings: Server, Port, User name and Password.

Timeout, sec

Specify the timeout in seconds when a connection will be timed out because of inactivity on the data channel. If the server timeout interval elapses before the service has finished processing the request, the service returns an error.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Dropbox connection settings

Use this tab to edit connection parameters to Dropbox storage.

Options - Cloud connections - Editor - Dropbox

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Folder

EMS SQL Backup uploads files to the 'Apps/EMS SQL Backup' folder in Dropbox by default. If you need to store backup files in its subfolder, set the relative path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator. For example, if you set 'backups/Adventure Works' in this field the files will be uploaded to 'Apps/EMS SQL Backup/backups/Adventure Works'.

If you have checked the CheckBox Use proxy option to connect to Dropbox you need to configure the following proxy settings: Server, Port, User name and Password.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Google Drive connection settings

Use this tab to edit connection parameters to Google Drive storage.

Options - Cloud connections - Editor - GoogleDrive

Name

Specify the name for the connection. The connection name must be unique among all that were already created.

Folder

EMS SQL Backup uploads files to the root folder in Google Drive by default. If you need to store backup files in subfolder, set the path in this field. If the specified folder doesn't exist, it will be created automatically on uploading the files. Use '/' as a path separator (for example, 'backups/Adventure Works').

If you have checked the CheckBox Use proxy option to connect to Google Drive you need to configure the following proxy settings: Server, Port, User name and Password.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Authorization type settings

Use this step to change, set or get new authorization parameters for Google Drive and Dropbox.

Options - Cloud connections - Editor - Auth

Authorization type

Select the type of authorization to access the cloud account.

RadioButton Online authorization is used to get authorization information by Web. Click the Get authorization info button to log in to the cloud account and confirm the access for EMS SQL Backup application in the opened browser window. If the operation has been successful, the corresponding message will be displayed. Use this type of authorization if access to the selected cloud account hasn't been set up with EMS SQL Backup before.

RadioButton Authorization from file is used when file authorization type was selected. Please set the path to the file in the field or use the EllipsisButton ellipsis button to select it.

RadioButton Manual authorization is used if you have required info for manual authorization. Copy the access code to the field.

Copy authorization info is used to copy authorization code if Online authorization type was used. You can choose either To clipboard dropdown item to save it to Clipboard, or To file item to save it to a file.

Click the Test connection button to check connection to the selected cloud storage. Select the servers for checking connection in the opened dialog.


Proxy server parameters

Use the Proxy tab to define connection settings. These parameters will be used for to perform on-line activation or deactivation of a license key.

Options - Proxy

Choose one of three options:

RadioButton Automatically detect proxy settings

RadioButton I have direct connection to the Internet

RadioButton Manual proxy configuration

Proxy Server

If you have chosen to configure proxy manually then use this group of options to set the following proxy server parameters: host, port, user name and user password (if the CheckBox Use authentication option is checked).

Click the Test connection button to check connection to the proxy server with the settings defined above.


How to...

The succeeding pages of this chapter are intended to provide you with brief instructions on how to perform this or that operation correctly using EMS SQL Backup.

Install EMS SQL Backup

Install server-side components without having permissions for remote installation

Activate SQL Server instance

Schedule backup database task daily

Configure transaction log shipping

Monitor server productivity counters

Create a policy based on predefined templates

Add database/server to an existing policy

Create a policy rapidly on sevreral servers/databases

Transfer policy tasks to another set of databases/servers

Reveal a reason of a failed policy execution

Restore successful policy status

Convert SQL Server maintenance plan to EMS SQL Backup policy

Manage templates effectively

Configure policy notifications

Create a report on policy execution

Ensure simultaneous policy execution on servers from different time zones

Update EMS SQL Backup

Remove EMS SQL Backup

See also:

Getting Started

Servers

Policies

Templates

Activities

Maintenance Actions


Install EMS SQL Backup

EMS SQL Backup consists of two core units: SQL Administration Console and Server-side components. So to perform a full installation and start working with SQL Server in EMS SQL Backup Console you need:

  1. Install EMS SQL Backup Administration Console.
  2. Register server using the Register Server Wizard. To launch it use the btnRegisterHost Register Server context menu item of the Server Explorer.
  3. Connect to the server using the btnConnectToDB Connect item of its context menu.
  4. After server registration you need to install server-side components. To launch the Install server-side EMS SQL Backup components use the Install server-side EMS SQL Backup Components server context menu item.


Install server-side components without having permissions for remote installation

If you do not have permissions for a remote installation of server-side components using Install server-side EMS SQL Backup components you can install them locally on the server using the Stand-alone remote components Installer.

In order to perform server-side components installation locally on the server do the following:

  1. copy EMS SQL Backup setup file to the server machine.
  2. launch the EMS SQL Backup setup wizard and choose the Server-side only mode on the third step.
  3. after the EMS SQL Backup Setup wizard is finished the Stand-alone remote components Installer is launched automatically.
  4. follow the steps of the wizard in compliance with Stand-alone remote components Installer topic.

Note: The EMS SQL Backup setup wizard installs EMS SQL Backup Service Installer application (InstallWizard.exe)which allows installing, updating and removing server-side components locally on a server.


Activate license on SQL Server instance

License activation for SQL Server instance is performed by means of License activation wizard. Use the Activate license server context menu item to launch this wizard.

There are four methods of activating license on SQL Server instance:

  • online activation;
  • web-site activation;
  • manual re-activation.

Online activation

  1. On the first step of the wizard select the RadioButton Activate EMS SQL Backup License online option.
  2. On the second step of the wizard enter License Key. It can be copied from the Members Area or from the e-mail that is received after license purchasing.
  3. On the last step click the Finish button to complete the activation.

Web-site activation

  1. On the first step of the wizard select the RadioButton Activate EMS SQL Backup License through our website option.
  2. Register in the Members Area at https://secure.sqlmanager.net/login and open My Registered Products section.
  3. Expand key list for desired product and choose the Activate License action.
  4. Enter automatically generated SQL Server instance ID on the second step into a web form and generate the activation code.
  5. Copy the generated activation code in the License Activation Code field on the third step.
  6. On the last step click the Finish button to complete the activation.

Renew maintenance manually

This option is available if the license key is already activated for prolonging maintenance.

  1. On the first step of the wizard select the RadioButton Enter existing license activation code manually option.
  2. On the second step enter License Activation Code.
  3. On the last step click the Finish button to complete the activation.


Schedule backup database task daily

If you want a backup database task to be executed daily you need to create a policy with a Backup Database step and a schedule with appropriate parameters.

In order to do this perform the following operations:

  1. choose the database in the server explorer and select the Policy Maintenance Policies | CreatePolicy Create New Policy item of its context menu;
  2. on the second step of policy wizard select the Steps section and click the Add Add button;
  3. in the Select Step dialog select the RadioButton Backup Database item;
  4. in the Backup Database step wizard opened configure backup settings; after all wizard steps completion the Backup Database step appears in the Steps list;
  5. select the Schedules section and click the Add Add button;
  6. in the opened Schedule editor set the following parameters:
  • Schedule type - RadioButton Recurring from date,
  • Occurs - Daily,
  • Recurs every - 1 day,
  • Daily frequency - RadioButton Occurs once at,
  • Occurs once at - launch time for backup database task execution;

then press the OK button

  7. complete all steps of the policy wizard.


Setup uploading backup files to different storage locations (Network folders/FTP/SFTP/Clouds)

EMS SQL Backup provides the possibility to save backup files not only in the standard backup folder but also upload their copies to different external storages.

If you want to configure uploading of backup files to different storages perform the following actions.

  1. Open the Options dialog and proceed to the Cloud Connections tab.
  2. Click the Create new connection button and select the connection type in the opened dialog: SMB/CIFS, FTP, Amazon S3 Cloud, Secure FTP, Microsoft Azure.
  3. Depending on the type selected the relevant dialog for configuring connection properties appears.
  4. After all connection properties are set click the OK button. The specified connection appears in the list of Cloud connections.
  5. After that on configuring backup operation proceed to the Specifying cloud connections step of the wizard and click the Add existing connection button.
  6. Select the connection from the list. You can add as many connections as you need.


Create a policy based on predefined templates

There is a set of predefined policies, tasks, steps and schedules in EMS SQL Backup that can be used for rapid maintenance policy creation.

All predefined templates with descriptions can be found on the Templates tab.

In order to add a predefined task to a policy you need to proceed to the second step of the Policy wizard, select the Tasks section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed task template.

In order to add a predefined step to a task in a policy you need to proceed to the second step of the Policy wizard, select the Steps section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed step template.

In order to add a predefined schedule to a task in a policy you need to proceed to the second step of the Policy wizard, select the Schedules section, click the CreatePolicyTaskFromTemplate Create New from Template button and select the needed schedule template.


Configure transaction log shipping

To configure transaction log shipping from one server to another you need to create a policy with a Transaction Log Shipping step.

On the second step of the Transaction Log Shipping wizard you need to set pairs of databases for transaction log shipping. The destination database must be the restored copy of the source database and be in Restoring state. Otherwise use the Overwrite (to rewrite database) or Create new options.

On the third step of the wizard specify the directory on the source server for storing transaction log backups of the source database. Also, set backup parameters.

On the fourth step you need to set the backup shared folder (Network shared folder) for copying transaction log backups of the source database. Backup files will be transferred to the directory set in the Destination folder field. Both source and destination servers should have access to this folder otherwise log shipping cannot be performed.

If you are creating or overwriting a database then after Transaction Log Shipping wizard completion the full source database backup copy is created on a destination server. The destination database is in the restoring state. Transaction log shipping will be performed according to the schedule set in the service task.

Note: On the first step of the policy with Transaction Log Shipping step you need to set RadioButton Use local Console time as absolute time option.


Monitor server productivity counters

Using the Database Parameters Logger maintenance operation you can monitor database parameters and receive notifications when their values do not match specified conditions.

To receive warnings about possible faults you need to include Database Parameters Logger step in a policy. Also you can execute this maintenance action by selecting [image] Quick Maintenance Actions | ServerParametersLogger Database Parameters Logger context menu item of a server or a database.

In case a status of a policy including Database Parameters Logger step changed to Warning after policy execution that means some databases parameters values do not match conditions set on the third step of Database Parameters Logger wizard. To view these parameters and their values select this step in the Launches list and click the Show details button. The information in the dialog appeared will contain a detailed report on step execution result.


Add database/server to an existing policy

There are several ways to add databases or servers to a policy. The way chosen depends on whether the policy was created on a solution or not and on tasks and steps count in a policy.

A policy was created on a solution with databases/servers

  1. If a policy includes a big number of tasks (steps) then do the following:
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • add needed databases/servers to the existing solution;
  • create policy on a renewed solution based on the created template by choosing the Policy Maintenance Policies | CopyFromTemplate Create from Templates of the solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.

A policy was created on separate databases/servers

  1. If a policy includes a big number of tasks (steps) then it is recommended to do the following:
  • unite databases/servers from this policy into a solution and then add needed databases/servers to it;
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a policy based on this template on the created solution by using the Policy Maintenance Policies | CopyFromTemplate Create from Templates solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.


Create a policy rapidly on several servers/databases

The most efficient way to create a policy rapidly on several servers/databases is to create it on a solution that unites these servers/databases.

In order to create a policy rapidly on several servers or databases perform the following operations:

  1. create a solution by selecting iconNewSubFolder Create Solution context menu item of Solutions section;
  2. move needed databases/servers to this solution;

Note: One solution cannot include both databases and servers.

  3. Select the Policy Maintenance Policies | CopyFromTemplate Create New Policy solution context menu item to create a new policy. All databases/servers will be checked automatically in creating steps in this policy.


Transfer policy tasks to another set of databases/servers

There are several ways to transfer policy tasks from one set of databases/servers to another. The way chosen depends on whether the policy was created on a solution or not and on tasks and steps count in a policy.

A policy was created on a solution with databases/servers

  1. If a policy includes a big number of tasks (steps) then do the following:
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a new solution and add needed databases/servers to it;
  • create policy on this solution based on the created template by choosing the Policy Maintenance Policies | CopyFromTemplate Create from Templates of the solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.

A policy was created on separate databases/servers

  1. If a policy includes a big number of tasks (steps) then it is recommended to do the following:
  • unite databases/servers on which you want to transfer policy into a solution;
  • create a template based on this policy (without saving selected databases) by choosing the CreateTemplateFromPolicy Create Template from Policy its context menu item;
  • create a policy based on this template on the created solution by using the Policy Maintenance Policies | CopyFromTemplate Create from Templates solution context menu item.
  2. If a policy includes several tasks (steps) then it is recommended to open every step editor and check needed databases/servers on a Selection tab.


Reveal a reason of a failed policy execution

If a server has at least one policy with status Failed then the server status contains Policies have problems message.

To reveal a policy with erroneous execution you need to find a policy with a Failed status in the Policies list. This status means that at least one policy task execution was erroneous.

When you select this policy task in the Policies list the Launches list shows information on all task launches. Select a task with a Failed status and click the Show details button in the Message column. In the dialog appeared the reason of failed execution will be displayed in the Message field

If the problem occurred on policy execution has been resolved you can restore succeeding policy status.


Restore successful policy status

If you have revealed a reason of why a policy did not run or failed after execution you can repair its overall status that means to change erroneous policy statuses (Failed, Missed, Aborted and Warning) to Ignored and repeat erroneous tasks if needed. This can be done on several ways.

  • Click the Resolve button located under the server status. In the dialog appeared all problem tasks of all policies will be listed. You can change erroneous status to Ignored and/or execute all problem tasks of all policies. In this case overall status of every policy will be changed based on last launches of erroneous tasks.
  • Select the erroneous policy in the Policies list and then choose the Resolve the Problem item of its context menu. In the opened dialog you will be proposed to change statuses of all erroneous policy tasks to Ignored and/or execute all problem tasks of this policy. In this case overall status of this policy will be changed based on last launches of its erroneous tasks.
  • Select the erroneous policy task in the Policies list and then choose the Resolve the Problem item of its context menu. In the opened dialog you will be proposed to change status of this erroneous policy task to Ignored and/or repeat its execution. In this case overall status of this policy will be changed based on a last launch of this erroneous task.

Using a context menu of an erroneous task in the Launches list you can change to Ignored (Ignore Errors for Selected Launches) its status or statuses of all erroneous tasks (Ignore Errors for All Problem Launches).


Convert SQL Server maintenance plan to SQL Backup policy

Configured SQL Server maintenance plans can be used in EMS SQL Backup after their conversion to EMS SQL Backup policies.

To convert SQL Server maintenance plan to EMS SQL Backup policy perform the following operations:

  1. Select the Policy Maintenance Policies | ConvertfromMaintenanceplan Convert from Maintenance Plan server context menu item to launch Maintenance plan conversion wizard.
  2. On the second step of the wizard select the maintenance plan for conversion.
  3. On the third step of the wizard you can view conversion results. Maintenance plan subplans are converted to policy service tasks. In case some mistakes occurred on maintenance plan conversion you can correct them in the policy editor that is launched by clicking the Edit Policy button.
  4. It is recommended to check the CheckBox Disable Maintenance plan option to disable tasks execution in maintenance plan being converted.
  5. On the last step view conversion settings and click the Finish button. Created policy appears in the list on the Policies tab.


Manage templates effectively

Using the templates tool of EMS SQL Backup you can create saved into EMS SQL Backup configuration policies, tasks, steps and schedules settings.

In order to create a template proceed to the Templates tab and choose an object type (policy, task, step or schedule) which template you want to create. Then click the Add button located on the toolbar or in the context menu.

If you already have a configured policy on a group of databases or servers you can create its template. In order to do this proceed to the Policies tab and select the CreateTemplateFromPolicy Create Template from Policy its context menu item.

Also you can create templates of existing tasks, steps and schedules. To do this you need to:

  • open the policy including these objects in the policy editor;
  • select the CopyToTemplate Copy to Templates context menu item of the object which template you want to create.

All saved templates can be later used for creating policies.

In order to create a policy based on a template you need to select the CopyFromTemplate Create Policy from Template context menu item of a policies list on the Policies tab. In the Item Selection dialog choose the needed template (or several templates). The policy editor will be opened. All tasks included in the template will be automatically added to the policy being created.

In order to create a task/step/schedule based on a template in a policy use the AddNewFromTemplate Add New from Template context menu item or the toolbar corresponding button on the second step of the policy wizard. The added object can be opened in its editor afterwards to change some parameters if needed.

Templates tab contains a list of all predefined templates as well as templates created by user. You can save a template into *.xml file by selecting the ExportTemplate Export its context menu item. Also you can load saved templates using the ImportTemplate Import button. This ability allows copying templates from one EMS SQL Backup configuration to another.

See also:

Create a policy based on predefined templates


Configure policy notifications

You can configure notifications that will inform you about policy execution result via e-mail.

Notification parameters are set on the third step of the policy wizard.

You need to set an action on which notifications should be sent:

  • When the policy succeeds - send the message when policy tasks have been successfully completed;
  • When the policy fails - send the message when policy has failed;
  • When the policy completes - send the message when policy has been launched.

In the Send E-mail To field enter the e-mail address of the administrator that should receive messages generated on policy execution.

SQL Server Agent must be configured to use Database Mail for sending e-mail.

Note: Email agent options should be set for the service at Server-side components Properties.


Create a report on policy execution

Using the reports tool you can view information on policy tasks execution that is displayed in the Launches section as well as save reports to files of different formats and send them via email.

To generate a report on task execution you need to click the Reports Report button on the toolbar of the Launches section or select the Reports Show Report context menu item of a task.

There are three types of reports:

  • Single-server report
  • Multi-server report
  • Detailed task report

Single-server report

This report can be viewed when a single server is selected in the explorer and a policy deployed on this server is selected in the Policies area. If a policy deployed on several servers is selected in Policies area a report will include information on launches of this policy only on the selected server. The report displays brief information on tasks of the selected policy including task name, planned start, time started, time finished and task status.

Multi-server report

Multi-server report is available when a policy deployed on multiple servers is selected in the Policies area. Besides, a group or a solution must be selected in the Servers area. The report displays brief information on tasks of the selected policy including task name, server name, planned start, time started, time finished and task status.

Detailed task report

Task report is available when a particular task is selected in the Policies area. This report displays a detailed information on a task and its steps of the selected policy including task name, planned start, time started, time finished, task/step status and execution message (information, warning or error).


Ensure simultaneous policy execution on servers from different time zones

To ensure simultaneous policy tasks launches on servers located in different time zones you need to select the RadioButton Use local Console time as absolute time option on the first step of the policy wizard.

In this case a policy will be executed on all servers at the time corresponding to the local EMS SQL Backup Console taking into consideration time zones where servers are located.


Report bugs and suggestions

If you want to report a bug occurred in the application or just provide some feedback you can do it directly from the EMS SQL Backup. Before reporting bugs and suggestions make sure you are using the latest version of the EMS SQL Backup.

To create an e-mail with attached bug report files automatically do the following:

  1. Select the server on which the problem occurred in the Servers tree;
  2. Choose the Send bug report to EMS its context menu item;
  3. After a while the default mail client installed on your computer will be opened with newly created email having bug report files attached to it;
  4. In the generated e-mail describe the steps to reproduce the occurred bug and send the letter.

If due to some reasons the e-mail creation failed or the report sending was canceled the following dialog appears.

Follow the given instructions to create bug report e-mail manually:

  1. Click the "mailto:" link support@sqlmanager.net to open mail client, or in case no client has been opened copy the address by clicking the Copy to clipboard button and create e-mail in a preferable client;
  2. Click the Save and open folder button and define the directory where the bug report file should be saved; after the file is saved the defined directory will be opened automatically;
  3. Attach the saved file to the created e-mail;
  4. Describe the steps to reproduce the occurred bug and send the email.


Update EMS SQL Backup

EMS SQL Backup update process consists of EMS SQL Backup Administration Console and Server-side components update.

In order to update EMS SQL Backup Administration Console, please, do the following:

  • download the full installation package of EMS SQL Backup from the download page available at our site;
  • close EMS SQL Backup application if it is running;
  • repeat the steps you have made for the first-time installation;
  • run EMS SQL Backup using its shortcut in the corresponding group of Windows Start menu.

After EMS SQL Backup Administration Console is launched you will be warned that server-side components version is out-of-date. You will be offered to update server-side components. This is done by means of Update/Remove server-side EMS SQL Backup components.

If you do not have permissions for remote update of server-side components via EMS SQL Backup Administration Console you can copy EMS SQL Backup setup file to the server machine and run installation there. Server-side components update process locally on a server is similar to their installation process and is performed by means of Stand-alone remote components Installer. To update server components you need to select the CheckBox Update option and then select instances on which you want to update components.


Remove EMS SQL Backup

In order to remove EMS SQL Backup perform the following operations:

  1. Remove server-side components from all servers they were installed. This is done by means of Update/Remove server-side EMS SQL Backup components that is launched by selecting the Update/Remove server-side EMS SQL Backup components server context menu item.
  2. Remove EMS SQL Backup Administration Console from your computer via Control Panel -> Programs and Features.

Note: If you do not have permissions for remote of server-side components uninstall via EMS SQL Backup Administration Console you can copy EMS SQL Backup setup file to the server machine and run installation there. Server-side components remove process locally on a server is similar to their installation process and is performed by means of Stand-alone remote components Installer. To remove server components you need to select the RadioButton Uninstall option on the Selecting operation type step.


Use Free version of EMS SQL Backup

In order to use EMS SQL Backup Free version you need to activate the Free license key. Note that for activating Free license you need Internet connection.

  1. Open the License activation wizard from the SQL Server instance context menu.
  2. On the first step of the wizard select the RadioButton Activate EMS SQL Backup License online option.
  3. On the second step of the wizard select the RadioButton Free option as a License type.
  4. Complete the wizard steps.

The list of all functional differences between EMS SQL Backup versions can be found in the Feature Matrix.


Database states

The general database status includes SQL Server database state (the database icon color or right-bottom corner icon) and policy status (the color of a shield in the left-top corner).

- database is in an emergency state and does not have policies

- database is in an emergency state and all policies have "succeeded" status

- database is in an emergency state and has failed policies

- database is in an emergency state and has some warnings on policy execution

- database is offline and does not have policies

- database is offline and all policies have "succeeded" status

- database is offline and has failed policies

- database is offline and has some warnings on policy execution

- database is online and does not have policies

- database is online and all policies have "succeeded" status

- database is online and has failed policies

- database is online and has some warnings on policy execution

- database is in a single user mode and does not have policies

- database is in a single user mode and all policies have "succeeded" status

- database is in a single user mode and has failed policies

- database is in a single user mode and has some warnings on policy execution

- database is in a recovering state and does not have policies

- database is in a recovering state and all policies have "succeeded" status

- database is in a recovering state and has failed policies

- database is in a recovering state and has some warnings on policy execution

- database is in a restoring state and does not have policies

- database is in a restoring state and all policies have "succeeded" status

- database is in a restoring state and has failed policies

- database is in a restoring state and has some warnings on policy execution

- database is suspect and does not have policies

- database is suspect and all policies have "succeeded" status

- database is suspect and has failed policies

- database is suspect and has some warnings on policy execution

InactiveDatabase - database is inactive


Backup Converter Utility

This utility is used for converting EMS SQL Backup backup files to standard MS SQL Server backup files. It is run in console mode only.

Usage:

<path to ConvertUtil.exe tool>\ConvertUtil.exe -I[nputFile]:file_name -O[utputFile]:

file_name -D[atabases]:name[,...n] [-H[elp]|Help|-?] [-P[assword]:password]

The path to this utility is "C:\Program Files\EMS\SQL Backup\Distrib\Service\", on the machine where EMS SQL Backup Console is installed; on the server - "C:\Program Files\EMS\SQL Backup\Service\".

Where

-I[nputFile] stands for the EMS SQL Backup file to be converted

-O[utputFile] sets the result name of SQL Server backup file

-D[atabases] sets database name(s), which data should be extracted

Optional parameters:

-H[elp]|Help|-? outputs reference information

-P[assword] sets the password to convert encrypted backups

Example:

"C:\Program Files\EMS\SQL Backup\Service\ConvertUtil.exe" -I:”C:\Data\TEST.bkp” –O:”TESTms.bak”

–D:Employee,Departments –P:8p5Zh79

Note: If EMS SQL Backup backup is split into several files you only need to specify the first file from the chain, all subsequent files are processed automatically.

Note: If on backup you specified more than one threads at Defining EMS SQL Backup settings, you will get n MS SQL Server files as a result of conversion. You will need to select all of those n files on restore by MS SQL Server means.


Server folder dialog

SQL Server Folders dialog allows you to browse directories on the server.

Server folder dialog

This dialog is opened on selecting server backups folder in:

  • Backup settings tab of the Server-side components properties dialog;
  • Setting file options step of the Backup Database wizard and Backup file options tab of the Backup database step editor;
  • Selecting available backup step of the Restore Database wizard;
  • Specifying backup source step of the Get backup to console wizard;
  • Selecting files/folders for cleanup step of the Maintenance Cleanup wizard and Selection tab of the Maintenance Cleanup step editor;
  • Specifying backup options and Specifying folders and recovery options steps of the Transaction Log Shipping wizard and General tab of the Transaction Log Shipping step editor.


Смотрите также

See also:

<< Previous step

Next step >>